﻿using System;
using System.Data;
using System.Collections.Generic;
using System.Linq;
using System.Text.RegularExpressions;
using System.Web;
using System.Web.Security;
using HP.ETL.Data;

namespace HP.ETL.Rules
{
	public partial class DatabaseConnectionBusinessRules : HP.ETL.Rules.SharedBusinessRules
    {
        
        /// <summary>
        /// This method will execute in any view before an action
        /// with a command name that matches "Select".
        /// </summary>
        [Rule("GetData")]
        public void GetDataImplementation(int? connectionMasterID)
        {
            ResultSet = CreateDatabaseConnectionDataTable();
        }
        
        private DataTable CreateDatabaseConnectionDataTable()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("ConnectionMasterID", typeof(Int32));
            // 
            // Populate rows of table "dt" with data from any source (web service, file system, database, etc.)
            //
            return dt;
        }
    }
}
