﻿using System;
using System.Data;
using System.Collections.Generic;
using System.Linq;
using System.Text.RegularExpressions;
using System.Web;
using System.Web.Security;
using HP.ETL.Data;

namespace HP.ETL.Rules
{
	public partial class JobMasterBusinessRules : HP.ETL.Rules.SharedBusinessRules
    {
        
        [ControllerAction("JobMaster", "Calculate", "UpdateDate")]
        public void CalculateJobMaster(
                    int? jobMasterID, 
                    string jobMasterName, 
                    int? jobMasterOrder, 
                    bool? isEnabled, 
                    string jobMasterTimeZone, 
                    DateTime? jobMasterStartTime, 
                    int? connectionMasterID, 
                    string connectionMasterServerName, 
                    string connectionMasterConnectionTypeConnectionTypeName, 
                    string connectionMasterFacilityMasterVISNMasterVISNName, 
                    string connectionMasterSystemMasterSystemName, 
                    string connectionMasterSystemMasterVendorMasterVendorName, 
                    string connectionMasterSystemMasterSoftwareVersion, 
                    string connectionMasterVISNMasterVISNName, 
                    string connectionMasterConnectionStatusConnectionStatus, 
                    int? scheduleMasterID, 
                    string scheduleMasterScheduleMasterName, 
                    DateTime? createDate, 
                    DateTime? updateDate)
        {
            UpdateFieldValue("UpdateDate", DateTime.Now);
        }
    }
}
