﻿using System;
using System.Data;
using System.Collections.Generic;
using System.Linq;
using System.Text.RegularExpressions;
using System.Web;
using System.Web.Security;
using HP.ETL.Data;

namespace HP.ETL.Rules
{
	public partial class PackageMasterBusinessRules : HP.ETL.Rules.SharedBusinessRules
    {
        
        [ControllerAction("PackageMaster", "Calculate", "UpdateDate")]
        public void CalculatePackageMaster(int? packageMasterID, string packageName, string packageFolder, string packageProject, bool? packageIsGenerated, string packageSignature, int? packageSourceConnectionTypeID, string packageSourceConnectionTypeConnectionTypeName, int? packageDestinationConnectionTypeID, string packageDestinationConnectionTypeConnectionTypeName, DateTime? createDate, DateTime? updateDate)
        {
            UpdateFieldValue("UpdateDate", DateTime.Now);
        }
    }
}
