﻿using System;
using System.Data;
using System.Collections.Generic;
using System.Linq;
using System.Text.RegularExpressions;
using System.Web;
using System.Web.Security;
using HP.ETL.Data;

namespace HP.ETL.Rules
{
	public partial class SystemMasterBusinessRules : HP.ETL.Rules.SharedBusinessRules
    {
        
        [ControllerAction("SystemMaster", "Calculate", "UpdateDate")]
        public void CalculateSystemMaster(int? systemMasterID, int? vendorMasterID, string vendorMasterVendorName, string systemName, string softwareVersion, string databaseType, DateTime? createDate, DateTime? updateDate, int? isInitialExtractComplete)
        {
            UpdateFieldValue("UpdateDate", DateTime.Now);
        }
    }
}
