﻿using System;
using System.Data;
using System.Collections.Generic;
using System.Linq;
using System.Text.RegularExpressions;
using System.Web;
using System.Web.Security;
using HP.ETL.Data;

namespace HP.ETL.Rules
{
	public partial class TableMasterBusinessRules : HP.ETL.Rules.SharedBusinessRules
    {
        
        [ControllerAction("TableMaster", "Calculate", "UpdateDate")]
        public void CalculateTableMaster(
                    int? tableMasterID, 
                    int? connectionMasterID, 
                    string connectionMasterServerName, 
                    string connectionMasterConnectionTypeConnectionTypeName, 
                    string connectionMasterFacilityMasterVISNMasterVISNName, 
                    string connectionMasterSystemMasterSystemName, 
                    string connectionMasterSystemMasterVendorMasterVendorName, 
                    string connectionMasterSystemMasterSoftwareVersion, 
                    string connectionMasterVISNMasterVISNName, 
                    string connectionMasterConnectionStatusConnectionStatus, 
                    int? systemMasterID, 
                    string systemMasterSystemName, 
                    string systemMasterVendorMasterVendorName, 
                    string systemMasterSoftwareVersion, 
                    int? flightMasterID, 
                    string flightMasterFlightName, 
                    int? tableTypeID, 
                    string tableTypeTableTypeCode, 
                    string tableTypeTableTypeName, 
                    string tableName, 
                    int? tableOrderSeq, 
                    DateTime? lastProcessDate, 
                    int? isEnabled, 
                    DateTime? createDate, 
                    DateTime? updateDate)
        {
            UpdateFieldValue("UpdateDate", DateTime.Now);
        }
    }
}
