﻿
--
--
--
CREATE PROCEDURE [RTLS_NDRDW].[JobList] 
AS
BEGIN
DECLARE @stmt AS NVARCHAR(MAX)
DECLARE @schema AS NVARCHAR(256)
--
--
--
SET @schema = 'RTLS_NDRDW'
SET @stmt='
SELECT 
	[a].[JobMasterID]
	, [a].[JobMasterName]
	, COUNT(DISTINCT [b].[RunMasterID]) AS [JobTableCount]
	, COUNT(DISTINCT [c].[TaskMasterID]) AS [JobPackageCount]
FROM [' + @schema + '].[JobMaster] [a]
JOIN [' + @schema + '].[RunMaster] [b] ON [a].[JobMasterID] = [b].[JobMasterID]
JOIN [' + @schema + '].[TaskMaster] [c] ON [b].[RunMasterID] = [c].[RunMasterID]
GROUP BY
	[a].[JobMasterID]
	, [a].[JobMasterName]
ORDER BY
	[a].[JobMasterID]
	, [a].[JobMasterName]
	'

	PRINT @stmt
	EXEC sp_executesql @stmt=@stmt

END
