﻿
--
--
--
CREATE PROCEDURE [RTLS_NDRDW].[SchemaCreateIndex] 
AS
BEGIN
DECLARE @stmt AS NVARCHAR(MAX)
DECLARE @schema AS NVARCHAR(256)
DECLARE @DefFG AS NVARCHAR(256)
--
--
--
SET @schema = 'RTLS_NDRDW'
SET @DefFG = 'DefFG'

SET @stmt='
IF EXISTS (SELECT * FROM sys.objects [a] WHERE type = ''U'' AND name = ''tmpIndex'' AND [a].[schema_id] = SCHEMA_ID(''' + @schema + '''))
BEGIN
	DROP TABLE [' + @schema + '].[tmpIndex]
	PRINT ''DROP TABLE [' + @schema + '].[tmpIndex]''
END


CREATE TABLE [' + @schema + '].[tmpIndex](
	[SchemaName] [sysname] NOT NULL,
	[TableName] [sysname] NOT NULL,
	[IndexName] [sysname] NULL,
	[ColumnName] [sysname] NULL
) ON [' + @DefFG + ']'


	PRINT @stmt
	EXEC sp_executesql @stmt=@stmt

END
