﻿


CREATE PROCEDURE [RTLS_NDRDW].[Upsert_Table]
--ALTER PROCEDURE [ETLFramework].[Upsert_Table]
(  @TBL				NVARCHAR(100),
    @TSchema          NVARCHAR(100),
	@SSchema          NVARCHAR(100),
	@VISNID   nvarchar(6)
)
AS
SET NOCOUNT ON
BEGIN

DECLARE @Select			NVARCHAR(MAX)
DECLARE @TrgTBLCols			NVARCHAR(MAX)
DECLARE @TrgTBLCols1			NVARCHAR(MAX)
DECLARE @INSTCols			NVARCHAR(MAX)
DECLARE @INSTCols1			NVARCHAR(MAX)
DECLARE @updtCols			NVARCHAR(MAX)
DECLARE @TCols			NVARCHAR(MAX)
DECLARE @SCols			NVARCHAR(MAX)

declare @CNT            int
DECLARE @FirstFlag       CHAR(1)
DECLARE @result NVARCHAR(MAX)

SET @TrgTBLCols		=''
SET @TrgTBLCols1		=''
SET @INSTCols	=''
SET @INSTCols1	=''
SET @UPDTCols	=''
SET @FirstFlag         = 'Y' 
DECLARE @TDB			NVARCHAR(MAX)
--DECLARE @tschema			NVARCHAR(MAX)
DECLARE @SDB			NVARCHAR(MAX)
--DECLARE @sschema			NVARCHAR(MAX)
--declare @tbl  NVARCHAR(MAX)
declare @table  NVARCHAR(MAX)
DECLARE @DB			NVARCHAR(MAX)
DECLARE @schema			NVARCHAR(MAX)
--DECLARE @VISNID   nvarchar(6)
set @TDB='NDRDW'
--Set @tschema='NDRInSitesVISN23'
--set @tbl='family_contact_history'
set @SDB='NDRDW'
--Set @sschema='NDRInSitesVISN23Stage'
--SET @VISNID =23






DECLARE tbl_cols CURSOR for select distinct c.ORDINAL_POSITION,c.column_name 
     FROM INFORMATION_SCHEMA.COLUMNS as c
	 left outer join information_schema.CONSTRAINT_COLUMN_USAGE cu on c.table_name = cu.table_name and c.COLUMN_NAME=cu.COLUMN_NAME
     LEFT outer JOIN information_schema.table_constraints as u ON u.constraint_name=cu.constraint_name
where c.table_name =@tbl
 and c.table_schema =@sschema
 and   u.CONSTRAINT_TYPE = 'PRIMARY KEY' 
   order by ORDINAL_POSITION
OPEN tbl_cols
FETCH NEXT FROM tbl_cols 
INTO @CNT ,@TCols	
WHILE @@FETCH_STATUS = 0
BEGIN

  IF @FirstFlag = 'N'
  begin

--set @TrgTBLCols= @TrgTBLCols1+','+ @TCols  
set @TrgTBLCols= @TrgTBLCols+' and [t].['+ @TCols + ']= [s].['+ @TCols +']'
end
else
begin
set @TrgTBLCols1= @TCols 

set @TrgTBLCols=' [t].['+ @TCols + ']= [s].['+ @TCols +']'
--print @TrgTBLCols
SET @FirstFlag = 'N' 
end
FETCH NEXT FROM tbl_cols 
INTO @CNT,@TCols
END

CLOSE tbl_cols
DEALLOCATE tbl_cols
--print 'tcols'
--print @TCOLS
--print @TrgTBLCols1
--print @TrgTBLCols


-------------------------------------------

SET @FirstFlag         = 'Y' 
DECLARE inst_cols CURSOR for select distinct c.ORDINAL_POSITION,c.column_name 
     FROM INFORMATION_SCHEMA.COLUMNS as c
	 left outer join information_schema.CONSTRAINT_COLUMN_USAGE cu on c.table_name = cu.table_name and c.COLUMN_NAME=cu.COLUMN_NAME
     LEFT outer JOIN information_schema.table_constraints as u ON u.constraint_name=cu.constraint_name
where c.table_name =@tbl
 and c.table_schema =@sschema
   order by ORDINAL_POSITION
OPEN inst_cols
FETCH NEXT FROM inst_cols 
INTO @CNT,@TCols	

WHILE @@FETCH_STATUS = 0

BEGIN
  IF @FirstFlag = 'N' 
  begin
set @INSTCols= @INSTCols+',['+ @TCols+']'
set @INSTCols1= @INSTCols1+',[s].['+ @TCols+']'
end
else
begin
set @INSTCols= @INSTCols+ '['+ @TCols+']'
set @INSTCols1= @INSTCols1+'[s].['+ @TCols+']'
SET @FirstFlag = 'N' 
end

--print @TCOLS

FETCH NEXT FROM inst_cols 
INTO @CNT,@TCols	

END

CLOSE inst_cols
DEALLOCATE inst_cols
----print 'INSTCols'
--print @INSTCols
----print 'INSTCols1'
--print @INSTCols1

-------------------------------------------

SET @FirstFlag         = 'Y' 
DECLARE updt_cols CURSOR for select distinct c.ORDINAL_POSITION,c.column_name 
     FROM INFORMATION_SCHEMA.COLUMNS as c
	 left outer join information_schema.CONSTRAINT_COLUMN_USAGE cu on c.table_name = cu.table_name and c.COLUMN_NAME=cu.COLUMN_NAME
     LEFT outer JOIN information_schema.table_constraints as u ON u.constraint_name=cu.constraint_name
where c.table_name =@tbl
 and c.table_schema =@sschema
 and  c.column_name  not in ('@TrgTBLCols1')
   order by ORDINAL_POSITION

OPEN updt_cols
FETCH NEXT FROM updt_cols 
INTO @CNT,@TCols	

WHILE @@FETCH_STATUS = 0

BEGIN
  IF @FirstFlag = 'N' 
  begin
set @UPDTCols= @UPDTCols+' , [t].['+ @TCols + ']= [s].['+ @TCols+']'
end
else
begin
set @UPDTCols= ' [t].['+ @TCols + ']= [s].['+ @TCols +']'
SET @FirstFlag = 'N' 
end

--print @select

FETCH NEXT FROM updt_cols 
INTO @CNT,@TCols	

END

CLOSE updt_cols
DEALLOCATE updt_cols
----print 'UPDTCols'
--print @UPDTCols

-----Merge code -----------------------


DECLARE @SQLquery   NVARCHAR(MAX)
SET @SQLquery = 'MERGE INTO ' +@TDB+'.'+@tschema+'.'+ @Tbl + ' AS t '+
    ' USING '+@sDB+'.'+@sschema+'.'+ @Tbl + ' AS s ON  ' + @TrgTBLCols +
    ' WHEN MATCHED ' +
    ' THEN UPDATE SET '+ @UPDTCols +',[t].[CreateDateDW] = getdate(),[t].[IsObsoleteDW] =0, [t].[UpdateDateDW]= getdate(),[t].[VISNIDDW]='+RTRIM(cast(@VisnID as char(6)))+
    ' WHEN NOT MATCHED '+
    ' THEN INSERT ('+ @INSTCols +',[VISNIDDW])'+
	' VALUES ('+  @INSTCols1 +','+cast(@VisnID as char(6))+')'+
    ' WHEN NOT MATCHED BY SOURCE THEN update set [t].[CreateDateDW] = getdate(),[t].[IsObsoleteDW] =1, [t].[UpdateDateDW]= getdate()'+
  --  ' OUTPUT $action as ACTION, DELETED.*, INSERTED.*'+
	';'
 -- print @SQLquery




IF(@@ERROR = 0)     
  EXECUTE(@SQLquery)
  -- print @SQLquery
ELSE
GoTo ErrorHandler

Set NoCount OFF
Return(0)

ErrorHandler:
  Return(@@ERROR)

END
