﻿CREATE TABLE [RTLS_NDRDW].[ColumnMaster] (
    [ColumnMasterID] INT            IDENTITY (1, 1) NOT NULL,
    [TableMasterID]  INT            NOT NULL,
    [ColumnName]     NVARCHAR (128) NOT NULL,
    [ColumnType]     NVARCHAR (128) NULL,
    [KeyType]        CHAR (2)       NULL,
    [ColumnOrder]    INT            NOT NULL,
    [IsEnabled]      INT            CONSTRAINT [DF__ColumnMas__IsEna__59FA5E80] DEFAULT ((1)) NOT NULL,
    [IsPHI]          INT            NOT NULL,
    [IsPII]          INT            NULL,
    [CreateDate]     DATETIME       CONSTRAINT [DF__ColumnMas__Creat__5AEE82B9] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]     DATETIME       CONSTRAINT [DF__ColumnMas__Updat__5BE2A6F2] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK__ColumnMa__A18E5FA53279B64B] PRIMARY KEY CLUSTERED ([ColumnMasterID] ASC),
    CONSTRAINT [FK_ColumnMaster_TableMaster] FOREIGN KEY ([TableMasterID]) REFERENCES [RTLS_NDRDW].[TableMaster] ([TableMasterID]) ON DELETE CASCADE ON UPDATE CASCADE
);

