﻿CREATE TABLE [RTLS_NDRDW].[CurrentMetadataExtract] (
    [CurrentMetadataExtractID]      INT             IDENTITY (1, 1) NOT NULL,
    [SystemMasterID]                INT             NOT NULL,
    [TableOwner]                    VARCHAR (128)   NULL,
    [TableName]                     VARCHAR (128)   NULL,
    [ColumnName]                    VARCHAR (128)   NULL,
    [ObjectType]                    VARCHAR (8)     NULL,
    [DataType]                      VARCHAR (128)   NOT NULL,
    [KeyType]                       CHAR (2)        NULL,
    [ColumnOrder]                   INT             NOT NULL,
    [ColumnLength]                  INT             NOT NULL,
    [DefaultValue]                  NVARCHAR (4000) NULL,
    [AllowsNulls]                   VARCHAR (254)   NOT NULL,
    [ObjectDescription]             NVARCHAR (4000) NULL,
    [IsTableAndColumnMasterUpdated] BIT             CONSTRAINT [DF__CurrentMe__IsTab__59063A47] DEFAULT ((0)) NOT NULL,
    [CreateDate]                    DATETIME        NULL,
    CONSTRAINT [PK_CurrentMetadataExtract] PRIMARY KEY CLUSTERED ([CurrentMetadataExtractID] ASC),
    CONSTRAINT [FK_CurrentMetadataExtract_SystemMaster] FOREIGN KEY ([SystemMasterID]) REFERENCES [RTLS_NDRDW].[SystemMaster] ([SystemMasterID]) ON UPDATE CASCADE
);

