﻿CREATE TABLE [RTLS_NDRDW].[DataFileConfiguration] (
    [DataFileConfigurationID] INT           IDENTITY (1, 1) NOT NULL,
    [SystemMasterID]          INT           NOT NULL,
    [FileNumber]              SMALLINT      NULL,
    [FileSizeInMB]            INT           NULL,
    [SpaceUsedInMB]           INT           NULL,
    [FreeSpaceInMB]           INT           NULL,
    [DataFileName]            VARCHAR (500) NULL,
    [CreateDate]              DATETIME      NULL,
    [UpdateDate]              DATETIME      NULL,
    CONSTRAINT [PK_DataFileConfiguration] PRIMARY KEY CLUSTERED ([DataFileConfigurationID] ASC),
    CONSTRAINT [FK_DataFileConfiguration_SystemMaster] FOREIGN KEY ([SystemMasterID]) REFERENCES [RTLS_NDRDW].[SystemMaster] ([SystemMasterID]) ON UPDATE CASCADE
);

