﻿CREATE TABLE [RTLS_NDRDW].[ExecutionLog] (
    [ExecutionLogID]               INT      IDENTITY (1, 1) NOT NULL,
    [TaskMasterID]                 INT      NOT NULL,
    [VISNMasterID]                 INT      NOT NULL,
    [SystemMasterID]               INT      NOT NULL,
    [JobMasterID]                  INT      NOT NULL,
    [RunMasterID]                  INT      NOT NULL,
    [FlightMasterID]               INT      NOT NULL,
    [TableMasterID]                INT      NOT NULL,
    [PackageMasterID]              INT      NOT NULL,
    [PrecedentTask]                INT      NOT NULL,
    [ExecutionOrder]               INT      NOT NULL,
    [ExecutionJobLogID]            INT      CONSTRAINT [DF__Execution__Execu__19DFD96B] DEFAULT ((0)) NOT NULL,
    [execution_id]                 BIGINT   NULL,
    [ExecutionLogStart]            DATETIME NULL,
    [ExecutionLogStop]             DATETIME NULL,
    [ExecutionLogStatusID]         INT      CONSTRAINT [DF__Execution__Execu__1AD3FDA4] DEFAULT ((0)) NOT NULL,
    [ExecutionLogRowsProcessed]    BIGINT   CONSTRAINT [DF__Execution__Execu__1BC821DD] DEFAULT ((0)) NOT NULL,
    [ExecutionLogBytesTransferred] BIGINT   CONSTRAINT [DF__Execution__Execu__1CBC4616] DEFAULT ((0)) NOT NULL,
    CONSTRAINT [PK_ExecutionLog] PRIMARY KEY CLUSTERED ([ExecutionLogID] ASC)
);

