﻿CREATE TABLE [RTLS_NDRDW].[ExecutionLogHistory] (
    [ExecutionLogID]               INT      IDENTITY (1, 1) NOT NULL,
    [TaskMasterID]                 INT      NOT NULL,
    [VISNMasterID]                 INT      NOT NULL,
    [SystemMasterID]               INT      NOT NULL,
    [JobMasterID]                  INT      NOT NULL,
    [RunMasterID]                  INT      NOT NULL,
    [FlightMasterID]               INT      NOT NULL,
    [TableMasterID]                INT      NOT NULL,
    [PackageMasterID]              INT      NOT NULL,
    [PrecedentTask]                INT      NOT NULL,
    [ExecutionOrder]               INT      NOT NULL,
    [ExecutionJobLogID]            INT      CONSTRAINT [DF__Execution__Execu__1DB06A4F] DEFAULT ((0)) NOT NULL,
    [execution_id]                 BIGINT   NULL,
    [ExecutionLogStart]            DATETIME NULL,
    [ExecutionLogStop]             DATETIME NULL,
    [ExecutionLogStatusID]         INT      CONSTRAINT [DF__Execution__Execu__1EA48E88] DEFAULT ((0)) NOT NULL,
    [ExecutionLogRowsProcessed]    BIGINT   CONSTRAINT [DF__Execution__Execu__1F98B2C1] DEFAULT ((0)) NOT NULL,
    [ExecutionLogBytesTransferred] BIGINT   CONSTRAINT [DF__Execution__Execu__208CD6FA] DEFAULT ((0)) NOT NULL
);

