﻿CREATE TABLE [RTLS_NDRDW].[FlightPackageMaster] (
    [FlightPackageMasterID]         INT      IDENTITY (1, 1) NOT NULL,
    [FlightMasterID]                INT      CONSTRAINT [DF__FlightPac__Fligh__7B5B524B] DEFAULT ((0)) NOT NULL,
    [PackageMasterID]               INT      CONSTRAINT [DF__FlightPac__Packa__7C4F7684] DEFAULT ((0)) NOT NULL,
    [FlightExecutionOrder]          INT      CONSTRAINT [DF__FlightPac__Fligh__7D439ABD] DEFAULT ((0)) NOT NULL,
    [SourceConnectionMasterID]      INT      CONSTRAINT [DF__FlightPac__Sourc__7E37BEF6] DEFAULT ((0)) NOT NULL,
    [DestinationConnectionMasterID] INT      CONSTRAINT [DF__FlightPac__Desti__7F2BE32F] DEFAULT ((0)) NOT NULL,
    [IsEnabled]                     INT      CONSTRAINT [DF__FlightPac__IsEna__00200768] DEFAULT ((1)) NOT NULL,
    [CreateDate]                    DATETIME CONSTRAINT [DF__FlightPac__Creat__01142BA1] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]                    DATETIME CONSTRAINT [DF__FlightPac__Updat__02084FDA] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK_FlightPackageMaster] PRIMARY KEY CLUSTERED ([FlightPackageMasterID] ASC),
    CONSTRAINT [FK_DestinationConnection] FOREIGN KEY ([DestinationConnectionMasterID]) REFERENCES [RTLS_NDRDW].[ConnectionMaster] ([ConnectionMasterID]),
    CONSTRAINT [FK_FlightMaster] FOREIGN KEY ([FlightMasterID]) REFERENCES [RTLS_NDRDW].[FlightMaster] ([FlightMasterID]),
    CONSTRAINT [FK_PackagetMaster] FOREIGN KEY ([PackageMasterID]) REFERENCES [RTLS_NDRDW].[PackageMaster] ([PackageMasterID]),
    CONSTRAINT [FK_SourceConnection] FOREIGN KEY ([SourceConnectionMasterID]) REFERENCES [RTLS_NDRDW].[ConnectionMaster] ([ConnectionMasterID])
);

