﻿CREATE TABLE [RTLS_NDRDW].[JobMaster] (
    [JobMasterID]        INT             IDENTITY (1, 1) NOT NULL,
    [JobMasterName]      NVARCHAR (1024) NOT NULL,
    [JobMasterOrder]     INT             CONSTRAINT [DF__JobMaster__JobMa__0C85DE4D] DEFAULT ((0)) NOT NULL,
    [IsEnabled]          INT             CONSTRAINT [DF__JobMaster__IsEna__0D7A0286] DEFAULT ((0)) NOT NULL,
    [JobMasterTimeZone]  NVARCHAR (10)   CONSTRAINT [DF__JobMaster__JobMa__0E6E26BF] DEFAULT ('CST') NOT NULL,
    [JobMasterStartTime] DATETIME        CONSTRAINT [DF__JobMaster__JobMa__0F624AF8] DEFAULT ('01/01/2015 02:00:00') NOT NULL,
    [ConnectionMasterID] INT             CONSTRAINT [DF__JobMaster__Conne__10566F31] DEFAULT ((0)) NOT NULL,
    [ScheduleMasterID]   INT             CONSTRAINT [DF__JobMaster__Sched__114A936A] DEFAULT ((0)) NOT NULL,
    [CreateDate]         DATETIME        CONSTRAINT [DF__JobMaster__Creat__123EB7A3] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]         DATETIME        CONSTRAINT [DF__JobMaster__Updat__1332DBDC] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK__JobMaste__FA85A4BEAB040900] PRIMARY KEY CLUSTERED ([JobMasterID] ASC),
    CONSTRAINT [FK_JobMaster_ConnectionMaster] FOREIGN KEY ([ConnectionMasterID]) REFERENCES [RTLS_NDRDW].[ConnectionMaster] ([ConnectionMasterID]),
    CONSTRAINT [FK_JobMaster_ScheduleMaster] FOREIGN KEY ([ScheduleMasterID]) REFERENCES [RTLS_NDRDW].[ScheduleMaster] ([ScheduleMasterID])
);

