﻿CREATE TABLE [RTLS_NDRDW].[KeyColumnUsage] (
    [KeyColumnUsageID] INT           IDENTITY (1, 1) NOT NULL,
    [SystemMasterID]   INT           NOT NULL,
    [TableOwner]       VARCHAR (128) NULL,
    [TableName]        VARCHAR (128) NULL,
    [ColumnName]       VARCHAR (128) NULL,
    [ConstraintName]   VARCHAR (254) NULL,
    [ConstraintType]   VARCHAR (254) NULL,
    [CreateDate]       SMALLDATETIME NULL,
    CONSTRAINT [PK_KeyColumnUsage] PRIMARY KEY CLUSTERED ([KeyColumnUsageID] ASC),
    CONSTRAINT [FK_KeyColumnUsage_SystemMaster] FOREIGN KEY ([SystemMasterID]) REFERENCES [RTLS_NDRDW].[SystemMaster] ([SystemMasterID]) ON UPDATE CASCADE
);

