﻿CREATE TABLE [RTLS_NDRDW].[PackageMaster] (
    [PackageMasterID]                    INT             IDENTITY (1, 1) NOT NULL,
    [PackageName]                        NVARCHAR (1024) NOT NULL,
    [PackageFolder]                      NVARCHAR (1024) NOT NULL,
    [PackageProject]                     NVARCHAR (1024) NOT NULL,
    [PackageIsGenerated]                 INT             CONSTRAINT [DF__PackageMa__Packa__656C112C] DEFAULT ((0)) NOT NULL,
    [PackageSignature]                   NVARCHAR (1024) NULL,
    [PackageSourceConnectionTypeID]      INT             NOT NULL,
    [PackageDestinationConnectionTypeID] INT             NOT NULL,
    [CreateDate]                         DATETIME        CONSTRAINT [DF__PackageMa__Creat__66603565] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]                         DATETIME        CONSTRAINT [DF__PackageMa__Updat__6754599E] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK__PackageM__322035EC336CE648] PRIMARY KEY CLUSTERED ([PackageMasterID] ASC),
    CONSTRAINT [FK_PackageMaster_PackageDestinationConnectionType] FOREIGN KEY ([PackageSourceConnectionTypeID]) REFERENCES [RTLS_NDRDW].[ConnectionType] ([ConnectionTypeID]),
    CONSTRAINT [FK_PackageMaster_PackageSourceConnectionType] FOREIGN KEY ([PackageSourceConnectionTypeID]) REFERENCES [RTLS_NDRDW].[ConnectionType] ([ConnectionTypeID])
);

