﻿CREATE TABLE [RTLS_NDRDW].[PartitionDetail] (
    [PartitionDetailID] INT           IDENTITY (1, 1) NOT NULL,
    [SystemMasterID]    INT           NOT NULL,
    [TableName]         VARCHAR (128) NULL,
    [IndexName]         VARCHAR (128) NULL,
    [PartitionScheme]   VARCHAR (128) NULL,
    [PartitionFunction] VARCHAR (128) NULL,
    [PartitionNumber]   VARCHAR (128) NULL,
    [RowCounter]        VARCHAR (128) NULL,
    [TypeDesc]          VARCHAR (128) NULL,
    [RangeType]         VARCHAR (128) NULL,
    [Boundary]          VARCHAR (128) NULL,
    [CreateDate]        DATETIME      NULL,
    [UpdateDate]        DATETIME      NULL,
    CONSTRAINT [PK_PartitionDetail] PRIMARY KEY CLUSTERED ([PartitionDetailID] ASC),
    CONSTRAINT [FK_PartitionDetail_SystemMaster] FOREIGN KEY ([SystemMasterID]) REFERENCES [RTLS_NDRDW].[SystemMaster] ([SystemMasterID]) ON UPDATE CASCADE
);

