﻿CREATE TABLE [RTLS_NDRDW].[SystemMaster] (
    [SystemMasterID]           INT            IDENTITY (1, 1) NOT NULL,
    [VendorMasterID]           INT            NOT NULL,
    [SystemName]               NVARCHAR (512) NOT NULL,
    [Description]              NVARCHAR (MAX) NULL,
    [SoftwareVersion]          NVARCHAR (512) NULL,
    [DatabaseType]             NVARCHAR (128) NOT NULL,
    [CreateDate]               DATETIME       CONSTRAINT [DF__SystemMas__Creat__534D60F1] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]               DATETIME       CONSTRAINT [DF__SystemMas__Updat__5441852A] DEFAULT (getdate()) NOT NULL,
    [IsInitialExtractComplete] BIT            CONSTRAINT [DF__SystemMas__IsIni__5535A963] DEFAULT ((0)) NOT NULL,
    CONSTRAINT [PK__SystemMa__D7A1B075C4492B86] PRIMARY KEY CLUSTERED ([SystemMasterID] ASC),
    CONSTRAINT [FK_SystemMaster_VendorMaster] FOREIGN KEY ([VendorMasterID]) REFERENCES [RTLS_NDRDW].[VendorMaster] ([VendorMasterID]) ON DELETE CASCADE ON UPDATE CASCADE
);

