﻿CREATE TABLE [RTLS_NDRDW].[TableMaster] (
    [TableMasterID]      INT            IDENTITY (1, 1) NOT NULL,
    [ConnectionMasterID] INT            CONSTRAINT [DF__TableMast__Conne__68487DD7] DEFAULT ((0)) NOT NULL,
    [SystemMasterID]     INT            CONSTRAINT [DF__TableMast__Syste__693CA210] DEFAULT ((0)) NOT NULL,
    [FlightMasterID]     INT            CONSTRAINT [DF__TableMast__Fligh__6A30C649] DEFAULT ((0)) NOT NULL,
    [TableTypeID]        INT            CONSTRAINT [DF__TableMast__Table__6B24EA82] DEFAULT ((0)) NOT NULL,
    [TableName]          NVARCHAR (256) NOT NULL,
    [TableOrderSeq]      INT            NOT NULL,
    [LastProcessDate]    DATETIME       NULL,
    [IsEnabled]          INT            CONSTRAINT [DF__TableMast__IsEna__6C190EBB] DEFAULT ((1)) NOT NULL,
    [FilterColumns]      NVARCHAR (MAX) NULL,
    [FilterValues]       NVARCHAR (MAX) NULL,
    [CreateDate]         DATETIME       CONSTRAINT [DF__TableMast__Creat__6D0D32F4] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]         DATETIME       CONSTRAINT [DF__TableMast__Updat__6E01572D] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK__TableMas__2EF77FA213B96782] PRIMARY KEY CLUSTERED ([TableMasterID] ASC),
    CONSTRAINT [FK_TableMaster_SystemMaster] FOREIGN KEY ([SystemMasterID]) REFERENCES [RTLS_NDRDW].[SystemMaster] ([SystemMasterID]),
    CONSTRAINT [FK_TableMaster_TableType] FOREIGN KEY ([TableTypeID]) REFERENCES [RTLS_NDRDW].[TableType] ([TableTypeID])
);

