﻿CREATE TABLE [RTLS_NDRDW].[TaskMaster] (
    [TaskMasterID]                       INT      NOT NULL,
    [RunMasterID]                        INT      CONSTRAINT [DF__TaskMaste__RunMa__02FC7413] DEFAULT ((0)) NOT NULL,
    [PackageMasterID]                    INT      CONSTRAINT [DF__TaskMaste__Packa__03F0984C] DEFAULT ((0)) NOT NULL,
    [PackageSourceConnectionTypeID]      INT      CONSTRAINT [DF__TaskMaste__Packa__04E4BC85] DEFAULT ((0)) NOT NULL,
    [PackageDestinationConnectionTypeID] INT      CONSTRAINT [DF__TaskMaste__Packa__05D8E0BE] DEFAULT ((0)) NOT NULL,
    [SourceConnectionMasterID]           INT      CONSTRAINT [DF__TaskMaste__Sourc__06CD04F7] DEFAULT ((0)) NOT NULL,
    [DestinationConnectionMasterID]      INT      CONSTRAINT [DF__TaskMaste__Desti__07C12930] DEFAULT ((0)) NOT NULL,
    [PrecedentTask]                      INT      CONSTRAINT [DF__TaskMaste__Prece__08B54D69] DEFAULT ((0)) NOT NULL,
    [ExecutionOrder]                     INT      CONSTRAINT [DF__TaskMaste__Execu__09A971A2] DEFAULT ((1)) NOT NULL,
    [CreateDate]                         DATETIME CONSTRAINT [DF__TaskMaste__Creat__0A9D95DB] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]                         DATETIME CONSTRAINT [DF__TaskMaste__Updat__0B91BA14] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK__TasksMas__EB728616CC770C46] PRIMARY KEY CLUSTERED ([TaskMasterID] ASC),
    CONSTRAINT [FK_TaskMaster_RunMaster] FOREIGN KEY ([RunMasterID]) REFERENCES [RTLS_NDRDW].[RunMaster] ([RunMasterID]) ON DELETE CASCADE ON UPDATE CASCADE
);

