﻿CREATE TABLE [RTLS_NDRDW].[TemporaryMetadata] (
    [TemporaryMetadataID]    INT             IDENTITY (1, 1) NOT NULL,
    [TableQualifier]         VARCHAR (128)   NOT NULL,
    [TableOwner]             VARCHAR (128)   NOT NULL,
    [TableName]              VARCHAR (128)   NOT NULL,
    [ColumnName]             VARCHAR (128)   NOT NULL,
    [DataType]               SMALLINT        NULL,
    [TypeName]               VARCHAR (128)   NOT NULL,
    [DataPrecision]          INT             NOT NULL,
    [TransferLength]         INT             NOT NULL,
    [Scale]                  SMALLINT        NULL,
    [Radix]                  SMALLINT        NULL,
    [Nullable]               SMALLINT        NOT NULL,
    [Remarks]                VARCHAR (254)   NULL,
    [ColumnDefault]          NVARCHAR (4000) NULL,
    [SQLDataType]            SMALLINT        NOT NULL,
    [SQLDateTimeSubTypeCode] SMALLINT        NULL,
    [CharacterOctetLength]   INT             NULL,
    [OrdinalPosition]        INT             NOT NULL,
    [IsNullable]             VARCHAR (254)   NOT NULL,
    [SQLServerDataType]      TINYINT         NOT NULL,
    [CreateDate]             DATETIME        NULL,
    CONSTRAINT [PK_TemporaryMetadata] PRIMARY KEY CLUSTERED ([TemporaryMetadataID] ASC)
);

