﻿CREATE TABLE [RTLS_NDRDW].[TemporaryNewMetadataExtract] (
    [TemporaryNewMetadataExtractID] INT             IDENTITY (1, 1) NOT NULL,
    [ConnectionMasterID]            INT             NULL,
    [SystemMasterID]                INT             NOT NULL,
    [TableOwner]                    VARCHAR (128)   NULL,
    [TableName]                     VARCHAR (128)   NULL,
    [ColumnName]                    VARCHAR (128)   NULL,
    [ObjectType]                    VARCHAR (8)     NULL,
    [DataType]                      VARCHAR (128)   NOT NULL,
    [KeyType]                       CHAR (2)        NULL,
    [ColumnOrder]                   INT             NOT NULL,
    [ColumnLength]                  INT             NOT NULL,
    [DefaultValue]                  NVARCHAR (4000) NULL,
    [AllowsNulls]                   VARCHAR (254)   NOT NULL,
    [ObjectDescription]             NVARCHAR (4000) NULL,
    [CreateDate]                    DATETIME        NULL,
    CONSTRAINT [PK_TemporaryNewMetadataExtract] PRIMARY KEY CLUSTERED ([TemporaryNewMetadataExtractID] ASC)
);

