﻿CREATE TABLE [RTLS_NDRDW].[rptDatabaseDiskSpaceHistory] (
    [Dbname]            [sysname]       NOT NULL,
    [did]               INT             NULL,
    [fileid]            INT             NULL,
    [dbstatus]          VARCHAR (50)    NULL,
    [Recovery_Model]    VARCHAR (40)    NULL,
    [DBsize]            DECIMAL (38, 2) NULL,
    [file_Size_MB]      DECIMAL (30, 2) NULL,
    [Space_Used_MB]     DECIMAL (30, 2) NULL,
    [Free_Space_MB]     DECIMAL (30, 2) NULL,
    [Log_File_Size_MB]  DECIMAL (38, 2) NULL,
    [log_Space_Used_MB] DECIMAL (30, 2) NULL,
    [log_Free_Space_MB] DECIMAL (30, 2) NULL,
    [DB_Freespace]      VARCHAR (50)    NULL,
    [PercDiskUsed]      DECIMAL (38, 6) NULL,
    [TotalDiskSpaceMB]  BIGINT          NULL,
    [AvailDiskSpaceMB]  BIGINT          NULL,
    [PullDate]          DATETIME        NULL
) ON [PRIMARY];

