﻿CREATE TABLE [RTLS_NDRDW].[rptSQLPerfMonData] (
    [BufferCacheHitRatio]        NUMERIC (38, 13) NULL,
    [PageReadsPerSec]            BIGINT           NULL,
    [PageWritesPerSecond]        BIGINT           NULL,
    [PageSplitsPerSecond]        BIGINT           NULL,
    [UserConnections]            BIGINT           NULL,
    [PageLifeExpectency]         BIGINT           NULL,
    [CheckpointPagesPerSecond]   BIGINT           NULL,
    [LazyWritesPerSecond]        BIGINT           NULL,
    [FreeSpaceInTempdbKB]        BIGINT           NULL,
    [BatchRequestsPerSecond]     BIGINT           NULL,
    [SQLCompilationsPerSecond]   BIGINT           NULL,
    [SQLReCompilationsPerSecond] BIGINT           NULL,
    [Target Server Memory (KB)]  BIGINT           NULL,
    [Total Server Memory (KB)]   BIGINT           NULL,
    [MeasurementTime]            DATETIME         NOT NULL,
    [AvgTaskCount]               INT              NULL,
    [AvgRunnableTaskCount]       INT              NULL,
    [AvgPendingDiskIOCount]      INT              NULL,
    [PercentSignalWait]          BIGINT           NULL,
    [PageLookupsPerSecond]       BIGINT           NULL,
    [TransactionsPerSecond]      BIGINT           NULL,
    [MemoryGrantsPending]        BIGINT           NULL,
    [LockWaitsPerSecondTotal]    BIGINT           NULL,
    [ProcessesBlocked]           BIGINT           NULL
) ON [PRIMARY];

