﻿
CREATE VIEW [RTLS_NDRDW].[tmpSchemaVW]
AS
SELECT 
	'[' + COLUMN_NAME + '] [' + DATA_TYPE + ']'
	+ CASE 
		WHEN ( ISNULL(CHARACTER_MAXIMUM_LENGTH, 0) = -1 ) THEN '(MAX)'
		WHEN ( ISNULL(CHARACTER_MAXIMUM_LENGTH, 0) > 0 ) AND ( DATA_TYPE <> 'Text' ) THEN '(' + CAST(CHARACTER_MAXIMUM_LENGTH AS NVARCHAR(128)) + ')'
		ELSE ''
		END
		+ ' '
		+ CASE IS_NULLABLE
			WHEN 'YES' THEN 'NULL'
			ELSE 'NOT NULL'
		END
	AS COL_DEF
	, *
  FROM [RTLS_NDRDW].[tmpSchema]