


-- Create a new file group
ALTER DATABASE ETL ADD FILEGROUP DefFG;
GO

-- Add a file to the file group, we can now use the file group to store data
ALTER DATABASE ETL
   ADD FILE (
      NAME = fDefFG
	  , FILENAME = 'c:\ndrdw\fDefFG_file.ndf'
	  , SIZE = 5MB
	  , MAXSIZE = 100MB
	  , FILEGROWTH = 5MB
      ) TO FILEGROUP DefFG;
GO 

CREATE SCHEMA [RTLS_NDRDW];
GO

ALTER AUTHORIZATION ON DATABASE::ETL TO sa;
GO



