
IF "%1"=="" GOTO :USAGE

SET instdir=d:\sw\ETLFramework\ETLFramework%1

SET server=localhost

SET db=ETL
SET cn=-E -S %server%

REM Procs
SET p=%instdir%\Procs
SET sql=SchemaCreate.sql SchemaCreateIndex.sql SchemaDDL.sql SchemaDDLIndex.sql 
for %%f in ( %sql% ) do (
	sqlcmd %cn%  -d %db% -i "%p%\%%f"
)
REM Procs Oracle
SET p=%instdir%\Procs
SET sql=SchemaCreateOracle.sql SchemaDDLOracle.sql 
for %%f in ( %sql% ) do (
	sqlcmd %cn%  -d %db% -i "%p%\%%f"
)
REM Install
SET p=%instdir%\ispac
SET sql=_ETLUnInstall.sql _ETLInstall.sql
for %%f in ( %sql% ) do (
	sqlcmd %cn% -d %db% -v instdir="%instdir%\ispac" -i "%p%\%%f"
)
GOTO :EOF
:USAGE
	@ECHO OFF
	ECHO Usage: %0 YYYYMMDD
	ECHO Installation Directory %instdir%
:EOF