﻿
DECLARE @stmt NVARCHAR(MAX) = ''
DECLARE @stmt2 VARCHAR(MAX) = ''
DECLARE @i INT = 0
DECLARE @j INT = 2
DECLARE @begin_flight INT = 8
DECLARE @jobs INT = 3 -- split into this many jobs
DECLARE @job_id INT = 1
DECLARE @max_job_id INT = 1
DECLARE @JobName NVARCHAR(128) 
DECLARE @Vendor NVARCHAR(128)
DECLARE @SystemMasterID INT = 3 -- InSites
DECLARE @FlightMasterID INT = 1 -- Schema Flight

WHILE @j <= 4
BEGIN
	SET @FlightMasterID = @begin_flight + @j
	SET @systemMasterID = @j
	SELECT @Vendor=SystemName FROM [RTLS_NDRDW].[SystemMaster] WHERE [SystemMasterID] = @j
	SET @JobName = 'VISN 23 ' + @Vendor + ' TruncCopyMerge '
	PRINT @JobName
	SET @stmt2 = @stmt2 + 'REM ' + @JobName + '
'
	WHILE @i < @jobs
	BEGIN
		SET @stmt='DECLARE @ret INT
	UPDATE [RTLS_NDRDW].[TableMaster] SET [IsEnabled] = 0 WHERE [SystemMasterID] = ' + CAST( @SystemMasterID AS NVARCHAR(5) ) + '
	UPDATE [RTLS_NDRDW].[TableMaster] SET [IsEnabled] = 1 WHERE [SystemMasterID] = ' + CAST( @SystemMasterID AS NVARCHAR(5) ) + '
		 AND ( ( [TableMasterID] % ' + CAST( @jobs AS NVARCHAR(5) ) + ' ) = ' + CAST( @i AS NVARCHAR(5) ) + ' )
	EXEC @ret=[RTLS_NDRDW].[JobCreate] @JobName = N''' + @JobName + CAST( @i + 1 AS NVARCHAR(5) ) + '''
		, @JobOrder = ' + CAST( @i AS NVARCHAR(3) ) + '
		, @ConnectionMasterID = 1, @ScheduleMasterID = 1
		, @SystemMasterID = ' + CAST( @SystemMasterID AS NVARCHAR(5) ) + '
		, @FlightMasterID = ' + CAST( @FlightMasterID AS NVARCHAR(5) ) + '
	UPDATE [RTLS_NDRDW].[TableMaster] SET [IsEnabled] = 1 WHERE [SystemMasterID] = ' + CAST( @SystemMasterID AS NVARCHAR(5) ) + '
	-- PRINT ''JOB ID: '' + CAST ( @ret AS NVARCHAR(10) )
	'
		PRINT @stmt
		EXEC sp_executesql @stmt=@stmt

		SELECT @max_job_id = MAX(JobMasterID) FROM [RTLS_NDRDW].[JobMaster]
		SET @stmt2 = @stmt2 + 'start cmd /k sqlcmd -E -d ETL -Q "EXEC [RTLS_NDRDW].[ExecutionRun] @VISNMasterID = 23, @JobMasterID = ' + CAST( @max_job_id AS NVARCHAR(5) ) + ' , @ExecutionJobLogID = 0;"
'
		SET @i = @i + 1
		SET @job_id = @job_id + 1
	END
	Set @i = 0
	SET @j = @j + 1
END
-- refresh
EXEC [RTLS_NDRDW].[TaskRefresh]
PRINT @stmt2
