﻿
DECLARE @stmt AS NVARCHAR(MAX)
DECLARE @mds AS NVARCHAR(256)
DECLARE @schema AS NVARCHAR(256)
DECLARE @tbl AS NVARCHAR(256)

--
--
--
SET @mds = 'MDS'
SET @schema = 'RTLS_NDRDW'
SET @tbl='FlightMaster'


-- insert tables
SET @stmt='
-- DELETE FROM [' + @schema + '].[' + @tbl + '] 
SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] ON
INSERT INTO [' + @schema + '].[' + @tbl + ']
	( [FlightMasterID]
	, [FlightName]
	, [CreateDate]
	, [UpdateDate]
	)
VALUES

'
PRINT @stmt

SET @stmt='
DECLARE @FlightMasterID NVARCHAR(10)
DECLARE @FlightName NVARCHAR(512)
DECLARE @CreateDate NVARCHAR(25)
DECLARE @UpdateDate NVARCHAR(25)
DECLARE @comma NVARCHAR(5)
SET @comma = ''''

DECLARE c CURSOR FOR

	SELECT [Code] AS [FlightMasterID]
		,[Name] AS [FlightName]
		, CONVERT( NVARCHAR(25), [EnterDateTime], 126 ) AS [CreateDate]
		, CONVERT( NVARCHAR(25), [LastChgDateTime], 126 ) AS [UpdateDate]
	FROM [' + @mds + '].[mdm].[FlightMaster]
	ORDER BY CAST([Code] AS INT)
OPEN c
FETCH NEXT FROM c INTO 
	@FlightMasterID
	, @FlightName
	, @CreateDate
	, @UpdateDate

WHILE @@FETCH_STATUS = 0
BEGIN
	PRINT @comma + ''( '' + @FlightMasterID + '', '''''' + @FlightName + '''''', '''''' + @CreateDate + '''''', '''''' + @UpdateDate + '''''' )''
	SET @comma = '', ''
    FETCH NEXT FROM c INTO 
	@FlightMasterID
	, @FlightName
	, @CreateDate
	, @UpdateDate
END 
CLOSE c;
DEALLOCATE c;
'
-- PRINT @stmt
EXEC sp_executesql @stmt=@stmt

SET @stmt = '
SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] OFF
-- SELECT * FROM [' + @schema + '].[' + @tbl + '] 
'
PRINT @stmt

