﻿
DECLARE @stmt AS NVARCHAR(MAX)
DECLARE @mds AS NVARCHAR(256)
DECLARE @schema AS NVARCHAR(256)
DECLARE @tbl AS NVARCHAR(256)

--
--
--
SET @mds = 'MDS'
SET @schema = 'RTLS_NDRDW'
SET @tbl='ScheduleMaster'


-- insert tables
SET @stmt='
-- DELETE FROM [' + @schema + '].[' + @tbl + '] 
SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] ON
INSERT INTO [' + @schema + '].[' + @tbl + ']
	( [ScheduleMasterID]
	, [ScheduleMasterName]
	, [ScheduleMasterTimeZone]
	, [ScheduleStartTime]
	, [ScheduleStopTime]
	-- ,[ScheduleActualStartTime]
	-- ,[ScheduleActualStopTime]
	, [CreateDate]
	, [UpdateDate]
)
VALUES
'
PRINT @stmt

SET @stmt='
DECLARE @ScheduleMasterID NVARCHAR(10)
DECLARE @ScheduleMasterName NVARCHAR(512)
DECLARE @ScheduleMasterTimeZone NVARCHAR(10)
DECLARE @ScheduleStartTime NVARCHAR(25)
DECLARE @ScheduleStopTime NVARCHAR(25)
DECLARE @CreateDate NVARCHAR(25)
DECLARE @UpdateDate NVARCHAR(25)

DECLARE @comma NVARCHAR(5)
SET @comma = ''''

DECLARE c CURSOR FOR
	SELECT 
		[ID] AS [ScheduleMasterID]
		, [Name] AS [ScheduleMasterName]
		, [ScheduleMasterTimeZone]
		, [ScheduleStartTime]
		, [ScheduleStopTime]
		, CONVERT( NVARCHAR(25), [EnterDateTime], 126 ) AS [CreateDate]
		, CONVERT( NVARCHAR(25), [LastChgDateTime], 126 ) AS [UpdateDate]
	FROM [' + @mds + '].[mdm].[ScheduleMaster]
	ORDER BY [ID]



OPEN c
FETCH NEXT FROM c INTO 
	@ScheduleMasterID
	, @ScheduleMasterName
	, @ScheduleMasterTimeZone
	, @ScheduleStartTime
	, @ScheduleStopTime
	, @CreateDate
	, @UpdateDate

WHILE @@FETCH_STATUS = 0
BEGIN
	PRINT @comma + ''( '' + @ScheduleMasterID + '', '''''' 
		+ @ScheduleMasterName + '''''', '''''' 
		+ @ScheduleMasterTimeZone + '''''', '''''' 
		+ @ScheduleStartTime + '''''', '''''' 
		+ @ScheduleStopTime + '''''', '''''' 
		+ @CreateDate + '''''', '''''' 
		+ @UpdateDate + '''''' )''

	SET @comma = '', ''
    FETCH NEXT FROM c INTO 
		@ScheduleMasterID
		, @ScheduleMasterName
		, @ScheduleMasterTimeZone
		, @ScheduleStartTime
		, @ScheduleStopTime
		, @CreateDate
		, @UpdateDate
END 
CLOSE c;
DEALLOCATE c;
'
-- PRINT @stmt
EXEC sp_executesql @stmt=@stmt

SET @stmt = '
SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] OFF
-- SELECT * FROM [' + @schema + '].[' + @tbl + '] 
'
PRINT @stmt

