﻿
DECLARE @stmt AS NVARCHAR(MAX)
DECLARE @mds AS NVARCHAR(256)
DECLARE @schema AS NVARCHAR(256)
DECLARE @tbl AS NVARCHAR(256)

--
--
--
SET @mds = 'MDS'
SET @schema = 'RTLS_NDRDW'
SET @tbl='VISNMaster'


-- insert tables
SET @stmt='
-- DELETE FROM [' + @schema + '].[' + @tbl + '] 
-- SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] ON
INSERT INTO [' + @schema + '].[' + @tbl + ']
	( [VISNMasterID]
	, [VISNName]
	, [VISNLongName]
	, [IsEnabled]
	-- ,[TimeZone]
	, [CreateDate]
	, [UpdateDate]
	)
VALUES'
PRINT @stmt

SET @stmt='
DECLARE @VISNMasterID NVARCHAR(10)
DECLARE @VISNName NVARCHAR(512)
DECLARE @VISNLongName NVARCHAR(1024)
DECLARE @IsEnabled NVARCHAR(10)
DECLARE @CreateDate NVARCHAR(25)
DECLARE @UpdateDate NVARCHAR(25)

DECLARE @comma NVARCHAR(5)
SET @comma = ''''

DECLARE c CURSOR FOR

	SELECT [Code] AS [VISNMasterID]
		, [Name] AS [VISNName]
		, [VISNLongName]
		, [IsEnabled_Code] AS [IsEnabled]
		, CONVERT( NVARCHAR(25), [EnterDateTime], 126 ) AS [CreateDate]
		, CONVERT( NVARCHAR(25), [LastChgDateTime], 126 ) AS [UpdateDate]
	FROM [' + @mds + '].[mdm].[VISNMaster]
	ORDER BY CAST([Code] AS INT)

OPEN c
FETCH NEXT FROM c INTO 
	@VISNMasterID
	, @VISNName
	, @VISNLongName
	, @IsEnabled
	, @CreateDate
	, @UpdateDate

WHILE @@FETCH_STATUS = 0
BEGIN
	PRINT @comma + ''( '' + @VISNMasterID + '', '''''' 
		+ @VISNName + '''''', '''''' 
		+ @VISNLongName + '''''', '''''' 
		+ @IsEnabled + '''''', '''''' 
		+ @CreateDate + '''''', '''''' 
		+ @UpdateDate + '''''' )''

	SET @comma = '', ''
    FETCH NEXT FROM c INTO 
	@VISNMasterID
	, @VISNName
	, @VISNLongName
	, @IsEnabled
	, @CreateDate
	, @UpdateDate
END 
CLOSE c;
DEALLOCATE c;
'
-- PRINT @stmt
EXEC sp_executesql @stmt=@stmt

SET @stmt = '
-- SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] OFF
-- SELECT * FROM [' + @schema + '].[' + @tbl + '] 
'
PRINT @stmt

