﻿
DECLARE @stmt AS NVARCHAR(MAX)
DECLARE @mds AS NVARCHAR(256)
DECLARE @schema AS NVARCHAR(256)
DECLARE @tbl AS NVARCHAR(256)

--
--
--
SET @mds = 'MDS'
SET @schema = 'RTLS_NDRDW'
SET @tbl='VendorMaster'


-- insert tables
SET @stmt='
-- DELETE FROM [' + @schema + '].[' + @tbl + '] 
SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] ON
INSERT INTO [' + @schema + '].[' + @tbl + ']
	( [VendorMasterID]
	, [VendorName]
	, [VendorNameLong]
	, [VendorDescription]
	, [CreateDate]
	, [UpdateDate]
	)
VALUES'
PRINT @stmt

SET @stmt='
DECLARE @VendorMasterID NVARCHAR(10)
DECLARE @VendorName NVARCHAR(512)
DECLARE @VendorNameLong NVARCHAR(2048)
DECLARE @VendorDescription NVARCHAR(MAX)
DECLARE @CreateDate NVARCHAR(25)
DECLARE @UpdateDate NVARCHAR(25)

DECLARE @comma NVARCHAR(5)
SET @comma = ''''

DECLARE c CURSOR FOR

	SELECT 
		[Code] AS [VendorMasterID]
		, [Name] AS [VendorName]
		, [VendorNameLong]
		, [VendorDescription]
		, CONVERT( NVARCHAR(25), [EnterDateTime], 126 ) AS [CreateDate]
		, CONVERT( NVARCHAR(25), [LastChgDateTime], 126 ) AS [UpdateDate]
	FROM [' + @mds + '].[mdm].[VendorMaster]
	ORDER BY CAST([Code] AS INT)

OPEN c
FETCH NEXT FROM c INTO 
	@VendorMasterID
	, @VendorName
	, @VendorNameLong
	, @VendorDescription
	, @CreateDate
	, @UpdateDate

WHILE @@FETCH_STATUS = 0
BEGIN
	PRINT @comma + ''( '' + @VendorMasterID + '', '''''' 
		+ @VendorName + '''''', '''''' 
		+ @VendorNameLong + '''''', '''''' 
		+ @VendorDescription + '''''', '''''' 
		+ @CreateDate + '''''', '''''' 
		+ @UpdateDate + '''''' )''

	SET @comma = '', ''
    FETCH NEXT FROM c INTO 
		@VendorMasterID
		, @VendorName
		, @VendorNameLong
		, @VendorDescription
		, @CreateDate
		, @UpdateDate
END 
CLOSE c;
DEALLOCATE c;
'
-- PRINT @stmt
EXEC sp_executesql @stmt=@stmt

SET @stmt = '
SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] OFF
-- SELECT * FROM [' + @schema + '].[' + @tbl + '] 
'
PRINT @stmt

