﻿
DECLARE @stmt AS NVARCHAR(MAX)
DECLARE @mds AS NVARCHAR(256)
DECLARE @schema AS NVARCHAR(256)
DECLARE @tbl AS NVARCHAR(256)

--
--
--
SET @mds = 'MDS'
SET @schema = 'RTLS_NDRDW'
SET @tbl='SystemMaster'


-- insert tables
SET @stmt='
-- DELETE FROM [' + @schema + '].[' + @tbl + '] 
SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] ON
INSERT INTO [' + @schema + '].[' + @tbl + ']
	( [SystemMasterID]
	, [VendorMasterID]
	, [SystemName]
	, [Description]
	, [SoftwareVersion]
	, [DatabaseType]
	, [CreateDate]
	, [UpdateDate]
	)
VALUES'
PRINT @stmt

SET @stmt='
DECLARE @SystemMasterID NVARCHAR(10)
DECLARE @VendorMasterID NVARCHAR(10)
DECLARE @SystemName NVARCHAR(512)
DECLARE @Description NVARCHAR(MAX)
DECLARE @SoftwareVersion NVARCHAR(512)
DECLARE @DatabaseType NVARCHAR(128)
DECLARE @CreateDate NVARCHAR(25)
DECLARE @UpdateDate NVARCHAR(25)

DECLARE @comma NVARCHAR(5)
SET @comma = ''''

DECLARE c CURSOR FOR

	SELECT [ID] AS [SystemMasterID]
		, [VendorMaster_Code] AS [VendorMasterID]
		, [Name] AS [SystemName]
		, [Description]
		, [SoftwareVersion]
		, [DatabaseType]
		, CONVERT( NVARCHAR(25), [EnterDateTime], 126 ) AS [CreateDate]
		, CONVERT( NVARCHAR(25), [LastChgDateTime], 126 ) AS [UpdateDate]
	FROM [' + @mds + '].[mdm].[SystemMaster]
	ORDER BY [ID]


OPEN c
FETCH NEXT FROM c INTO 
	@SystemMasterID
	, @VendorMasterID
	, @SystemName
	, @Description
	, @SoftwareVersion
	, @DatabaseType
	, @CreateDate
	, @UpdateDate

WHILE @@FETCH_STATUS = 0
BEGIN
	PRINT @comma + ''( '' + @SystemMasterID + '', '''''' 
		+ @VendorMasterID + '''''', '''''' 
		+ @SystemName + '''''', '''''' 
		+ @Description + '''''', '''''' 
		+ @SoftwareVersion + '''''', '''''' 
		+ @DatabaseType + '''''', '''''' 
		+ @CreateDate + '''''', '''''' 
		+ @UpdateDate + '''''' )''

	SET @comma = '', ''
    FETCH NEXT FROM c INTO 
		@SystemMasterID
		, @VendorMasterID
		, @SystemName
		, @Description
		, @SoftwareVersion
		, @DatabaseType
		, @CreateDate
		, @UpdateDate
END 
CLOSE c;
DEALLOCATE c;
'
-- PRINT @stmt
EXEC sp_executesql @stmt=@stmt

SET @stmt = '
SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] OFF
-- SELECT * FROM [' + @schema + '].[' + @tbl + '] 
'
PRINT @stmt

