﻿
DECLARE @stmt AS NVARCHAR(MAX)
DECLARE @mds AS NVARCHAR(256)
DECLARE @schema AS NVARCHAR(256)
DECLARE @tbl AS NVARCHAR(256)

--
--
--
SET @mds = 'MDS'
SET @schema = 'RTLS_NDRDW'
SET @tbl='ConnectionMaster'


-- insert tables
SET @stmt='
-- DELETE FROM [' + @schema + '].[' + @tbl + '] 
SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] ON
INSERT INTO [' + @schema + '].[' + @tbl + ']
	( [ConnectionMasterID]
	, [SystemMasterID]
	, [VISNMasterID]
	, [FacilityMasterID]
	, [ConnectionTypeID]
	, [ConnectionStatusID]
	, [ServerName]
	, [DatabaseName]
	, [ConnectionProperty]
	, [ConnectionString]
	, [CreateDate]
	, [UpdateDate]
	)
VALUES'
PRINT @stmt

SET @stmt='
DECLARE @ConnectionMasterID NVARCHAR(10)
DECLARE @SystemMasterID NVARCHAR(10)
DECLARE @VISNMasterID NVARCHAR(10)
DECLARE @FacilityMasterID NVARCHAR(10)
DECLARE @ConnectionTypeID NVARCHAR(10)
DECLARE @ConnectionStatusID NVARCHAR(10)
DECLARE @ServerName NVARCHAR(1024)
DECLARE @DatabaseName NVARCHAR(1024)
DECLARE @ConnectionProperty NVARCHAR(1024)
DECLARE @ConnectionString NVARCHAR(1024)
DECLARE @CreateDate NVARCHAR(25)
DECLARE @UpdateDate NVARCHAR(25)

DECLARE @comma NVARCHAR(5)
SET @comma = ''''

DECLARE c CURSOR FOR
SELECT -- [ID] AS [ConnectionMasterID]
	ROW_NUMBER() OVER ( ORDER BY [SystemMaster_ID], [ConnectionType_ID]) AS [ConnectionMasterID]
	, [SystemMaster_ID] AS [SystemMasterID]
	, [VISNMaster_Code] AS [VISNMasterID]
	, [FacilityMaster_ID] AS [FacilityMasterID]
	, [ConnectionType_ID] AS [ConnectionTypeID]
	, 1 AS [ConnectionStatusID]
	, [ServerName]
	, [DatabaseName]
	, [DatabaseName] AS [ConnectionProperty]
	, [DatabaseName] AS [ConnectionString]
	, CONVERT( NVARCHAR(25), [EnterDateTime], 126 ) AS [CreateDate]
	, CONVERT( NVARCHAR(25), [LastChgDateTime], 126 ) AS [UpdateDate]
  FROM [' + @mds + '].[mdm].[ConnectionMaster]
WHERE [EnvironmentMaster_Code] = ''VISN23''
ORDER BY [SystemMaster_ID], [ConnectionType_ID]


OPEN c
FETCH NEXT FROM c INTO 
	@ConnectionMasterID
	, @SystemMasterID
	, @VISNMasterID
	, @FacilityMasterID
	, @ConnectionTypeID
	, @ConnectionStatusID
	, @ServerName
	, @DatabaseName
	, @ConnectionProperty
	, @ConnectionString
	, @CreateDate
	, @UpdateDate

WHILE @@FETCH_STATUS = 0
BEGIN
	PRINT @comma + ''( '' + @ConnectionMasterID + '', '''''' 
		+ @SystemMasterID + '''''', '''''' 
		+ @VISNMasterID + '''''', '''''' 
		+ @FacilityMasterID + '''''', '''''' 
		+ @ConnectionTypeID + '''''', '''''' 
		+ @ConnectionStatusID + '''''', '''''' 
		+ @ServerName + '''''', '''''' 
		+ @DatabaseName + '''''', '''''' 
		+ @ConnectionProperty + '''''', '''''' 
		+ @ConnectionString + '''''', '''''' 
		+ @CreateDate + '''''', '''''' 
		+ @UpdateDate + '''''' )''

	SET @comma = '', ''
    FETCH NEXT FROM c INTO 
		@ConnectionMasterID
		, @SystemMasterID
		, @VISNMasterID
		, @FacilityMasterID
		, @ConnectionTypeID
		, @ConnectionStatusID
		, @ServerName
		, @DatabaseName
		, @ConnectionProperty
		, @ConnectionString
		, @CreateDate
		, @UpdateDate
END 
CLOSE c;
DEALLOCATE c;
'
-- PRINT @stmt
EXEC sp_executesql @stmt=@stmt

SET @stmt = '
SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] OFF
-- SELECT * FROM [' + @schema + '].[' + @tbl + '] 
'
PRINT @stmt

