﻿
--
--
--
IF EXISTS (SELECT * FROM sys.objects [a] WHERE type = 'P' AND name = 'SchemaCreateIndexORacle' AND [a].[schema_id] = SCHEMA_ID('RTLS_NDRDW'))
BEGIN
	DROP PROCEDURE [RTLS_NDRDW].[SchemaCreateIndexORacle]
	PRINT 'DROP PROCEDURE [RTLS_NDRDW].[SchemaCreateIndexORacle]'
END
GO

--
--
--
CREATE PROCEDURE [RTLS_NDRDW].[SchemaCreateIndexORacle] 
AS
BEGIN
DECLARE @stmt AS NVARCHAR(MAX)
DECLARE @schema AS NVARCHAR(256)
DECLARE @DefFG AS NVARCHAR(256)
--
--
--
SET @schema = 'RTLS_NDRDW'
SET @DefFG = 'DefFG'

SET @stmt='
IF EXISTS (SELECT * FROM sys.objects [a] WHERE type = ''U'' AND name = ''tmpIndexOracle'' AND [a].[schema_id] = SCHEMA_ID(''' + @schema + '''))
BEGIN
	DROP TABLE [' + @schema + '].[tmpIndexOracle]
	PRINT ''DROP TABLE [' + @schema + '].[tmpIndexOracle]''
END


CREATE TABLE [' + @schema + '].[tmpIndexOracle](
	[SchemaName] [sysname] NOT NULL,
	[TableName] [sysname] NOT NULL,
	[IndexName] [sysname] NULL,
	[ColumnName] [sysname] NULL
) ON [' + @DefFG + ']'


	PRINT @stmt
	EXEC sp_executesql @stmt=@stmt

END
GO

PRINT 'CREATE PROCEDURE [RTLS_NDRDW].[SchemaCreateIndexOracle]'
-- execute it
EXEC [RTLS_NDRDW].[SchemaCreateIndexOracle]
