
SELECT [a].[name] AS [SchemaName]
	, [b].[name] AS [TableName]
FROM [sys].[schemas] [a]
JOIN [sys].[all_objects] [b] ON [a].[schema_id] = [b].[schema_id] AND [b].[type] = 'U'
ORDER BY [a].[name]



SELECT [a].* FROM [sys].[schemas] [a] ORDER BY [a].[name]
SELECT [a].* FROM [sys].[all_objects] [a] ORDER BY [a].[name]
SELECT [b].* FROM [sys].[database_files] [b]
SELECT [c].* FROM [sys].[data_spaces] [c]
SELECT [d].* FROM [sys].[filegroups] [d]
SELECT [e].* FROM [sys].[sysfiles] [e]
SELECT [f].* FROM [sys].[sysfilegroups] [f]
SELECT [g].* FROM [sys].[sysindexes] [g]
SELECT [h].* FROM [sys].[sysobjects] [h]
SELECT 'HERE'
--INNER JOIN sys.filegroups f ON i.data_space_id = f.data_space_id
--INNER JOIN sys.all_objects o ON i.[object_id] = o.[object_id]
--INNER JOIN sys.schemas s ON s.[schema_id] = o.[schema_id]
--WHERE i.data_space_id = f.data_space_id
--AND o.type = 'U' -- User Created Tables
--ORDER BY
--	[a].[name]
--, o.[name]


SELECT f.name AS [File Name] 
, f.physical_name AS [Physical Name]
, CAST((f.size/128.0) AS decimal(10,2)) AS [Total Size in MB]
, CAST(f.size/128.0 - CAST(FILEPROPERTY(f.name, 'SpaceUsed') AS int)/128.0 AS decimal(10,2)) AS [Available Space In MB]
, [file_id]
, fg.name AS [Filegroup Name]
FROM sys.database_files AS f WITH (NOLOCK)
LEFT OUTER JOIN sys.data_spaces AS fg WITH (NOLOCK)
ON f.data_space_id = fg.data_space_id OPTION (RECOMPILE);

SELECT s.[name] AS [SchemaName], o.[name], o.[type], i.[name], i.[index_id], f.[name]
FROM sys.indexes i
INNER JOIN sys.filegroups f ON i.data_space_id = f.data_space_id
INNER JOIN sys.all_objects o ON i.[object_id] = o.[object_id]
INNER JOIN sys.schemas s ON s.[schema_id] = o.[schema_id]
WHERE i.data_space_id = f.data_space_id
AND o.type = 'U' -- User Created Tables
ORDER BY
s.[name], o.[name]

-- SELECT * FROM sys.schemas

	SELECT 
		DB_NAME() AS DBNAME
		,sysfilegroups.groupid 
		,sysfilegroups.groupname 
		,fileid 
		,convert(decimal(12,2),round(sysfiles.size/128.000,2)) as file_size 
		,convert(decimal(12,2),round(sysfiles.maxsize/128.000,2)) as max_size 
		,convert(decimal(12,2),round(sysfiles.growth/128.000,2)) as growth_size 
		,convert(decimal(12,2),round(fileproperty(sysfiles.name,'SpaceUsed')/128.000,2)) as space_used 
		,convert(decimal(12,2),round((sysfiles.size-fileproperty(sysfiles.name,'SpaceUsed'))/128.000,2)) as free_space 
		,sysfiles.name 
		,sysfiles.filename 
		,sysfiles.* 
		, sysfilegroups.*
	FROM sys.sysfiles 
	LEFT OUTER JOIN sys.sysfilegroups 
	ON sysfiles.groupid = sysfilegroups.groupid