﻿
DECLARE @name NVARCHAR(128)
DECLARE @datasrc NVARCHAR(256)
DECLARE @cat NVARCHAR(128)
DECLARE @stmt NVARCHAR(MAX)

CREATE TABLE ##t_svrs ( name NVARCHAR(128), datasrc NVARCHAR(256), cat NVARCHAR(128) )
INSERT INTO ##t_svrs VALUES 
( 'VISN23_CenTrak', 'R02V23SQLRTK01', 'dbgmsnew' )
, ( 'VISN23_InSites', 'R02V23SQLRPI01', 'InSites' )
, ( 'VISN23_OatDbOmaha', 'R02V23SQLRPO01', 'oatdbOmaha' )

DECLARE c CURSOR FORWARD_ONLY FAST_FORWARD FOR
	SELECT * FROM ##t_svrs

	OPEN c
	FETCH NEXT FROM c into @name, @datasrc, @cat
	WHILE @@FETCH_STATUS = 0 
	BEGIN
		PRINT @name
		SET @stmt='EXEC sp_addlinkedserver  @server=N''' + @name + '''
			, @srvproduct=N''''
			, @provider=N''SQLNCLI''
			, @datasrc=N''' + @datasrc + '''
			, @catalog=N''' + @cat + ''';'
		PRINT @stmt
		EXEC sp_executesql @stmt=@stmt

		SET @stmt='EXEC sp_addlinkedsrvlogin @rmtsrvname = ''' + @name + ''', @useself = ''TRUE'';'
		PRINT @stmt
		EXEC sp_executesql @stmt=@stmt

		SET @stmt='EXEC sp_serveroption @server=N''' + @name + ''', @optname =''rpc out'', @optvalue=''TRUE'';'
		PRINT @stmt
		EXEC sp_executesql @stmt=@stmt
		FETCH NEXT FROM c into @name, @datasrc, @cat
	END
	CLOSE c
	DEALLOCATE c




DROP TABLE ##t_svrs