
-- DELETE FROM [ETLFramework].[TableType] 
SET IDENTITY_INSERT [ETLFramework].[TableType] ON
INSERT INTO [ETLFramework].[TableType]
	( [TableTypeID]
	, [TableTypeCode]
	, [TableTypeName]
	, [TableTypeDescription]
	, [CreateDate]
	, [UpdateDate]
	)
VALUES
( 1, 'A', 'Archive', 'Used to archive history records from large log and transaction tables.  These tables generally have the same name as their source with "_archive"  suffix.', '2015-04-01T22:03:38.887', '2015-04-01T22:03:49.177' )
, ( 2, 'C', 'Configuration', 'These tables hold software or database system data not related to the application.  Examples would be tables that store database connections, logins, or user perferance.', '2015-04-01T22:03:38.887', '2015-04-01T22:03:49.177' )
, ( 3, 'L', 'Log', 'Records are inserted only no updates.   An example is tblTagtemphistorical where values are record for a time interval.', '2015-04-01T22:03:38.887', '2015-04-01T22:03:49.177' )
, ( 4, 'R', 'Reference', 'Tables are generally small (less than 100 records) and static where a few will hold thousand of record and change slowly over time.      Examples is Wavemark.DISPOSITION for small and static.  InSites.Location and InSites.Equiment for larger and slowly changing.', '2015-04-01T22:03:38.887', '2015-04-01T22:03:49.177' )
, ( 5, 'T', 'Transaction', 'Tables that have records that are inserted and follow by other updates.  These tables will have transactions dates. An example is location_history when an record is inserted with entering a location and updated when leaving.', '2015-04-01T22:03:38.887', '2015-04-01T22:03:49.177' )

SET IDENTITY_INSERT [ETLFramework].[TableType] OFF
-- SELECT * FROM [ETLFramework].[TableType] 

