﻿

--
--
--
IF EXISTS (SELECT * FROM sys.objects [a] WHERE type = 'P' AND name = 'JobDelete' AND [a].[schema_id] = SCHEMA_ID('ETLFramework'))
BEGIN
	DROP PROCEDURE [ETLFramework].[JobDelete]
	PRINT 'DROP PROCEDURE [ETLFramework].[JobDelete]'
END
GO

--
--
--
CREATE PROCEDURE [ETLFramework].[JobDelete] 
	@JobName NVARCHAR(1024)
	, @JobOrder INT
	, @ConnectionMasterID INT
	, @ScheduleMasterID INT
	, @SystemMasterID INT

AS
BEGIN
DECLARE @stmt AS NVARCHAR(MAX)
DECLARE @schema AS NVARCHAR(256)
--
--
--
SET @schema = 'ETLFramework'


SET @stmt='
	SELECT GETDATE()
	'


	PRINT @stmt
	EXEC sp_executesql @stmt=@stmt

END
GO
PRINT 'CREATE PROCEDURE [ETLFramework].[JobDelete]'
