﻿

SELECT 
	[a].[JobMasterID]
	, [a].[JobMasterName]
	, COUNT(DISTINCT [b].[RunMasterID]) AS [JobTableCount]
	, COUNT(DISTINCT [c].[TaskMasterID]) AS [JobPackageCount]
FROM [ETLFramework].[JobMaster] [a]
JOIN [ETLFramework].[RunMaster] [b] ON [a].[JobMasterID] = [b].[JobMasterID]
JOIN [ETLFramework].[TaskMaster] [c] ON [b].[RunMasterID] = [c].[RunMasterID]
GROUP BY
	[a].[JobMasterID]
	, [a].[JobMasterName]
ORDER BY
	[a].[JobMasterID]
	, [a].[JobMasterName]
