/*

 * ER/Studio Data Architect 10.0 SQL Code Generation

 * Project :      EFW.DM1

 *

 * Date Created : Tuesday, April 14, 2015 15:31:28

 * Target DBMS : Microsoft SQL Server 2012

 */
 use ETL
 go


IF OBJECT_ID('RTLS_NDRDW.FK_ColumnMaster_TableMaster') IS NOT NULL

ALTER TABLE RTLS_NDRDW.ColumnMaster

DROP CONSTRAINT FK_ColumnMaster_TableMaster

go



IF OBJECT_ID('RTLS_NDRDW.RefConnectionStatus332') IS NOT NULL

ALTER TABLE RTLS_NDRDW.ConnectionMaster

DROP CONSTRAINT RefConnectionStatus332

go



IF OBJECT_ID('RTLS_NDRDW.FK_ConnectionMaster_ConnectionType') IS NOT NULL

ALTER TABLE RTLS_NDRDW.ConnectionMaster

DROP CONSTRAINT FK_ConnectionMaster_ConnectionType

go



IF OBJECT_ID('RTLS_NDRDW.FK_ConnectionMaster_FacilityMaster') IS NOT NULL

ALTER TABLE RTLS_NDRDW.ConnectionMaster

DROP CONSTRAINT FK_ConnectionMaster_FacilityMaster

go



IF OBJECT_ID('RTLS_NDRDW.FK_ConnectionMaster_SystemMaster') IS NOT NULL

ALTER TABLE RTLS_NDRDW.ConnectionMaster

DROP CONSTRAINT FK_ConnectionMaster_SystemMaster

go



IF OBJECT_ID('RTLS_NDRDW.FK_ConnectionMaster_VISNMaster') IS NOT NULL

ALTER TABLE RTLS_NDRDW.ConnectionMaster

DROP CONSTRAINT FK_ConnectionMaster_VISNMaster

go



IF OBJECT_ID('RTLS_NDRDW.FK_CurrentMetadataExtract_SystemMaster') IS NOT NULL

ALTER TABLE RTLS_NDRDW.CurrentMetadataExtract

DROP CONSTRAINT FK_CurrentMetadataExtract_SystemMaster

go



IF OBJECT_ID('RTLS_NDRDW.FK_DataFileConfiguration_SystemMaster') IS NOT NULL

ALTER TABLE RTLS_NDRDW.DataFileConfiguration

DROP CONSTRAINT FK_DataFileConfiguration_SystemMaster

go



IF OBJECT_ID('RTLS_NDRDW.RefConnectionMaster362') IS NOT NULL

ALTER TABLE RTLS_NDRDW.ETLMetadataIncrementalChanges

DROP CONSTRAINT RefConnectionMaster362

go



IF OBJECT_ID('RTLS_NDRDW.FK_ETLMetadataIncrementalChanges_CurrentMetadataExtract') IS NOT NULL

ALTER TABLE RTLS_NDRDW.ETLMetadataIncrementalChanges

DROP CONSTRAINT FK_ETLMetadataIncrementalChanges_CurrentMetadataExtract

go



IF OBJECT_ID('RTLS_NDRDW.FK_ETLMetadataIncrementalChanges_DMLOperation') IS NOT NULL

ALTER TABLE RTLS_NDRDW.ETLMetadataIncrementalChanges

DROP CONSTRAINT FK_ETLMetadataIncrementalChanges_DMLOperation

go



IF OBJECT_ID('RTLS_NDRDW.FK_ETLMetadataIncrementalChanges_SystemMaster') IS NOT NULL

ALTER TABLE RTLS_NDRDW.ETLMetadataIncrementalChanges

DROP CONSTRAINT FK_ETLMetadataIncrementalChanges_SystemMaster

go



IF OBJECT_ID('RTLS_NDRDW.FK_FacilityMasterToVISNMasterID') IS NOT NULL

ALTER TABLE RTLS_NDRDW.FacilityMaster

DROP CONSTRAINT FK_FacilityMasterToVISNMasterID

go



IF OBJECT_ID('RTLS_NDRDW.FK_DestinationConnection') IS NOT NULL

ALTER TABLE RTLS_NDRDW.FlightPackageMaster

DROP CONSTRAINT FK_DestinationConnection

go



IF OBJECT_ID('RTLS_NDRDW.FK_FlightMaster') IS NOT NULL

ALTER TABLE RTLS_NDRDW.FlightPackageMaster

DROP CONSTRAINT FK_FlightMaster

go



IF OBJECT_ID('RTLS_NDRDW.FK_PackagetMaster') IS NOT NULL

ALTER TABLE RTLS_NDRDW.FlightPackageMaster

DROP CONSTRAINT FK_PackagetMaster

go



IF OBJECT_ID('RTLS_NDRDW.FK_SourceConnection') IS NOT NULL

ALTER TABLE RTLS_NDRDW.FlightPackageMaster

DROP CONSTRAINT FK_SourceConnection

go



IF OBJECT_ID('RTLS_NDRDW.FK_JobMaster_ConnectionMaster') IS NOT NULL

ALTER TABLE RTLS_NDRDW.JobMaster

DROP CONSTRAINT FK_JobMaster_ConnectionMaster

go



IF OBJECT_ID('RTLS_NDRDW.FK_JobMaster_ScheduleMaster') IS NOT NULL

ALTER TABLE RTLS_NDRDW.JobMaster

DROP CONSTRAINT FK_JobMaster_ScheduleMaster

go



IF OBJECT_ID('RTLS_NDRDW.FK_KeyColumnUsage_SystemMaster') IS NOT NULL

ALTER TABLE RTLS_NDRDW.KeyColumnUsage

DROP CONSTRAINT FK_KeyColumnUsage_SystemMaster

go



IF OBJECT_ID('RTLS_NDRDW.FK_PackageMaster_PackageDestinationConnectionType') IS NOT NULL

ALTER TABLE RTLS_NDRDW.PackageMaster

DROP CONSTRAINT FK_PackageMaster_PackageDestinationConnectionType

go



IF OBJECT_ID('RTLS_NDRDW.FK_PackageMaster_PackageSourceConnectionType') IS NOT NULL

ALTER TABLE RTLS_NDRDW.PackageMaster

DROP CONSTRAINT FK_PackageMaster_PackageSourceConnectionType

go



IF OBJECT_ID('RTLS_NDRDW.FK_PartitionDetail_SystemMaster') IS NOT NULL

ALTER TABLE RTLS_NDRDW.PartitionDetail

DROP CONSTRAINT FK_PartitionDetail_SystemMaster

go



IF OBJECT_ID('RTLS_NDRDW.FK_RunMaster_FlightMaster') IS NOT NULL

ALTER TABLE RTLS_NDRDW.RunMaster

DROP CONSTRAINT FK_RunMaster_FlightMaster

go



IF OBJECT_ID('RTLS_NDRDW.FK_RunMaster_JobMaster') IS NOT NULL

ALTER TABLE RTLS_NDRDW.RunMaster

DROP CONSTRAINT FK_RunMaster_JobMaster

go



IF OBJECT_ID('RTLS_NDRDW.FK_RunMaster_TableMaster') IS NOT NULL

ALTER TABLE RTLS_NDRDW.RunMaster

DROP CONSTRAINT FK_RunMaster_TableMaster

go



IF OBJECT_ID('RTLS_NDRDW.FK_SystemMaster_VendorMaster') IS NOT NULL

ALTER TABLE RTLS_NDRDW.SystemMaster

DROP CONSTRAINT FK_SystemMaster_VendorMaster

go



IF OBJECT_ID('RTLS_NDRDW.FK_TableMaster_SystemMaster') IS NOT NULL

ALTER TABLE RTLS_NDRDW.TableMaster

DROP CONSTRAINT FK_TableMaster_SystemMaster

go



IF OBJECT_ID('RTLS_NDRDW.FK_TableMaster_TableType') IS NOT NULL

ALTER TABLE RTLS_NDRDW.TableMaster

DROP CONSTRAINT FK_TableMaster_TableType

go



IF OBJECT_ID('RTLS_NDRDW.FK_TaskMaster_RunMaster') IS NOT NULL

ALTER TABLE RTLS_NDRDW.TaskMaster

DROP CONSTRAINT FK_TaskMaster_RunMaster

go



IF OBJECT_ID('RTLS_NDRDW.FK_TemporaryDataDictionary_MasterSystem') IS NOT NULL

ALTER TABLE RTLS_NDRDW.TemporaryDataDictionary

DROP CONSTRAINT FK_TemporaryDataDictionary_MasterSystem

go



IF OBJECT_ID('RTLS_NDRDW.RefDataDictionary342') IS NOT NULL

ALTER TABLE RTLS_NDRDW.VendorDictionary

DROP CONSTRAINT RefDataDictionary342

go



IF OBJECT_ID('RTLS_NDRDW.RefSystemMaster352') IS NOT NULL

ALTER TABLE RTLS_NDRDW.VendorDictionary

DROP CONSTRAINT RefSystemMaster352

go



IF OBJECT_ID('RTLS_NDRDW.ColumnMaster') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.ColumnMaster

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.ColumnMaster >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.ConnectionMaster') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.ConnectionMaster

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.ConnectionMaster >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.ConnectionStatus') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.ConnectionStatus

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.ConnectionStatus >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.ConnectionType') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.ConnectionType

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.ConnectionType >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.CurrentMetadataExtract') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.CurrentMetadataExtract

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.CurrentMetadataExtract >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.DataDictionary') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.DataDictionary

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.DataDictionary >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.DataFileConfiguration') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.DataFileConfiguration

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.DataFileConfiguration >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.DMLOperation') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.DMLOperation

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.DMLOperation >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.ETLMetadataIncrementalChanges') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.ETLMetadataIncrementalChanges

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.ETLMetadataIncrementalChanges >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.ExecutionCode') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.ExecutionCode

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.ExecutionCode >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.ExecutionJobLog') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.ExecutionJobLog

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.ExecutionJobLog >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.ExecutionLog') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.ExecutionLog

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.ExecutionLog >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.ExecutionLogHistory') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.ExecutionLogHistory

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.ExecutionLogHistory >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.FacilityMaster') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.FacilityMaster

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.FacilityMaster >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.FlightMaster') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.FlightMaster

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.FlightMaster >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.FlightPackageMaster') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.FlightPackageMaster

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.FlightPackageMaster >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.JobMaster') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.JobMaster

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.JobMaster >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.KeyColumnUsage') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.KeyColumnUsage

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.KeyColumnUsage >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.MetaWrapper') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.MetaWrapper

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.MetaWrapper >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.PackageMaster') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.PackageMaster

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.PackageMaster >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.PartitionDetail') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.PartitionDetail

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.PartitionDetail >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.RunMaster') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.RunMaster

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.RunMaster >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.ScheduleMaster') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.ScheduleMaster

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.ScheduleMaster >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.SystemMaster') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.SystemMaster

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.SystemMaster >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.TableMaster') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.TableMaster

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.TableMaster >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.TableType') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.TableType

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.TableType >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.TaskMaster') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.TaskMaster

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.TaskMaster >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.TemporaryDataDictionary') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.TemporaryDataDictionary

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.TemporaryDataDictionary >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.TemporaryKeyConstraints') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.TemporaryKeyConstraints

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.TemporaryKeyConstraints >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.TemporaryMetadata') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.TemporaryMetadata

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.TemporaryMetadata >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.TemporaryNewMetadataExtract') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.TemporaryNewMetadataExtract

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.TemporaryNewMetadataExtract >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.TemporaryTableColumns') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.TemporaryTableColumns

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.TemporaryTableColumns >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.TemporaryTableObjects') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.TemporaryTableObjects

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.TemporaryTableObjects >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.VendorDictionary') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.VendorDictionary

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.VendorDictionary >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.VendorMaster') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.VendorMaster

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.VendorMaster >>>'

END

go

IF OBJECT_ID('RTLS_NDRDW.VISNMaster') IS NOT NULL

BEGIN

    DROP TABLE RTLS_NDRDW.VISNMaster

    PRINT '<<< DROPPED TABLE RTLS_NDRDW.VISNMaster >>>'

END

go