﻿


--
--
--
IF EXISTS (SELECT * FROM sys.objects [a] WHERE type = 'P' AND name = 'ExecutionLogStart' AND [a].[schema_id] = SCHEMA_ID('RTLS_NDRDW'))
BEGIN
	DROP PROCEDURE [RTLS_NDRDW].[ExecutionLogStart]
	PRINT 'DROP PROCEDURE [RTLS_NDRDW].[ExecutionLogStart]'
END
GO

--
-- hardcoded for [NDRDW].[Framework]
--
CREATE PROCEDURE [RTLS_NDRDW].[ExecutionLogStart] 
	@ExecutionLogID INT
AS
BEGIN
	SET NOCOUNT ON
	UPDATE [RTLS_NDRDW].[ExecutionLog]
	SET [ExecutionLogStart] = GetDate()
	, [ExecutionLogStatusID] = 1 -- running
	WHERE [ExecutionLogID] = @ExecutionLogID 
END
GO
PRINT 'Create Procedure [RTLS_NDRDW].[ExecutionLogStart]'
