SELECT 
CAST(VISNMaster.VISNMasterID as nvarchar(128)) AS [VISN-CMOP]
, conn.ServerName as [ServerName]
, conn.ConnectionStringSqlServerOleDB as [ConnectionString]
, conn.DatabaseName as [DatabaseName]
, conn.ConnectionStringSqlServerOleDBMaster AS [MasterConnectionString]
-- , REPLACE(conn.ConnectionStringSqlServerOleDB, SUBSTRING(conn.ConnectionStringSqlServerOleDB, CHARINDEX(';Initial Catalog=', conn.ConnectionStringSqlServerOleDB)+17, CHARINDEX(';Provider=', conn.ConnectionStringSqlServerOleDB) - (CHARINDEX(';Initial Catalog=', conn.ConnectionStringSqlServerOleDB)+17)), 'master') as [MasterConnectionString]
, 'master' as MasterDatabase
, SUBSTRING(FacMaster.FacilityName,CHARINDEX('(',FacMaster.FacilityName)+1,CHARINDEX(')',FacMaster.FacilityName)-CHARINDEX('(',FacMaster.FacilityName)-1)  as FKVistaSiteSID
, CAST(conn.SystemMasterID as int) AS [SourceSystemSID]
, CAST(sysMaster.IsInitialExtractComplete as bit) AS [IsInitialExtractComplete]
, conn.ConnectionMasterID as [ConnectionMasterID]
FROM [RTLS_NDRDW].ConnectionMasterVW conn
INNER JOIN
[RTLS_NDRDW].SystemMaster sysMaster on sysMaster.SystemMasterID = conn.SystemMasterID
INNER JOIN
[RTLS_NDRDW].VISNMaster VISNMaster on VISNMaster.VISNMasterID = conn.VISNMasterID
INNER JOIN
[RTLS_NDRDW].FacilityMaster FacMaster on FacMaster.FacilityMasterID = conn.FacilityMasterID
WHERE 
sysMaster.DatabaseType like '%SQL Server%'
AND VISNMaster.IsEnabled =1
AND FacMaster.IsEnabled = 1
AND conn.ConnectionStatusID != 3


