
DECLARE @schema NVARCHAR(512)
DECLARE @tbl NVARCHAR(512)
DECLARE @stmt NVARCHAR(512)

USE [RTLS_NDRDW]

DECLARE c CURSOR FORWARD_ONLY FOR
	SELECT [TABLE_SCHEMA], [TABLE_NAME]
	FROM [RTLS_NDRDW].[INFORMATION_SCHEMA].[TABLES] 
	WHERE [TABLE_TYPE] = 'BASE TABLE' AND [TABLE_CATALOG] = 'RTLS_NDRDW'

OPEN c
FETCH NEXT FROM c INTO @schema, @tbl
WHILE @@FETCH_STATUS = 0
BEGIN
	-- PRINT '@schema=' + @schema + ' @tbl=' + @tbl
	SET @stmt = 'DROP TABLE [' + @schema + '].[' + @tbl + ']'
	PRINT @stmt
	EXEC sp_executesql @stmt=@stmt
	FETCH NEXT FROM c INTO @schema, @tbl
END
CLOSE c
DEALLOCATE c