ECHO OFF

IF "%1"=="" GOTO :USAGE

SET server=%1

SET db=ETL
SET cn=-E -S %server%

REM Set up SQL Environment
SET p=%CD%
SET sql=01_ETLDashboardTablesSetup.sql 02_ETLDashboardStoredProcedures.sql 07_PopulateSSISENUMTables.sql
for %%f in ( %sql% ) do (
	ECHO The Script %%f has started...
	sqlcmd %cn%  -d %db% -i "%p%\%%f"
	ECHO The Script %%f has finished...
)

REM Create SQL Agent Jobs
SET p=%CD%
SET sql=03_JOB_CPU_Utilization_Stats.sql 04_JOB_Memory_Stats.sql 05_JOB_ReportDiskSpaceUsage.sql 06_JOB_SQL_Performance_Counters.sql
for %%f in ( %sql% ) do (
	ECHO The Script %%f has started...
	sqlcmd %cn%  -d %db% -i "%p%\%%f"
	ECHO The Script %%f has finished...
)

ECHO %0 has completed!!!

GOTO :EOF
:USAGE
	@ECHO OFF
	ECHO Usage: %0 TargetServer
	ECHO Example Local usage: %0 localhost
	ECHO Example VHACDWETL03 usage: %0 VHACDWETL03
:EOF