﻿using System;
using System.Web;

namespace HP.ETL.Data
{
	public partial class DistinctValueRequest : DistinctValueRequestBase
    {
    }
    
    public class DistinctValueRequestBase
    {
        
        [System.Diagnostics.   uggerBrowsable(System.Diagnostics.   uggerBrowsableState.Never)]
        private string _tag;
        
        private string _fieldName;
        
        [System.Diagnostics.   uggerBrowsable(System.Diagnostics.   uggerBrowsableState.Never)]
        private string[] _filter;
        
        [System.Diagnostics.   uggerBrowsable(System.Diagnostics.   uggerBrowsableState.Never)]
        private FieldValue[] _externalFilter;
        
        private string _lookupContextController;
        
        private string _lookupContextView;
        
        private string _lookupContextFieldName;
        
        private string _controller;
        
        private string _view;
        
        private int _maximumValueCount;
        
        private bool _allowFieldInFilter;
        
        [System.Diagnostics.   uggerBrowsable(System.Diagnostics.   uggerBrowsableState.Never)]
        private string _quickFindHint;
        
        public DistinctValueRequestBase()
        {
            if (Current == null)
            	HttpContext.Current.Items["DistinctValueRequest_Current"] = this;
        }
        
        public string Tag
        {
            get
            {
                return this._tag;
            }
            set
            {
                this._tag = value;
            }
        }
        
        public string FieldName
        {
            get
            {
                return _fieldName;
            }
            set
            {
                _fieldName = value;
            }
        }
        
        public string[] Filter
        {
            get
            {
                return this._filter;
            }
            set
            {
                this._filter = value;
            }
        }
        
        public FieldValue[] ExternalFilter
        {
            get
            {
                return this._externalFilter;
            }
            set
            {
                this._externalFilter = value;
            }
        }
        
        public string LookupContextController
        {
            get
            {
                return _lookupContextController;
            }
            set
            {
                _lookupContextController = value;
            }
        }
        
        public string LookupContextView
        {
            get
            {
                return _lookupContextView;
            }
            set
            {
                _lookupContextView = value;
            }
        }
        
        public string LookupContextFieldName
        {
            get
            {
                return _lookupContextFieldName;
            }
            set
            {
                _lookupContextFieldName = value;
            }
        }
        
        public string Controller
        {
            get
            {
                return _controller;
            }
            set
            {
                _controller = value;
            }
        }
        
        public string View
        {
            get
            {
                return _view;
            }
            set
            {
                _view = value;
            }
        }
        
        public static DistinctValueRequest Current
        {
            get
            {
                return ((DistinctValueRequest)(HttpContext.Current.Items["DistinctValueRequest_Current"]));
            }
        }
        
        public virtual int MaximumValueCount
        {
            get
            {
                if (_maximumValueCount <= 0)
                	return DataControllerBase.MaximumDistinctValues;
                return _maximumValueCount;
            }
            set
            {
                _maximumValueCount = value;
            }
        }
        
        public bool AllowFieldInFilter
        {
            get
            {
                return _allowFieldInFilter;
            }
            set
            {
                _allowFieldInFilter = value;
            }
        }
        
        public string QuickFindHint
        {
            get
            {
                return this._quickFindHint;
            }
            set
            {
                this._quickFindHint = value;
            }
        }
    }
}
