﻿using System;
using System.Data;
using System.Collections.Generic;
using System.Linq;
using System.Text.RegularExpressions;
using System.Web;
using System.Web.Security;
using HP.ETL.Data;

namespace HP.ETL.Rules
{
	public partial class ColumnMasterBusinessRules : HP.ETL.Rules.SharedBusinessRules
    {
        
        [ControllerAction("ColumnMaster", "Calculate", "UpdateDate")]
        public void CalculateColumnMaster(
                    int? columnMasterID, 
                    int? tableMasterID, 
                    string tableMasterTableName, 
                    string tableMasterSystemMasterSystemName, 
                    string tableMasterSystemMasterVendorMasterVendorName, 
                    string tableMasterSystemMasterSoftwareVersion, 
                    string tableMasterTableTypeTableTypeCode, 
                    string tableMasterFlightMasterFlightName, 
                    string tableMasterConnectionMasterServerName, 
                    string tableMasterConnectionMasterConnectionTypeConnectionTypeName, 
                    string tableMasterConnectionMasterSystemMasterSystemName, 
                    string tableMasterConnectionMasterSystemMasterSoftwareVersion, 
                    string tableMasterConnectionMasterVISNMasterVISNName, 
                    string tableMasterConnectionMasterConnectionStatusConnectionStatus, 
                    string columnName, 
                    string columnType, 
                    string keyType, 
                    int? columnOrder, 
                    int? isEnabled, 
                    bool? isPHI, 
                    bool? isPII, 
                    DateTime? createDate, 
                    DateTime? updateDate)
        {
            UpdateFieldValue("UpdateDate", DateTime.Now);
        }
    }
}
