﻿using System;
using System.Data;
using System.Collections.Generic;
using System.Linq;
using System.Text.RegularExpressions;
using System.Web;
using System.Web.Security;
using HP.ETL.Data;

namespace HP.ETL.Rules
{
	public partial class ConnectionMasterBusinessRules : HP.ETL.Rules.SharedBusinessRules
    {
        
        [ControllerAction("ConnectionMaster", "Calculate", "UpdateDate")]
        public void CalculateConnectionMaster(
                    int? connectionMasterID, 
                    int? systemMasterID, 
                    string systemMasterSystemName, 
                    string systemMasterVendorMasterVendorName, 
                    string systemMasterSoftwareVersion, 
                    int? vISNMasterID, 
                    string vISNMasterVISNName, 
                    int? facilityMasterID, 
                    string facilityMasterVISNMasterVISNName, 
                    int? connectionTypeID, 
                    string connectionTypeConnectionTypeName, 
                    int? connectionStatusID, 
                    string connectionStatusConnectionStatus, 
                    string serverName, 
                    string databaseName, 
                    string connectionProperty, 
                    string connectionString, 
                    DateTime? createDate, 
                    DateTime? updateDate)
        {
            UpdateFieldValue("UpdateDate", DateTime.Now);
        }
    }
}
