﻿using System;
using System.Data;
using System.Collections.Generic;
using System.Linq;
using System.Text.RegularExpressions;
using System.Web;
using System.Web.Security;
using HP.ETL.Data;

namespace HP.ETL.Rules
{
	public partial class ConnectionTypeBusinessRules : HP.ETL.Rules.SharedBusinessRules
    {
        
        [ControllerAction("ConnectionType", "Calculate", "UpdateDate")]
        public void CalculateConnectionType(int? connectionTypeID, string connectionTypeName, string connectionSchemaName, DateTime? createDate, DateTime? updateDate)
        {
            UpdateFieldValue("UpdateDate", DateTime.Now);
        }
    }
}
