﻿using System;
using System.Data;
using System.Collections.Generic;
using System.Linq;
using System.Text.RegularExpressions;
using System.Web;
using System.Web.Security;
using HP.ETL.Data;

namespace HP.ETL.Rules
{
	public partial class RunMasterBusinessRules : HP.ETL.Rules.SharedBusinessRules
    {
        
        [ControllerAction("RunMaster", "Calculate", "UpdateDate")]
        public void CalculateRunMaster(
                    int? runMasterID, 
                    int? jobMasterID, 
                    string jobMasterJobMasterName, 
                    string jobMasterConnectionMasterServerName, 
                    string jobMasterConnectionMasterConnectionTypeConnectionTypeName, 
                    string jobMasterConnectionMasterSystemMasterSystemName, 
                    string jobMasterConnectionMasterSystemMasterSoftwareVersion, 
                    string jobMasterConnectionMasterVISNMasterVISNName, 
                    string jobMasterConnectionMasterConnectionStatusConnectionStatus, 
                    string jobMasterScheduleMasterScheduleMasterName, 
                    int? jobMasterConnectionMasterID, 
                    int? flightMasterID, 
                    string flightMasterFlightName, 
                    int? tableMasterID, 
                    string tableMasterTableName, 
                    string tableMasterSystemMasterSystemName, 
                    string tableMasterSystemMasterVendorMasterVendorName, 
                    string tableMasterSystemMasterSoftwareVersion, 
                    string tableMasterTableTypeTableTypeCode, 
                    string tableMasterFlightMasterFlightName, 
                    string tableMasterConnectionMasterServerName, 
                    string tableMasterConnectionMasterConnectionTypeConnectionTypeName, 
                    string tableMasterConnectionMasterSystemMasterSystemName, 
                    string tableMasterConnectionMasterSystemMasterSoftwareVersion, 
                    string tableMasterConnectionMasterVISNMasterVISNName, 
                    string tableMasterConnectionMasterConnectionStatusConnectionStatus, 
                    string runMasterName, 
                    int? loggingLevelOverride, 
                    int? precedentRun, 
                    string precedentRunRunMasterName, 
                    string precedentRunFlightMasterFlightName, 
                    string precedentRunJobMasterJobMasterName, 
                    string precedentRunJobMasterConnectionMasterServerName, 
                    string precedentRunJobMasterScheduleMasterScheduleMasterName, 
                    int? precedentRunJobMasterConnectionMasterID, 
                    string precedentRunTableMasterTableName, 
                    string precedentRunTableMasterSystemMasterSystemName, 
                    string precedentRunTableMasterSystemMasterSoftwareVersion, 
                    string precedentRunTableMasterTableTypeTableTypeCode, 
                    string precedentRunTableMasterFlightMasterFlightName, 
                    string precedentRunTableMasterConnectionMasterServerName, 
                    int? runOrderSeq, 
                    int? isEnabled, 
                    DateTime? createDate, 
                    DateTime? updateDate)
        {
            UpdateFieldValue("UpdateDate", DateTime.Now);
        }
    }
}
