﻿using System;
using System.Data;
using System.Collections.Generic;
using System.Linq;
using System.Text.RegularExpressions;
using System.Web;
using System.Web.Security;
using HP.ETL.Data;

namespace HP.ETL.Rules
{
	public partial class ScheduleMasterBusinessRules : HP.ETL.Rules.SharedBusinessRules
    {
        
        [ControllerAction("ScheduleMaster", "Calculate", "UpdateDate")]
        public void CalculateScheduleMaster(int? scheduleMasterID, string scheduleMasterName, string scheduleMasterTimeZone, DateTime? scheduleStartTime, DateTime? scheduleStopTime, DateTime? scheduleActualStartTime, DateTime? scheduleActualStopTime, DateTime? createDate, DateTime? updateDate)
        {
            UpdateFieldValue("UpdateDate", DateTime.Now);
        }
    }
}
