﻿using System;
using System.Data;
using System.Collections.Generic;
using System.Linq;
using System.Text.RegularExpressions;
using System.Web;
using System.Web.Security;
using HP.ETL.Data;

namespace HP.ETL.Rules
{
	public partial class TaskMasterBusinessRules : HP.ETL.Rules.SharedBusinessRules
    {
        
        [ControllerAction("TaskMaster", "Calculate", "UpdateDate")]
        public void CalculateTaskMaster(
                    int? taskMasterID, 
                    int? runMasterID, 
                    string runMasterRunMasterName, 
                    string runMasterFlightMasterFlightName, 
                    string runMasterJobMasterJobMasterName, 
                    string runMasterJobMasterConnectionMasterServerName, 
                    string runMasterJobMasterScheduleMasterScheduleMasterName, 
                    string runMasterTableMasterTableName, 
                    string runMasterTableMasterSystemMasterSystemName, 
                    string runMasterTableMasterSystemMasterSoftwareVersion, 
                    string runMasterTableMasterTableTypeTableTypeCode, 
                    string runMasterTableMasterFlightMasterFlightName, 
                    string runMasterTableMasterConnectionMasterServerName, 
                    int? packageMasterID, 
                    string packageMasterPackageName, 
                    string packageMasterPackageSourceConnectionTypeConnectionTypeName, 
                    string packageMasterPackageDestinationConnectionTypeConnectionTypeName, 
                    int? packageSourceConnectionTypeID, 
                    string packageSourceConnectionTypeConnectionTypeName, 
                    int? packageDestinationConnectionTypeID, 
                    string packageDestinationConnectionTypeConnectionTypeName, 
                    int? sourceConnectionMasterID, 
                    string sourceConnectionMasterServerName, 
                    string sourceConnectionMasterConnectionTypeConnectionTypeName, 
                    string sourceConnectionMasterFacilityMasterVISNMasterVISNName, 
                    string sourceConnectionMasterSystemMasterSystemName, 
                    string sourceConnectionMasterSystemMasterVendorMasterVendorName, 
                    string sourceConnectionMasterSystemMasterSoftwareVersion, 
                    string sourceConnectionMasterVISNMasterVISNName, 
                    string sourceConnectionMasterConnectionStatusConnectionStatus, 
                    int? destinationConnectionMasterID, 
                    string destinationConnectionMasterServerName, 
                    string destinationConnectionMasterConnectionTypeConnectionTypeName, 
                    string destinationConnectionMasterFacilityMasterVISNMasterVISNName, 
                    string destinationConnectionMasterSystemMasterSystemName, 
                    string destinationConnectionMasterSystemMasterVendorMasterVendorName, 
                    string destinationConnectionMasterSystemMasterSoftwareVersion, 
                    string destinationConnectionMasterVISNMasterVISNName, 
                    string destinationConnectionMasterConnectionStatusConnectionStatus, 
                    int? precedentTask, 
                    int? executionOrder, 
                    DateTime? createDate, 
                    DateTime? updateDate)
        {
            UpdateFieldValue("UpdateDate", DateTime.Now);
        }
    }
}
