﻿using System;
using System.Data;
using System.Collections.Generic;
using System.Linq;
using System.Text.RegularExpressions;
using System.Web;
using System.Web.Security;
using HP.ETL.Data;

namespace HP.ETL.Rules
{
	public partial class VISNMasterBusinessRules : HP.ETL.Rules.SharedBusinessRules
    {
        
        [ControllerAction("VISNMaster", "Calculate", "UpdateDate")]
        public void CalculateVISNMaster(int? vISNMasterID, string vISNName, string vISNLongName, int? isEnabled, string timeZone, DateTime? createDate, DateTime? updateDate)
        {
            UpdateFieldValue("UpdateDate", DateTime.Now);
        }
    }
}
