﻿
CREATE FUNCTION [RTLS_NDRDW].[MetaWrapperFN] ( @SchemaType INT )
	RETURNS NVARCHAR(MAX)
AS
BEGIN
	DECLARE @ret NVARCHAR(MAX) = ''
	DECLARE @ColDef NVARCHAR(MAX) = ''

	DECLARE c CURSOR FORWARD_ONLY FOR
		SELECT [MetaWrapperColDef] 
		FROM [RTLS_NDRDW].[MetaWrapperVW] 
		WHERE [MetaWrapperSchemaID] = @SchemaType
	OPEN c
	FETCH NEXT FROM c INTO @ColDef
	WHILE @@FETCH_STATUS = 0
	BEGIN
		SET @ret = @ret + ', ' + @ColDef + '
'
		FETCH NEXT FROM c INTO @ColDef
	END
	CLOSE c
	DEALLOCATE c
		


	RETURN @ret
END
