﻿
--
-- 
--
CREATE PROCEDURE [RTLS_NDRDW].[ExecutionLogSuccess] 
	@ExecutionLogID INT
	, @ExecutionLogRowsProcessed BIGINT
AS
BEGIN
	SET NOCOUNT ON
	UPDATE [RTLS_NDRDW].[ExecutionLog]
	SET [ExecutionLogStop] = GetDate()
	, [ExecutionLogStatusID] = 2 -- success
	, [ExecutionLogRowsProcessed] = @ExecutionLogRowsProcessed
	WHERE [ExecutionLogID] = @ExecutionLogID 
	PRINT 'Success ' + CAST( @ExecutionLogID AS NVARCHAR(25)) + ' Rows Processed ' + CAST( @ExecutionLogRowsProcessed AS NVARCHAR(50))
END
