﻿

CREATE procedure [RTLS_NDRDW].[rptCaptureMemoryStats]
as
BEGIN
-- Good basic information about memory amounts and state
INSERT into [RTLS_NDRDW].[rptMemoryUtilizationHistory]
SELECT	CAST(CONVERT(CHAR(17), GetDate(), 113) AS datetime) as EventTime
		,total_physical_memory_kb/1024 as TotalPhysMemMB
		,available_physical_memory_kb/1024 as AvailPhysMemMB
		,total_page_file_kb/1024 as TotalPageFileMB
		,available_page_file_kb/1024 as AvailPageFileMB
		,system_memory_state_desc
FROM sys.dm_os_sys_memory WITH (NOLOCK) OPTION (RECOMPILE)

END


