﻿CREATE TABLE [RTLS_NDRDW].[FacilityMaster] (
    [FacilityMasterID] INT             IDENTITY (1, 1) NOT NULL,
    [VISNMasterID]     INT             NOT NULL,
    [FacilityName]     NVARCHAR (2048) NOT NULL,
    [Description]      NVARCHAR (MAX)  NULL,
    [IsEnabled]        INT             CONSTRAINT [DF__FacilityM__IsEna__5629CD9C] DEFAULT ((0)) NOT NULL,
    [CreateDate]       DATETIME        CONSTRAINT [DF__FacilityM__Creat__571DF1D5] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]       DATETIME        CONSTRAINT [DF__FacilityM__Updat__5812160E] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK__Facility__EFBAD6A63360DE40] PRIMARY KEY CLUSTERED ([FacilityMasterID] ASC),
    CONSTRAINT [FK_FacilityMasterToVISNMasterID] FOREIGN KEY ([VISNMasterID]) REFERENCES [RTLS_NDRDW].[VISNMaster] ([VISNMasterID])
);

