﻿CREATE TABLE [RTLS_NDRDW].[ScheduleMaster] (
    [ScheduleMasterID]        INT            IDENTITY (1, 1) NOT NULL,
    [ScheduleMasterName]      NVARCHAR (512) NOT NULL,
    [ScheduleMasterTimeZone]  NVARCHAR (10)  NULL,
    [ScheduleStartTime]       DATETIME       NULL,
    [ScheduleStopTime]        DATETIME       NULL,
    [ScheduleActualStartTime] DATETIME       NULL,
    [ScheduleActualStopTime]  DATETIME       NULL,
    [CreateDate]              DATETIME       CONSTRAINT [DF__ScheduleM__Creat__6EF57B66] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]              DATETIME       CONSTRAINT [DF__ScheduleM__Updat__6FE99F9F] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK__Schedule__24445C3356044695] PRIMARY KEY CLUSTERED ([ScheduleMasterID] ASC)
);

