﻿CREATE TABLE [RTLS_NDRDW].[TemporaryDataDictionary] (
    [TemporaryDataDictionaryID] INT            IDENTITY (1, 1) NOT NULL,
    [SystemMasterID]            INT            NOT NULL,
    [ConnectionMasterID]        INT            NULL,
    [TableOwner]                VARCHAR (128)  NULL,
    [TableName]                 VARCHAR (128)  NULL,
    [ColumnName]                VARCHAR (128)  NULL,
    [XType]                     VARCHAR (8)    NULL,
    [ObjectDescription]         NVARCHAR (MAX) NULL,
    [CreateDate]                DATETIME       NULL,
    CONSTRAINT [PK_TemporaryDataDictionary] PRIMARY KEY CLUSTERED ([TemporaryDataDictionaryID] ASC),
    CONSTRAINT [FK_TemporaryDataDictionary_MasterSystem] FOREIGN KEY ([SystemMasterID]) REFERENCES [RTLS_NDRDW].[SystemMaster] ([SystemMasterID])
);

