/*
 * ER/Studio Data Architect 10.0 SQL Code Generation
 * Project :      EFW.DM1
 *
 * Date Created : Tuesday, May 05, 2015 13:35:09
 * Target DBMS : Microsoft SQL Server 2012
 */

IF OBJECT_ID('[RTLS_NDRDW].[FK_ColumnMaster_TableMaster]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[ColumnMaster]
DROP CONSTRAINT [FK_ColumnMaster_TableMaster]
go

IF OBJECT_ID('[RTLS_NDRDW].RefConnectionStatus33') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[ConnectionMaster]
DROP CONSTRAINT RefConnectionStatus33
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_ConnectionMaster_ConnectionType]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[ConnectionMaster]
DROP CONSTRAINT [FK_ConnectionMaster_ConnectionType]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_ConnectionMaster_FacilityMaster]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[ConnectionMaster]
DROP CONSTRAINT [FK_ConnectionMaster_FacilityMaster]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_ConnectionMaster_SystemMaster]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[ConnectionMaster]
DROP CONSTRAINT [FK_ConnectionMaster_SystemMaster]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_ConnectionMaster_VISNMaster]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[ConnectionMaster]
DROP CONSTRAINT [FK_ConnectionMaster_VISNMaster]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_CurrentMetadataExtract_SystemMaster]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[CurrentMetadataExtract]
DROP CONSTRAINT [FK_CurrentMetadataExtract_SystemMaster]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_DataFileConfiguration_SystemMaster]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[DataFileConfiguration]
DROP CONSTRAINT [FK_DataFileConfiguration_SystemMaster]
go

IF OBJECT_ID('[RTLS_NDRDW].RefConnectionMaster36') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[ETLMetadataIncrementalChanges]
DROP CONSTRAINT RefConnectionMaster36
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_ETLMetadataIncrementalChanges_CurrentMetadataExtract]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[ETLMetadataIncrementalChanges]
DROP CONSTRAINT [FK_ETLMetadataIncrementalChanges_CurrentMetadataExtract]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_ETLMetadataIncrementalChanges_DMLOperation]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[ETLMetadataIncrementalChanges]
DROP CONSTRAINT [FK_ETLMetadataIncrementalChanges_DMLOperation]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_ETLMetadataIncrementalChanges_SystemMaster]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[ETLMetadataIncrementalChanges]
DROP CONSTRAINT [FK_ETLMetadataIncrementalChanges_SystemMaster]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_FacilityMasterToVISNMasterID]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[FacilityMaster]
DROP CONSTRAINT [FK_FacilityMasterToVISNMasterID]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_DestinationConnection]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[FlightPackageMaster]
DROP CONSTRAINT [FK_DestinationConnection]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_FlightMaster]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[FlightPackageMaster]
DROP CONSTRAINT [FK_FlightMaster]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_PackagetMaster]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[FlightPackageMaster]
DROP CONSTRAINT [FK_PackagetMaster]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_SourceConnection]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[FlightPackageMaster]
DROP CONSTRAINT [FK_SourceConnection]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_JobMaster_ConnectionMaster]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[JobMaster]
DROP CONSTRAINT [FK_JobMaster_ConnectionMaster]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_JobMaster_ScheduleMaster]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[JobMaster]
DROP CONSTRAINT [FK_JobMaster_ScheduleMaster]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_KeyColumnUsage_SystemMaster]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[KeyColumnUsage]
DROP CONSTRAINT [FK_KeyColumnUsage_SystemMaster]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_PackageMaster_PackageDestinationConnectionType]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[PackageMaster]
DROP CONSTRAINT [FK_PackageMaster_PackageDestinationConnectionType]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_PackageMaster_PackageSourceConnectionType]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[PackageMaster]
DROP CONSTRAINT [FK_PackageMaster_PackageSourceConnectionType]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_PartitionDetail_SystemMaster]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[PartitionDetail]
DROP CONSTRAINT [FK_PartitionDetail_SystemMaster]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_RunMaster_FlightMaster]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[RunMaster]
DROP CONSTRAINT [FK_RunMaster_FlightMaster]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_RunMaster_JobMaster]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[RunMaster]
DROP CONSTRAINT [FK_RunMaster_JobMaster]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_RunMaster_TableMaster]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[RunMaster]
DROP CONSTRAINT [FK_RunMaster_TableMaster]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_SystemMaster_VendorMaster]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[SystemMaster]
DROP CONSTRAINT [FK_SystemMaster_VendorMaster]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_TableMaster_SystemMaster]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[TableMaster]
DROP CONSTRAINT [FK_TableMaster_SystemMaster]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_TableMaster_TableType]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[TableMaster]
DROP CONSTRAINT [FK_TableMaster_TableType]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_TaskMaster_RunMaster]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[TaskMaster]
DROP CONSTRAINT [FK_TaskMaster_RunMaster]
go

IF OBJECT_ID('[RTLS_NDRDW].[FK_TemporaryDataDictionary_MasterSystem]') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[TemporaryDataDictionary]
DROP CONSTRAINT [FK_TemporaryDataDictionary_MasterSystem]
go

IF OBJECT_ID('[RTLS_NDRDW].RefDataDictionary34') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[VendorDictionary]
DROP CONSTRAINT RefDataDictionary34
go

IF OBJECT_ID('[RTLS_NDRDW].RefSystemMaster35') IS NOT NULL
ALTER TABLE [RTLS_NDRDW].[VendorDictionary]
DROP CONSTRAINT RefSystemMaster35
go

IF OBJECT_ID('[RTLS_NDRDW].[ColumnMaster]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[ColumnMaster]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[ColumnMaster] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[ConnectionMaster]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[ConnectionMaster]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[ConnectionMaster] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[ConnectionStatus]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[ConnectionStatus]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[ConnectionStatus] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[ConnectionType]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[ConnectionType]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[ConnectionType] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[CurrentMetadataExtract]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[CurrentMetadataExtract]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[CurrentMetadataExtract] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[DataDictionary]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[DataDictionary]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[DataDictionary] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[DataFileConfiguration]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[DataFileConfiguration]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[DataFileConfiguration] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[DMLOperation]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[DMLOperation]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[DMLOperation] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[ETLMetadataIncrementalChanges]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[ETLMetadataIncrementalChanges]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[ETLMetadataIncrementalChanges] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[ExecutionCode]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[ExecutionCode]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[ExecutionCode] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[ExecutionJobLog]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[ExecutionJobLog]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[ExecutionJobLog] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[ExecutionLog]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[ExecutionLog]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[ExecutionLog] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[ExecutionLogHistory]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[ExecutionLogHistory]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[ExecutionLogHistory] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[FacilityMaster]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[FacilityMaster]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[FacilityMaster] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[FlightMaster]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[FlightMaster]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[FlightMaster] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[FlightPackageMaster]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[FlightPackageMaster]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[FlightPackageMaster] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[JobMaster]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[JobMaster]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[JobMaster] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[KeyColumnUsage]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[KeyColumnUsage]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[KeyColumnUsage] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[MetaWrapper]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[MetaWrapper]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[MetaWrapper] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[PackageMaster]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[PackageMaster]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[PackageMaster] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[PartitionDetail]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[PartitionDetail]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[PartitionDetail] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[RunMaster]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[RunMaster]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[RunMaster] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[ScheduleMaster]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[ScheduleMaster]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[ScheduleMaster] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[SystemMaster]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[SystemMaster]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[SystemMaster] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[TableMaster]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[TableMaster]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[TableMaster] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[TableType]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[TableType]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[TableType] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[TaskMaster]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[TaskMaster]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[TaskMaster] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[TemporaryDataDictionary]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[TemporaryDataDictionary]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[TemporaryDataDictionary] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[TemporaryKeyConstraints]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[TemporaryKeyConstraints]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[TemporaryKeyConstraints] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[TemporaryMetadata]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[TemporaryMetadata]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[TemporaryMetadata] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[TemporaryNewMetadataExtract]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[TemporaryNewMetadataExtract]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[TemporaryNewMetadataExtract] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[TemporaryTableColumns]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[TemporaryTableColumns]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[TemporaryTableColumns] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[TemporaryTableObjects]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[TemporaryTableObjects]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[TemporaryTableObjects] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[VendorDictionary]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[VendorDictionary]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[VendorDictionary] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[VendorMaster]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[VendorMaster]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[VendorMaster] >>>'
END
go
IF OBJECT_ID('[RTLS_NDRDW].[VISNMaster]') IS NOT NULL
BEGIN
    DROP TABLE [RTLS_NDRDW].[VISNMaster]
    PRINT '<<< DROPPED TABLE [RTLS_NDRDW].[VISNMaster] >>>'
END
go
/* 
 * TABLE: [RTLS_NDRDW].[ColumnMaster] 
 */

CREATE TABLE [RTLS_NDRDW].[ColumnMaster](
    [ColumnMasterID]  int              IDENTITY(1,1),
    [TableMasterID]   int              NOT NULL,
    [ColumnName]      nvarchar(128)    NOT NULL,
    [ColumnType]      nvarchar(128)    NULL,
    [KeyType]         char(2)          NULL,
    [ColumnOrder]     int              NOT NULL,
    [IsEnabled]       int              CONSTRAINT [DF__ColumnMas__IsEna__59FA5E80] DEFAULT ((1)) NOT NULL,
    [IsPHI]           int              NOT NULL,
    [IsPII]           int              NULL,
    [CreateDate]      datetime         CONSTRAINT [DF__ColumnMas__Creat__5AEE82B9] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]      datetime         CONSTRAINT [DF__ColumnMas__Updat__5BE2A6F2] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK__ColumnMa__A18E5FA53279B64B] PRIMARY KEY CLUSTERED ([ColumnMasterID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.ColumnMaster') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.ColumnMaster >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.ColumnMaster >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[ConnectionMaster] 
 */

CREATE TABLE [RTLS_NDRDW].[ConnectionMaster](
    [ConnectionMasterID]  int               IDENTITY(1,1),
    [SystemMasterID]      int               CONSTRAINT [DF__Connectio__Syste__14270015] DEFAULT ((0)) NOT NULL,
    [VISNMasterID]        int               CONSTRAINT [DF__Connectio__VISNM__151B244E] DEFAULT ((0)) NOT NULL,
    [FacilityMasterID]    int               CONSTRAINT [DF__Connectio__Facil__160F4887] DEFAULT ((0)) NOT NULL,
    [ConnectionTypeID]    int               CONSTRAINT [DF__Connectio__Conne__17036CC0] DEFAULT ((0)) NOT NULL,
    [ConnectionStatusID]  int               NOT NULL,
    [ServerName]          nvarchar(1024)    NOT NULL,
    [DatabaseName]        nvarchar(1024)    NOT NULL,
    [ConnectionProperty]  nvarchar(1024)    NOT NULL,
    [ConnectionString]    nvarchar(1024)    NOT NULL,
    [CreateDate]          datetime          CONSTRAINT [DF__Connectio__Creat__17F790F9] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]          datetime          CONSTRAINT [DF__Connectio__Updat__18EBB532] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK_ConnectionMaster] PRIMARY KEY CLUSTERED ([ConnectionMasterID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.ConnectionMaster') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.ConnectionMaster >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.ConnectionMaster >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[ConnectionStatus] 
 */

CREATE TABLE [RTLS_NDRDW].[ConnectionStatus](
    [ConnectionStatusID]  int             NOT NULL,
    [ConnectionStatus]    nvarchar(30)    DEFAULT 'Active' NOT NULL,
    CONSTRAINT [PK39] PRIMARY KEY CLUSTERED ([ConnectionStatusID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.ConnectionStatus') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.ConnectionStatus >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.ConnectionStatus >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[ConnectionType] 
 */

CREATE TABLE [RTLS_NDRDW].[ConnectionType](
    [ConnectionTypeID]      int              IDENTITY(1,1),
    [ConnectionTypeName]    nvarchar(128)    NOT NULL,
    [ConnectionSchemaName]  nvarchar(128)    NOT NULL,
    [CreateDate]            datetime         CONSTRAINT [DF__Connectio__Creat__797309D9] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]            datetime         CONSTRAINT [DF__Connectio__Updat__7A672E12] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK__Connecti__69EB7425FA0412B4] PRIMARY KEY CLUSTERED ([ConnectionTypeID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.ConnectionType') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.ConnectionType >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.ConnectionType >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[CurrentMetadataExtract] 
 */

CREATE TABLE [RTLS_NDRDW].[CurrentMetadataExtract](
    [CurrentMetadataExtractID]       int               IDENTITY(1,1),
    [SystemMasterID]                 int               NOT NULL,
    [TableOwner]                     varchar(128)      NULL,
    [TableName]                      varchar(128)      NULL,
    [ColumnName]                     varchar(128)      NULL,
    [ObjectType]                     varchar(8)        NULL,
    [DataType]                       varchar(128)      NOT NULL,
    [KeyType]                        char(2)           NULL,
    [ColumnOrder]                    int               NOT NULL,
    [ColumnLength]                   int               NOT NULL,
    [DefaultValue]                   nvarchar(4000)    NULL,
    [AllowsNulls]                    varchar(254)      NOT NULL,
    [ObjectDescription]              nvarchar(4000)    NULL,
    [IsTableAndColumnMasterUpdated]  bit               CONSTRAINT [DF__CurrentMe__IsTab__59063A47] DEFAULT ((0)) NOT NULL,
    [CreateDate]                     datetime          NULL,
    CONSTRAINT [PK_CurrentMetadataExtract] PRIMARY KEY CLUSTERED ([CurrentMetadataExtractID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.CurrentMetadataExtract') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.CurrentMetadataExtract >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.CurrentMetadataExtract >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[DataDictionary] 
 */

CREATE TABLE [RTLS_NDRDW].[DataDictionary](
    [DataDictionaryID]   int               IDENTITY(1,1),
    [TableOwner]         varchar(128)      NULL,
    [TableName]          varchar(128)      NULL,
    [ColumnName]         varchar(128)      NULL,
    [XType]              varchar(8)        NULL,
    [ObjectDescription]  nvarchar(4000)    NULL,
    [CreateDate]         datetime          NULL,
    [UpdateDate]         datetime          NULL,
    CONSTRAINT [PK_DataDictionary] PRIMARY KEY CLUSTERED ([DataDictionaryID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.DataDictionary') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.DataDictionary >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.DataDictionary >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[DataFileConfiguration] 
 */

CREATE TABLE [RTLS_NDRDW].[DataFileConfiguration](
    [DataFileConfigurationID]  int             IDENTITY(1,1),
    [SystemMasterID]           int             NOT NULL,
    [FileNumber]               smallint        NULL,
    [FileSizeInMB]             int             NULL,
    [SpaceUsedInMB]            int             NULL,
    [FreeSpaceInMB]            int             NULL,
    [DataFileName]             varchar(500)    NULL,
    [CreateDate]               datetime        NULL,
    [UpdateDate]               datetime        NULL,
    CONSTRAINT [PK_DataFileConfiguration] PRIMARY KEY CLUSTERED ([DataFileConfigurationID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.DataFileConfiguration') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.DataFileConfiguration >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.DataFileConfiguration >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[DMLOperation] 
 */

CREATE TABLE [RTLS_NDRDW].[DMLOperation](
    [DMLOperationID]    int             IDENTITY(1,1),
    [DMLOperationType]  varchar(128)    NOT NULL,
    CONSTRAINT [PK_DMLOperation] PRIMARY KEY CLUSTERED ([DMLOperationID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.DMLOperation') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.DMLOperation >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.DMLOperation >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[ETLMetadataIncrementalChanges] 
 */

CREATE TABLE [RTLS_NDRDW].[ETLMetadataIncrementalChanges](
    [ETLMetadataIncrementalChangesID]          int               IDENTITY(1,1),
    [SystemMasterID]                           int               NOT NULL,
    [DMLOperationID]                           int               CONSTRAINT [DF__ETLMetada__DMLOp__2180FB33] DEFAULT ((4)) NOT NULL,
    [CurrentMetadataExtractID]                 int               NOT NULL,
    [ConnectionMasterID]                       int               NOT NULL,
    [TableOwner]                               varchar(128)      NULL,
    [TableName]                                varchar(128)      NULL,
    [ColumnName]                               varchar(128)      NULL,
    [ObjectType]                               varchar(8)        NULL,
    [DataType]                                 varchar(128)      NOT NULL,
    [KeyType]                                  char(2)           NULL,
    [ColumnLength]                             int               NOT NULL,
    [DefaultValue]                             nvarchar(4000)    NULL,
    [AllowsNulls]                              varchar(254)      NOT NULL,
    [ObjectDescription]                        nvarchar(4000)    NULL,
    [CreateDate]                               datetime          NULL,
    [IsUpdatedInCurrentMetadataConfiguration]  bit               CONSTRAINT [DF__ETLMetada__IsUpd__22751F6C] DEFAULT ((0)) NOT NULL,
    [IsPulledByMetaTool]                       bit               CONSTRAINT [DF__ETLMetada__IsPul__236943A5] DEFAULT ((0)) NOT NULL,
    CONSTRAINT [PK_ETLMetadataIncrementalChanges] PRIMARY KEY CLUSTERED ([ETLMetadataIncrementalChangesID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.ETLMetadataIncrementalChanges') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.ETLMetadataIncrementalChanges >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.ETLMetadataIncrementalChanges >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[ExecutionCode] 
 */

CREATE TABLE [RTLS_NDRDW].[ExecutionCode](
    [CodeID]           int              IDENTITY(1,1),
    [CodeType]         nvarchar(255)    NOT NULL,
    [Code]             nchar(1)         NOT NULL,
    [CodeDescription]  nvarchar(255)    NOT NULL,
    CONSTRAINT [PK10] PRIMARY KEY NONCLUSTERED ([CodeID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.ExecutionCode') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.ExecutionCode >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.ExecutionCode >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[ExecutionJobLog] 
 */

CREATE TABLE [RTLS_NDRDW].[ExecutionJobLog](
    [ExecutionJobLogID]        int         IDENTITY(1,1),
    [ExecutionJobLogStatusID]  int         CONSTRAINT [DF__Execution__Execu__787EE5A0] DEFAULT ((0)) NOT NULL,
    [ExecutionJobLogStart]     datetime    NULL,
    [ExecutionJobLogStop]      datetime    NULL,
    CONSTRAINT [PK__Executio__C7C9AA7838961CDC] PRIMARY KEY CLUSTERED ([ExecutionJobLogID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.ExecutionJobLog') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.ExecutionJobLog >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.ExecutionJobLog >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[ExecutionLog] 
 */

CREATE TABLE [RTLS_NDRDW].[ExecutionLog](
    [ExecutionLogID]                int         IDENTITY(1,1),
    [TaskMasterID]                  int         NOT NULL,
    [VISNMasterID]                  int         NOT NULL,
    [SystemMasterID]                int         NOT NULL,
    [JobMasterID]                   int         NOT NULL,
    [RunMasterID]                   int         NOT NULL,
    [FlightMasterID]                int         NOT NULL,
    [TableMasterID]                 int         NOT NULL,
    [PackageMasterID]               int         NOT NULL,
    [PrecedentTask]                 int         NOT NULL,
    [ExecutionOrder]                int         NOT NULL,
    [ExecutionJobLogID]             int         CONSTRAINT [DF__Execution__Execu__19DFD96B] DEFAULT ((0)) NOT NULL,
    [execution_id]                  bigint      NULL,
    [ExecutionLogStart]             datetime    NULL,
    [ExecutionLogStop]              datetime    NULL,
    [ExecutionLogStatusID]          int         CONSTRAINT [DF__Execution__Execu__1AD3FDA4] DEFAULT ((0)) NOT NULL,
    [ExecutionLogRowsProcessed]     bigint      CONSTRAINT [DF__Execution__Execu__1BC821DD] DEFAULT ((0)) NOT NULL,
    [ExecutionLogBytesTransferred]  bigint      CONSTRAINT [DF__Execution__Execu__1CBC4616] DEFAULT ((0)) NOT NULL,
    CONSTRAINT [PK_ExecutionLog] PRIMARY KEY CLUSTERED ([ExecutionLogID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.ExecutionLog') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.ExecutionLog >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.ExecutionLog >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[ExecutionLogHistory] 
 */

CREATE TABLE [RTLS_NDRDW].[ExecutionLogHistory](
    [ExecutionLogID]                int         IDENTITY(1,1),
    [TaskMasterID]                  int         NOT NULL,
    [VISNMasterID]                  int         NOT NULL,
    [SystemMasterID]                int         NOT NULL,
    [JobMasterID]                   int         NOT NULL,
    [RunMasterID]                   int         NOT NULL,
    [FlightMasterID]                int         NOT NULL,
    [TableMasterID]                 int         NOT NULL,
    [PackageMasterID]               int         NOT NULL,
    [PrecedentTask]                 int         NOT NULL,
    [ExecutionOrder]                int         NOT NULL,
    [ExecutionJobLogID]             int         CONSTRAINT [DF__Execution__Execu__1DB06A4F] DEFAULT ((0)) NOT NULL,
    [execution_id]                  bigint      NULL,
    [ExecutionLogStart]             datetime    NULL,
    [ExecutionLogStop]              datetime    NULL,
    [ExecutionLogStatusID]          int         CONSTRAINT [DF__Execution__Execu__1EA48E88] DEFAULT ((0)) NOT NULL,
    [ExecutionLogRowsProcessed]     bigint      CONSTRAINT [DF__Execution__Execu__1F98B2C1] DEFAULT ((0)) NOT NULL,
    [ExecutionLogBytesTransferred]  bigint      CONSTRAINT [DF__Execution__Execu__208CD6FA] DEFAULT ((0)) NOT NULL
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.ExecutionLogHistory') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.ExecutionLogHistory >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.ExecutionLogHistory >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[FacilityMaster] 
 */

CREATE TABLE [RTLS_NDRDW].[FacilityMaster](
    [FacilityMasterID]  int               IDENTITY(1,1),
    [VISNMasterID]      int               NOT NULL,
    [FacilityName]      nvarchar(2048)    NOT NULL,
    [Description]       nvarchar(max)     NULL,
    [IsEnabled]         int               CONSTRAINT [DF__FacilityM__IsEna__5629CD9C] DEFAULT ((0)) NOT NULL,
    [CreateDate]        datetime          CONSTRAINT [DF__FacilityM__Creat__571DF1D5] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]        datetime          CONSTRAINT [DF__FacilityM__Updat__5812160E] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK__Facility__EFBAD6A63360DE40] PRIMARY KEY CLUSTERED ([FacilityMasterID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.FacilityMaster') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.FacilityMaster >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.FacilityMaster >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[FlightMaster] 
 */

CREATE TABLE [RTLS_NDRDW].[FlightMaster](
    [FlightMasterID]  int              IDENTITY(1,1),
    [FlightName]      nvarchar(512)    NOT NULL,
    [CreateDate]      datetime         CONSTRAINT [DF__FlightMas__Creat__5EBF139D] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]      datetime         CONSTRAINT [DF__FlightMas__Updat__5FB337D6] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK__FlightMa__8A9E148E025315E5] PRIMARY KEY CLUSTERED ([FlightMasterID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.FlightMaster') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.FlightMaster >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.FlightMaster >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[FlightPackageMaster] 
 */

CREATE TABLE [RTLS_NDRDW].[FlightPackageMaster](
    [FlightPackageMasterID]          int         IDENTITY(1,1),
    [FlightMasterID]                 int         CONSTRAINT [DF__FlightPac__Fligh__7B5B524B] DEFAULT ((0)) NOT NULL,
    [PackageMasterID]                int         CONSTRAINT [DF__FlightPac__Packa__7C4F7684] DEFAULT ((0)) NOT NULL,
    [FlightExecutionOrder]           int         CONSTRAINT [DF__FlightPac__Fligh__7D439ABD] DEFAULT ((0)) NOT NULL,
    [SourceConnectionMasterID]       int         CONSTRAINT [DF__FlightPac__Sourc__7E37BEF6] DEFAULT ((0)) NOT NULL,
    [DestinationConnectionMasterID]  int         CONSTRAINT [DF__FlightPac__Desti__7F2BE32F] DEFAULT ((0)) NOT NULL,
    [IsEnabled]                      int         CONSTRAINT [DF__FlightPac__IsEna__00200768] DEFAULT ((1)) NOT NULL,
    [CreateDate]                     datetime    CONSTRAINT [DF__FlightPac__Creat__01142BA1] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]                     datetime    CONSTRAINT [DF__FlightPac__Updat__02084FDA] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK_FlightPackageMaster] PRIMARY KEY CLUSTERED ([FlightPackageMasterID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.FlightPackageMaster') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.FlightPackageMaster >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.FlightPackageMaster >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[JobMaster] 
 */

CREATE TABLE [RTLS_NDRDW].[JobMaster](
    [JobMasterID]         int               IDENTITY(1,1),
    [JobMasterName]       nvarchar(1024)    NOT NULL,
    [JobMasterOrder]      int               CONSTRAINT [DF__JobMaster__JobMa__0C85DE4D] DEFAULT ((0)) NOT NULL,
    [IsEnabled]           int               CONSTRAINT [DF__JobMaster__IsEna__0D7A0286] DEFAULT ((0)) NOT NULL,
    [JobMasterTimeZone]   nvarchar(10)      CONSTRAINT [DF__JobMaster__JobMa__0E6E26BF] DEFAULT ('CST') NOT NULL,
    [JobMasterStartTime]  datetime          CONSTRAINT [DF__JobMaster__JobMa__0F624AF8] DEFAULT ('01/01/2015 02:00:00') NOT NULL,
    [ConnectionMasterID]  int               CONSTRAINT [DF__JobMaster__Conne__10566F31] DEFAULT ((0)) NOT NULL,
    [ScheduleMasterID]    int               CONSTRAINT [DF__JobMaster__Sched__114A936A] DEFAULT ((0)) NOT NULL,
    [CreateDate]          datetime          CONSTRAINT [DF__JobMaster__Creat__123EB7A3] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]          datetime          CONSTRAINT [DF__JobMaster__Updat__1332DBDC] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK__JobMaste__FA85A4BEAB040900] PRIMARY KEY CLUSTERED ([JobMasterID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.JobMaster') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.JobMaster >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.JobMaster >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[KeyColumnUsage] 
 */

CREATE TABLE [RTLS_NDRDW].[KeyColumnUsage](
    [KeyColumnUsageID]  int              IDENTITY(1,1),
    [SystemMasterID]    int              NOT NULL,
    [TableOwner]        varchar(128)     NULL,
    [TableName]         varchar(128)     NULL,
    [ColumnName]        varchar(128)     NULL,
    [ConstraintName]    varchar(254)     NULL,
    [ConstraintType]    varchar(254)     NULL,
    [CreateDate]        smalldatetime    NULL,
    CONSTRAINT [PK_KeyColumnUsage] PRIMARY KEY CLUSTERED ([KeyColumnUsageID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.KeyColumnUsage') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.KeyColumnUsage >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.KeyColumnUsage >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[MetaWrapper] 
 */

CREATE TABLE [RTLS_NDRDW].[MetaWrapper](
    [MetaWrapperID]        int              IDENTITY(1,1),
    [MetaWrapperSchemaID]  int              NOT NULL,
    [MetaWrapperName]      nvarchar(512)    NOT NULL,
    [MetaWrapperType]      nvarchar(512)    NOT NULL,
    [MetaWrapperDefault]   nvarchar(512)    NOT NULL,
    [CreateDate]           datetime         CONSTRAINT [DF__MetaWrapp__Creat__76969D2E] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]           datetime         CONSTRAINT [DF__MetaWrapp__Updat__778AC167] DEFAULT (getdate()) NOT NULL
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.MetaWrapper') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.MetaWrapper >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.MetaWrapper >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[PackageMaster] 
 */

CREATE TABLE [RTLS_NDRDW].[PackageMaster](
    [PackageMasterID]                     int               IDENTITY(1,1),
    [PackageName]                         nvarchar(1024)    NOT NULL,
    [PackageFolder]                       nvarchar(1024)    NOT NULL,
    [PackageProject]                      nvarchar(1024)    NOT NULL,
    [PackageIsGenerated]                  int               CONSTRAINT [DF__PackageMa__Packa__656C112C] DEFAULT ((0)) NOT NULL,
    [PackageSignature]                    nvarchar(1024)    NULL,
    [PackageSourceConnectionTypeID]       int               NOT NULL,
    [PackageDestinationConnectionTypeID]  int               NOT NULL,
    [CreateDate]                          datetime          CONSTRAINT [DF__PackageMa__Creat__66603565] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]                          datetime          CONSTRAINT [DF__PackageMa__Updat__6754599E] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK__PackageM__322035EC336CE648] PRIMARY KEY CLUSTERED ([PackageMasterID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.PackageMaster') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.PackageMaster >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.PackageMaster >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[PartitionDetail] 
 */

CREATE TABLE [RTLS_NDRDW].[PartitionDetail](
    [PartitionDetailID]  int             IDENTITY(1,1),
    [SystemMasterID]     int             NOT NULL,
    [TableName]          varchar(128)    NULL,
    [IndexName]          varchar(128)    NULL,
    [PartitionScheme]    varchar(128)    NULL,
    [PartitionFunction]  varchar(128)    NULL,
    [PartitionNumber]    varchar(128)    NULL,
    [RowCounter]         varchar(128)    NULL,
    [TypeDesc]           varchar(128)    NULL,
    [RangeType]          varchar(128)    NULL,
    [Boundary]           varchar(128)    NULL,
    [CreateDate]         datetime        NULL,
    [UpdateDate]         datetime        NULL,
    CONSTRAINT [PK_PartitionDetail] PRIMARY KEY CLUSTERED ([PartitionDetailID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.PartitionDetail') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.PartitionDetail >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.PartitionDetail >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[RunMaster] 
 */

CREATE TABLE [RTLS_NDRDW].[RunMaster](
    [RunMasterID]           int               IDENTITY(1,1),
    [JobMasterID]           int               NOT NULL,
    [FlightMasterID]        int               NOT NULL,
    [TableMasterID]         int               NOT NULL,
    [RunMasterName]         nvarchar(1024)    NOT NULL,
    [LoggingLevelOverride]  int               CONSTRAINT [DF__RunMaster__Loggi__70DDC3D8] DEFAULT ((1)) NOT NULL,
    [PrecedentRun]          int               CONSTRAINT [DF__RunMaster__Prece__71D1E811] DEFAULT ((0)) NOT NULL,
    [RunOrderSeq]           int               CONSTRAINT [DF__RunMaster__RunOr__72C60C4A] DEFAULT ((1)) NOT NULL,
    [IsEnabled]             int               CONSTRAINT [DF__RunMaster__IsEna__73BA3083] DEFAULT ((1)) NOT NULL,
    [CreateDate]            datetime          CONSTRAINT [DF__RunMaster__Creat__74AE54BC] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]            datetime          CONSTRAINT [DF__RunMaster__Updat__75A278F5] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK__RunMaste__EBDE4217EDD19A46] PRIMARY KEY CLUSTERED ([RunMasterID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.RunMaster') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.RunMaster >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.RunMaster >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[ScheduleMaster] 
 */

CREATE TABLE [RTLS_NDRDW].[ScheduleMaster](
    [ScheduleMasterID]         int              IDENTITY(1,1),
    [ScheduleMasterName]       nvarchar(512)    NOT NULL,
    [ScheduleMasterTimeZone]   nvarchar(10)     NULL,
    [ScheduleStartTime]        datetime         NULL,
    [ScheduleStopTime]         datetime         NULL,
    [ScheduleActualStartTime]  datetime         NULL,
    [ScheduleActualStopTime]   datetime         NULL,
    [CreateDate]               datetime         CONSTRAINT [DF__ScheduleM__Creat__6EF57B66] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]               datetime         CONSTRAINT [DF__ScheduleM__Updat__6FE99F9F] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK__Schedule__24445C3356044695] PRIMARY KEY CLUSTERED ([ScheduleMasterID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.ScheduleMaster') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.ScheduleMaster >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.ScheduleMaster >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[SystemMaster] 
 */

CREATE TABLE [RTLS_NDRDW].[SystemMaster](
    [SystemMasterID]            int              IDENTITY(1,1),
    [VendorMasterID]            int              NOT NULL,
    [SystemName]                nvarchar(512)    NOT NULL,
    [Description]               nvarchar(max)    NULL,
    [SoftwareVersion]           nvarchar(512)    NULL,
    [DatabaseType]              nvarchar(128)    NOT NULL,
    [CreateDate]                datetime         CONSTRAINT [DF__SystemMas__Creat__534D60F1] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]                datetime         CONSTRAINT [DF__SystemMas__Updat__5441852A] DEFAULT (getdate()) NOT NULL,
    [IsInitialExtractComplete]  bit              CONSTRAINT [DF__SystemMas__IsIni__5535A963] DEFAULT ((0)) NOT NULL,
    CONSTRAINT [PK__SystemMa__D7A1B075C4492B86] PRIMARY KEY CLUSTERED ([SystemMasterID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.SystemMaster') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.SystemMaster >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.SystemMaster >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[TableMaster] 
 */

CREATE TABLE [RTLS_NDRDW].[TableMaster](
    [TableMasterID]       int              IDENTITY(1,1),
    [ConnectionMasterID]  int              CONSTRAINT [DF__TableMast__Conne__68487DD7] DEFAULT ((0)) NOT NULL,
    [SystemMasterID]      int              CONSTRAINT [DF__TableMast__Syste__693CA210] DEFAULT ((0)) NOT NULL,
    [FlightMasterID]      int              CONSTRAINT [DF__TableMast__Fligh__6A30C649] DEFAULT ((0)) NOT NULL,
    [TableTypeID]         int              CONSTRAINT [DF__TableMast__Table__6B24EA82] DEFAULT ((0)) NOT NULL,
    [TableName]           nvarchar(256)    NOT NULL,
    [TableOrderSeq]       int              NOT NULL,
    [LastProcessDate]     datetime         NULL,
    [IsEnabled]           int              CONSTRAINT [DF__TableMast__IsEna__6C190EBB] DEFAULT ((1)) NOT NULL,
    [FilterColumns]       nvarchar(max)    NULL,
    [FilterValues]        nvarchar(max)    NULL,
    [CreateDate]          datetime         CONSTRAINT [DF__TableMast__Creat__6D0D32F4] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]          datetime         CONSTRAINT [DF__TableMast__Updat__6E01572D] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK__TableMas__2EF77FA213B96782] PRIMARY KEY CLUSTERED ([TableMasterID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.TableMaster') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.TableMaster >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.TableMaster >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[TableType] 
 */

CREATE TABLE [RTLS_NDRDW].[TableType](
    [TableTypeID]           int              IDENTITY(1,1),
    [TableTypeCode]         nvarchar(1)      NOT NULL,
    [TableTypeName]         nvarchar(128)    NOT NULL,
    [TableTypeDescription]  nvarchar(max)    NOT NULL,
    [CreateDate]            datetime         CONSTRAINT [DF__TableType__Creat__5CD6CB2B] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]            datetime         CONSTRAINT [DF__TableType__Updat__5DCAEF64] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK__TableTyp__2B99D09922483BC6] PRIMARY KEY CLUSTERED ([TableTypeID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.TableType') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.TableType >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.TableType >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[TaskMaster] 
 */

CREATE TABLE [RTLS_NDRDW].[TaskMaster](
    [TaskMasterID]                        int         NOT NULL,
    [RunMasterID]                         int         CONSTRAINT [DF__TaskMaste__RunMa__02FC7413] DEFAULT ((0)) NOT NULL,
    [PackageMasterID]                     int         CONSTRAINT [DF__TaskMaste__Packa__03F0984C] DEFAULT ((0)) NOT NULL,
    [PackageSourceConnectionTypeID]       int         CONSTRAINT [DF__TaskMaste__Packa__04E4BC85] DEFAULT ((0)) NOT NULL,
    [PackageDestinationConnectionTypeID]  int         CONSTRAINT [DF__TaskMaste__Packa__05D8E0BE] DEFAULT ((0)) NOT NULL,
    [SourceConnectionMasterID]            int         CONSTRAINT [DF__TaskMaste__Sourc__06CD04F7] DEFAULT ((0)) NOT NULL,
    [DestinationConnectionMasterID]       int         CONSTRAINT [DF__TaskMaste__Desti__07C12930] DEFAULT ((0)) NOT NULL,
    [PrecedentTask]                       int         CONSTRAINT [DF__TaskMaste__Prece__08B54D69] DEFAULT ((0)) NOT NULL,
    [ExecutionOrder]                      int         CONSTRAINT [DF__TaskMaste__Execu__09A971A2] DEFAULT ((1)) NOT NULL,
    [CreateDate]                          datetime    CONSTRAINT [DF__TaskMaste__Creat__0A9D95DB] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]                          datetime    CONSTRAINT [DF__TaskMaste__Updat__0B91BA14] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK__TasksMas__EB728616CC770C46] PRIMARY KEY CLUSTERED ([TaskMasterID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.TaskMaster') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.TaskMaster >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.TaskMaster >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[TemporaryDataDictionary] 
 */

CREATE TABLE [RTLS_NDRDW].[TemporaryDataDictionary](
    [TemporaryDataDictionaryID]  int              IDENTITY(1,1),
    [SystemMasterID]             int              NOT NULL,
    [ConnectionMasterID]         int              NULL,
    [TableOwner]                 varchar(128)     NULL,
    [TableName]                  varchar(128)     NULL,
    [ColumnName]                 varchar(128)     NULL,
    [XType]                      varchar(8)       NULL,
    [ObjectDescription]          nvarchar(max)    NULL,
    [CreateDate]                 datetime         NULL,
    CONSTRAINT [PK_TemporaryDataDictionary] PRIMARY KEY CLUSTERED ([TemporaryDataDictionaryID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.TemporaryDataDictionary') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.TemporaryDataDictionary >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.TemporaryDataDictionary >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[TemporaryKeyConstraints] 
 */

CREATE TABLE [RTLS_NDRDW].[TemporaryKeyConstraints](
    [TemporaryKeyConstraintsID]  int             IDENTITY(1,1),
    [TableOwner]                 varchar(128)    NULL,
    [TableName]                  varchar(128)    NULL,
    [ColumnName]                 varchar(128)    NULL,
    [XType]                      varchar(8)      NULL,
    CONSTRAINT [PK_TemporaryKeyConstraints] PRIMARY KEY CLUSTERED ([TemporaryKeyConstraintsID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.TemporaryKeyConstraints') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.TemporaryKeyConstraints >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.TemporaryKeyConstraints >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[TemporaryMetadata] 
 */

CREATE TABLE [RTLS_NDRDW].[TemporaryMetadata](
    [TemporaryMetadataID]     int               IDENTITY(1,1),
    [TableQualifier]          varchar(128)      NOT NULL,
    [TableOwner]              varchar(128)      NOT NULL,
    [TableName]               varchar(128)      NOT NULL,
    [ColumnName]              varchar(128)      NOT NULL,
    [DataType]                smallint          NULL,
    [TypeName]                varchar(128)      NOT NULL,
    [DataPrecision]           int               NOT NULL,
    [TransferLength]          int               NOT NULL,
    [Scale]                   smallint          NULL,
    [Radix]                   smallint          NULL,
    [Nullable]                smallint          NOT NULL,
    [Remarks]                 varchar(254)      NULL,
    [ColumnDefault]           nvarchar(4000)    NULL,
    [SQLDataType]             smallint          NOT NULL,
    [SQLDateTimeSubTypeCode]  smallint          NULL,
    [CharacterOctetLength]    int               NULL,
    [OrdinalPosition]         int               NOT NULL,
    [IsNullable]              varchar(254)      NOT NULL,
    [SQLServerDataType]       tinyint           NOT NULL,
    [CreateDate]              datetime          NULL,
    CONSTRAINT [PK_TemporaryMetadata] PRIMARY KEY CLUSTERED ([TemporaryMetadataID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.TemporaryMetadata') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.TemporaryMetadata >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.TemporaryMetadata >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[TemporaryNewMetadataExtract] 
 */

CREATE TABLE [RTLS_NDRDW].[TemporaryNewMetadataExtract](
    [TemporaryNewMetadataExtractID]  int               IDENTITY(1,1),
    [ConnectionMasterID]             int               NULL,
    [SystemMasterID]                 int               NOT NULL,
    [TableOwner]                     varchar(128)      NULL,
    [TableName]                      varchar(128)      NULL,
    [ColumnName]                     varchar(128)      NULL,
    [ObjectType]                     varchar(8)        NULL,
    [DataType]                       varchar(128)      NOT NULL,
    [KeyType]                        char(2)           NULL,
    [ColumnOrder]                    int               NOT NULL,
    [ColumnLength]                   int               NOT NULL,
    [DefaultValue]                   nvarchar(4000)    NULL,
    [AllowsNulls]                    varchar(254)      NOT NULL,
    [ObjectDescription]              nvarchar(4000)    NULL,
    [CreateDate]                     datetime          NULL,
    CONSTRAINT [PK_TemporaryNewMetadataExtract] PRIMARY KEY CLUSTERED ([TemporaryNewMetadataExtractID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.TemporaryNewMetadataExtract') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.TemporaryNewMetadataExtract >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.TemporaryNewMetadataExtract >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[TemporaryTableColumns] 
 */

CREATE TABLE [RTLS_NDRDW].[TemporaryTableColumns](
    [TemporaryTableColumnsID]  int               IDENTITY(1,1),
    [TableOwner]               varchar(128)      NULL,
    [TableName]                varchar(128)      NULL,
    [ColumnName]               varchar(128)      NULL,
    [XType]                    varchar(8)        NULL,
    [ColumnDescription]        nvarchar(4000)    NULL,
    CONSTRAINT [PK_TemporaryTableColumns] PRIMARY KEY CLUSTERED ([TemporaryTableColumnsID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.TemporaryTableColumns') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.TemporaryTableColumns >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.TemporaryTableColumns >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[TemporaryTableObjects] 
 */

CREATE TABLE [RTLS_NDRDW].[TemporaryTableObjects](
    [TemporaryTableObjectsID]  int             IDENTITY(1,1),
    [TableOwner]               varchar(128)    NULL,
    [TableName]                varchar(128)    NULL,
    CONSTRAINT [PK_TemporaryTableObjects] PRIMARY KEY CLUSTERED ([TemporaryTableObjectsID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.TemporaryTableObjects') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.TemporaryTableObjects >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.TemporaryTableObjects >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[VendorDictionary] 
 */

CREATE TABLE [RTLS_NDRDW].[VendorDictionary](
    [DataDictionaryID]  int    NOT NULL,
    [SystemMasterID]    int    NOT NULL,
    CONSTRAINT [PK40] PRIMARY KEY NONCLUSTERED ([DataDictionaryID], [SystemMasterID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.VendorDictionary') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.VendorDictionary >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.VendorDictionary >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[VendorMaster] 
 */

CREATE TABLE [RTLS_NDRDW].[VendorMaster](
    [VendorMasterID]     int               IDENTITY(1,1),
    [VendorName]         nvarchar(512)     NOT NULL,
    [VendorNameLong]     nvarchar(2048)    NULL,
    [VendorDescription]  nvarchar(max)     NULL,
    [CreateDate]         datetime          CONSTRAINT [DF__VendorMas__Creat__6383C8BA] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]         datetime          CONSTRAINT [DF__VendorMas__Updat__6477ECF3] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK__VendorMa__5198E09F4F5BE611] PRIMARY KEY CLUSTERED ([VendorMasterID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.VendorMaster') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.VendorMaster >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.VendorMaster >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[VISNMaster] 
 */

CREATE TABLE [RTLS_NDRDW].[VISNMaster](
    [VISNMasterID]  int               NOT NULL,
    [VISNName]      nvarchar(128)     NOT NULL,
    [VISNLongName]  nvarchar(1024)    NOT NULL,
    [IsEnabled]     int               CONSTRAINT [DF__VISNMaste__IsEna__60A75C0F] DEFAULT ((0)) NOT NULL,
    [TimeZone]      nvarchar(3)       NULL,
    [CreateDate]    datetime          CONSTRAINT [DF__VISNMaste__Creat__619B8048] DEFAULT (getdate()) NOT NULL,
    [UpdateDate]    datetime          CONSTRAINT [DF__VISNMaste__Updat__628FA481] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK__VISNMast__630470F1D60972A7] PRIMARY KEY CLUSTERED ([VISNMasterID])
)ON [DefFG]
go



IF OBJECT_ID('RTLS_NDRDW.VISNMaster') IS NOT NULL
    PRINT '<<< CREATED TABLE RTLS_NDRDW.VISNMaster >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE RTLS_NDRDW.VISNMaster >>>'
go

/* 
 * TABLE: [RTLS_NDRDW].[ColumnMaster] 
 */

ALTER TABLE [RTLS_NDRDW].[ColumnMaster] ADD CONSTRAINT [FK_ColumnMaster_TableMaster] 
    FOREIGN KEY ([TableMasterID])
    REFERENCES [RTLS_NDRDW].[TableMaster]([TableMasterID]) ON DELETE CASCADE ON UPDATE CASCADE
go


/* 
 * TABLE: [RTLS_NDRDW].[ConnectionMaster] 
 */

ALTER TABLE [RTLS_NDRDW].[ConnectionMaster] ADD CONSTRAINT [RefConnectionStatus331] 
    FOREIGN KEY ([ConnectionStatusID])
    REFERENCES [RTLS_NDRDW].[ConnectionStatus]([ConnectionStatusID])
go

ALTER TABLE [RTLS_NDRDW].[ConnectionMaster] ADD CONSTRAINT [FK_ConnectionMaster_ConnectionType] 
    FOREIGN KEY ([ConnectionTypeID])
    REFERENCES [RTLS_NDRDW].[ConnectionType]([ConnectionTypeID])
go

ALTER TABLE [RTLS_NDRDW].[ConnectionMaster] ADD CONSTRAINT [FK_ConnectionMaster_FacilityMaster] 
    FOREIGN KEY ([FacilityMasterID])
    REFERENCES [RTLS_NDRDW].[FacilityMaster]([FacilityMasterID]) ON DELETE CASCADE ON UPDATE CASCADE
go

ALTER TABLE [RTLS_NDRDW].[ConnectionMaster] ADD CONSTRAINT [FK_ConnectionMaster_SystemMaster] 
    FOREIGN KEY ([SystemMasterID])
    REFERENCES [RTLS_NDRDW].[SystemMaster]([SystemMasterID]) ON DELETE CASCADE ON UPDATE CASCADE
go

ALTER TABLE [RTLS_NDRDW].[ConnectionMaster] ADD CONSTRAINT [FK_ConnectionMaster_VISNMaster] 
    FOREIGN KEY ([VISNMasterID])
    REFERENCES [RTLS_NDRDW].[VISNMaster]([VISNMasterID]) ON DELETE CASCADE ON UPDATE CASCADE
go


/* 
 * TABLE: [RTLS_NDRDW].[CurrentMetadataExtract] 
 */

ALTER TABLE [RTLS_NDRDW].[CurrentMetadataExtract] ADD CONSTRAINT [FK_CurrentMetadataExtract_SystemMaster] 
    FOREIGN KEY ([SystemMasterID])
    REFERENCES [RTLS_NDRDW].[SystemMaster]([SystemMasterID]) ON UPDATE CASCADE
go


/* 
 * TABLE: [RTLS_NDRDW].[DataFileConfiguration] 
 */

ALTER TABLE [RTLS_NDRDW].[DataFileConfiguration] ADD CONSTRAINT [FK_DataFileConfiguration_SystemMaster] 
    FOREIGN KEY ([SystemMasterID])
    REFERENCES [RTLS_NDRDW].[SystemMaster]([SystemMasterID]) ON UPDATE CASCADE
go


/* 
 * TABLE: [RTLS_NDRDW].[ETLMetadataIncrementalChanges] 
 */

ALTER TABLE [RTLS_NDRDW].[ETLMetadataIncrementalChanges] ADD CONSTRAINT [RefConnectionMaster361] 
    FOREIGN KEY ([ConnectionMasterID])
    REFERENCES [RTLS_NDRDW].[ConnectionMaster]([ConnectionMasterID])
go

ALTER TABLE [RTLS_NDRDW].[ETLMetadataIncrementalChanges] WITH NOCHECK ADD CONSTRAINT [FK_ETLMetadataIncrementalChanges_CurrentMetadataExtract] 
    FOREIGN KEY ([CurrentMetadataExtractID])
    REFERENCES [RTLS_NDRDW].[CurrentMetadataExtract]([CurrentMetadataExtractID])
go

ALTER TABLE [RTLS_NDRDW].[ETLMetadataIncrementalChanges] NOCHECK CONSTRAINT [FK_ETLMetadataIncrementalChanges_CurrentMetadataExtract]
go

ALTER TABLE [RTLS_NDRDW].[ETLMetadataIncrementalChanges] ADD CONSTRAINT [FK_ETLMetadataIncrementalChanges_DMLOperation] 
    FOREIGN KEY ([DMLOperationID])
    REFERENCES [RTLS_NDRDW].[DMLOperation]([DMLOperationID]) ON UPDATE CASCADE
go

ALTER TABLE [RTLS_NDRDW].[ETLMetadataIncrementalChanges] ADD CONSTRAINT [FK_ETLMetadataIncrementalChanges_SystemMaster] 
    FOREIGN KEY ([SystemMasterID])
    REFERENCES [RTLS_NDRDW].[SystemMaster]([SystemMasterID]) ON UPDATE CASCADE
go


/* 
 * TABLE: [RTLS_NDRDW].[FacilityMaster] 
 */

ALTER TABLE [RTLS_NDRDW].[FacilityMaster] ADD CONSTRAINT [FK_FacilityMasterToVISNMasterID] 
    FOREIGN KEY ([VISNMasterID])
    REFERENCES [RTLS_NDRDW].[VISNMaster]([VISNMasterID])
go


/* 
 * TABLE: [RTLS_NDRDW].[FlightPackageMaster] 
 */

ALTER TABLE [RTLS_NDRDW].[FlightPackageMaster] ADD CONSTRAINT [FK_DestinationConnection] 
    FOREIGN KEY ([DestinationConnectionMasterID])
    REFERENCES [RTLS_NDRDW].[ConnectionMaster]([ConnectionMasterID])
go

ALTER TABLE [RTLS_NDRDW].[FlightPackageMaster] ADD CONSTRAINT [FK_FlightMaster] 
    FOREIGN KEY ([FlightMasterID])
    REFERENCES [RTLS_NDRDW].[FlightMaster]([FlightMasterID])
go

ALTER TABLE [RTLS_NDRDW].[FlightPackageMaster] ADD CONSTRAINT [FK_PackagetMaster] 
    FOREIGN KEY ([PackageMasterID])
    REFERENCES [RTLS_NDRDW].[PackageMaster]([PackageMasterID])
go

ALTER TABLE [RTLS_NDRDW].[FlightPackageMaster] ADD CONSTRAINT [FK_SourceConnection] 
    FOREIGN KEY ([SourceConnectionMasterID])
    REFERENCES [RTLS_NDRDW].[ConnectionMaster]([ConnectionMasterID])
go


/* 
 * TABLE: [RTLS_NDRDW].[JobMaster] 
 */

ALTER TABLE [RTLS_NDRDW].[JobMaster] ADD CONSTRAINT [FK_JobMaster_ConnectionMaster] 
    FOREIGN KEY ([ConnectionMasterID])
    REFERENCES [RTLS_NDRDW].[ConnectionMaster]([ConnectionMasterID])
go

ALTER TABLE [RTLS_NDRDW].[JobMaster] ADD CONSTRAINT [FK_JobMaster_ScheduleMaster] 
    FOREIGN KEY ([ScheduleMasterID])
    REFERENCES [RTLS_NDRDW].[ScheduleMaster]([ScheduleMasterID])
go


/* 
 * TABLE: [RTLS_NDRDW].[KeyColumnUsage] 
 */

ALTER TABLE [RTLS_NDRDW].[KeyColumnUsage] ADD CONSTRAINT [FK_KeyColumnUsage_SystemMaster] 
    FOREIGN KEY ([SystemMasterID])
    REFERENCES [RTLS_NDRDW].[SystemMaster]([SystemMasterID]) ON UPDATE CASCADE
go


/* 
 * TABLE: [RTLS_NDRDW].[PackageMaster] 
 */

ALTER TABLE [RTLS_NDRDW].[PackageMaster] ADD CONSTRAINT [FK_PackageMaster_PackageDestinationConnectionType] 
    FOREIGN KEY ([PackageSourceConnectionTypeID])
    REFERENCES [RTLS_NDRDW].[ConnectionType]([ConnectionTypeID])
go

ALTER TABLE [RTLS_NDRDW].[PackageMaster] ADD CONSTRAINT [FK_PackageMaster_PackageSourceConnectionType] 
    FOREIGN KEY ([PackageSourceConnectionTypeID])
    REFERENCES [RTLS_NDRDW].[ConnectionType]([ConnectionTypeID])
go


/* 
 * TABLE: [RTLS_NDRDW].[PartitionDetail] 
 */

ALTER TABLE [RTLS_NDRDW].[PartitionDetail] ADD CONSTRAINT [FK_PartitionDetail_SystemMaster] 
    FOREIGN KEY ([SystemMasterID])
    REFERENCES [RTLS_NDRDW].[SystemMaster]([SystemMasterID]) ON UPDATE CASCADE
go


/* 
 * TABLE: [RTLS_NDRDW].[RunMaster] 
 */

ALTER TABLE [RTLS_NDRDW].[RunMaster] ADD CONSTRAINT [FK_RunMaster_FlightMaster] 
    FOREIGN KEY ([FlightMasterID])
    REFERENCES [RTLS_NDRDW].[FlightMaster]([FlightMasterID])
go

ALTER TABLE [RTLS_NDRDW].[RunMaster] ADD CONSTRAINT [FK_RunMaster_JobMaster] 
    FOREIGN KEY ([JobMasterID])
    REFERENCES [RTLS_NDRDW].[JobMaster]([JobMasterID]) ON DELETE CASCADE ON UPDATE CASCADE
go

ALTER TABLE [RTLS_NDRDW].[RunMaster] ADD CONSTRAINT [FK_RunMaster_TableMaster] 
    FOREIGN KEY ([TableMasterID])
    REFERENCES [RTLS_NDRDW].[TableMaster]([TableMasterID])
go


/* 
 * TABLE: [RTLS_NDRDW].[SystemMaster] 
 */

ALTER TABLE [RTLS_NDRDW].[SystemMaster] ADD CONSTRAINT [FK_SystemMaster_VendorMaster] 
    FOREIGN KEY ([VendorMasterID])
    REFERENCES [RTLS_NDRDW].[VendorMaster]([VendorMasterID]) ON DELETE CASCADE ON UPDATE CASCADE
go


/* 
 * TABLE: [RTLS_NDRDW].[TableMaster] 
 */

ALTER TABLE [RTLS_NDRDW].[TableMaster] ADD CONSTRAINT [FK_TableMaster_SystemMaster] 
    FOREIGN KEY ([SystemMasterID])
    REFERENCES [RTLS_NDRDW].[SystemMaster]([SystemMasterID])
go

ALTER TABLE [RTLS_NDRDW].[TableMaster] ADD CONSTRAINT [FK_TableMaster_TableType] 
    FOREIGN KEY ([TableTypeID])
    REFERENCES [RTLS_NDRDW].[TableType]([TableTypeID])
go


/* 
 * TABLE: [RTLS_NDRDW].[TaskMaster] 
 */

ALTER TABLE [RTLS_NDRDW].[TaskMaster] ADD CONSTRAINT [FK_TaskMaster_RunMaster] 
    FOREIGN KEY ([RunMasterID])
    REFERENCES [RTLS_NDRDW].[RunMaster]([RunMasterID]) ON DELETE CASCADE ON UPDATE CASCADE
go


/* 
 * TABLE: [RTLS_NDRDW].[TemporaryDataDictionary] 
 */

ALTER TABLE [RTLS_NDRDW].[TemporaryDataDictionary] ADD CONSTRAINT [FK_TemporaryDataDictionary_MasterSystem] 
    FOREIGN KEY ([SystemMasterID])
    REFERENCES [RTLS_NDRDW].[SystemMaster]([SystemMasterID])
go


/* 
 * TABLE: [RTLS_NDRDW].[VendorDictionary] 
 */

ALTER TABLE [RTLS_NDRDW].[VendorDictionary] ADD CONSTRAINT [RefDataDictionary341] 
    FOREIGN KEY ([DataDictionaryID])
    REFERENCES [RTLS_NDRDW].[DataDictionary]([DataDictionaryID])
go

ALTER TABLE [RTLS_NDRDW].[VendorDictionary] ADD CONSTRAINT [RefSystemMaster351] 
    FOREIGN KEY ([SystemMasterID])
    REFERENCES [RTLS_NDRDW].[SystemMaster]([SystemMasterID])
go


