﻿
DECLARE @stmt AS NVARCHAR(MAX)
DECLARE @mds AS NVARCHAR(256)
DECLARE @schema AS NVARCHAR(256)
DECLARE @tbl AS NVARCHAR(256)

--
--
--
SET @mds = 'MDS'
SET @schema = 'RTLS_NDRDW'
SET @tbl='ConnectionType'


-- insert tables
SET @stmt='
-- DELETE FROM [' + @schema + '].[' + @tbl + '] 
SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] ON
INSERT INTO [' + @schema + '].[ConnectionType]
	( [ConnectionTypeID]
	, [ConnectionTypeName]
	, [ConnectionSchemaName]
	, [CreateDate]
	, [UpdateDate])
VALUES'
PRINT @stmt

SET @stmt='
DECLARE @ConnectionTypeID NVARCHAR(10)
DECLARE @ConnectionTypeName NVARCHAR(128)
DECLARE @ConnectionSchemaName NVARCHAR(128)
DECLARE @CreateDate NVARCHAR(25)
DECLARE @UpdateDate NVARCHAR(25)
DECLARE @comma NVARCHAR(5)
SET @comma = ''''

DECLARE c CURSOR FOR
	SELECT [ID] AS [ConnectionTypeID]
		, [Name] AS [ConnectionTypeName]
		, [ConnectionSchemaName]
		, CONVERT( NVARCHAR(25), [EnterDateTime], 126 ) AS [CreateDate]
		, CONVERT( NVARCHAR(25), [LastChgDateTime], 126 ) AS [UpdateDate]
	FROM [' + @mds + '].[mdm].[ConnectionType]
	ORDER BY [ID]
OPEN c
FETCH NEXT FROM c INTO 
	@ConnectionTypeID
	, @ConnectionTypeName
	, @ConnectionSchemaName
	, @CreateDate
	, @UpdateDate

WHILE @@FETCH_STATUS = 0
BEGIN
	PRINT @comma + ''( '' + @ConnectionTypeID + '', '''''' + @ConnectionTypeName + '''''', '''''' + @ConnectionSchemaName + '''''', '''''' + @CreateDate + '''''', '''''' + @UpdateDate + '''''' )''
	SET @comma = '', ''
    FETCH NEXT FROM c INTO 
		@ConnectionTypeID
		, @ConnectionTypeName
		, @ConnectionSchemaName
		, @CreateDate
		, @UpdateDate
END 
CLOSE c;
DEALLOCATE c;
'
-- PRINT @stmt
EXEC sp_executesql @stmt=@stmt

SET @stmt = '
SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] OFF
-- SELECT * FROM [' + @schema + '].[' + @tbl + '] 
'
PRINT @stmt

