﻿
DECLARE @stmt AS NVARCHAR(MAX)
DECLARE @mds AS NVARCHAR(256)
DECLARE @schema AS NVARCHAR(256)
DECLARE @tbl AS NVARCHAR(256)

--
--
--
SET @mds = 'MDS'
SET @schema = 'RTLS_NDRDW'
SET @tbl='PackageMaster'


-- insert tables
SET @stmt='
-- DELETE FROM [' + @schema + '].[' + @tbl + '] 
SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] ON
INSERT INTO [' + @schema + '].[' + @tbl + ']
	( [PackageMasterID]
	, [PackageName]
	, [PackageFolder]
	, [PackageProject]
	, [PackageIsGenerated]
	, [PackageSourceConnectionTypeID]
	, [PackageDestinationConnectionTypeID]
	, [PackageSignature]
	, [CreateDate]
	, [UpdateDate]
	)
VALUES
'
PRINT @stmt

SET @stmt='
DECLARE @PackageMasterID NVARCHAR(10)
DECLARE @PackageName NVARCHAR(1024)
DECLARE @PackageFolder NVARCHAR(1024)
DECLARE @PackageProject NVARCHAR(1024)
DECLARE @PackageIsGenerated NVARCHAR(10)
DECLARE @PackageSourceConnectionTypeID NVARCHAR(10)
DECLARE @PackageDestinationConnectionTypeID NVARCHAR(10)
DECLARE @PackageSignature NVARCHAR(1024)
DECLARE @CreateDate NVARCHAR(25)
DECLARE @UpdateDate NVARCHAR(25)
DECLARE @comma NVARCHAR(5)
SET @comma = ''''

DECLARE c CURSOR FOR
	SELECT 
		[Code] AS [PackageMasterID]
		, [Name] AS [PackageName]
		, [PackageFolder]
		, [PackageProject]
		, [PackageIsGenerated_Code]
		, [PackageSourceConnectionType_ID] AS [PackageSourceConnectionTypeID]
		, [PackageDestinationConnectionType_ID] AS [PackageDestinationConnectionTypeID]
		, [PackageSignature_Name]
		, CONVERT( NVARCHAR(25), [EnterDateTime], 126 ) AS [CreateDate]
		, CONVERT( NVARCHAR(25), [LastChgDateTime], 126 ) AS [UpdateDate]
	FROM [' + @mds + '].[mdm].[PackageMaster]
	ORDER BY CAST([Code] AS INT)
OPEN c
FETCH NEXT FROM c INTO 
	@PackageMasterID
	, @PackageName
	, @PackageFolder
	, @PackageProject
	, @PackageIsGenerated
	, @PackageSourceConnectionTypeID
	, @PackageDestinationConnectionTypeID
	, @PackageSignature
	, @CreateDate
	, @UpdateDate

WHILE @@FETCH_STATUS = 0
BEGIN
	PRINT @comma + ''( '' + @PackageMasterID + '', '''''' 
		+ @PackageName + '''''', '''''' 
		+ @PackageFolder + '''''', '''''' 
		+ @PackageProject + '''''', '''''' 
		+ @PackageIsGenerated + '''''', '''''' 
		+ @PackageSourceConnectionTypeID + '''''', '''''' 
		+ @PackageDestinationConnectionTypeID + '''''', '''''' 
		+ @PackageSignature + '''''', '''''' 
		+ @CreateDate + '''''', '''''' 
		+ @UpdateDate + '''''' )''

	SET @comma = '', ''
    FETCH NEXT FROM c INTO 
		@PackageMasterID
		, @PackageName
		, @PackageFolder
		, @PackageProject
		, @PackageIsGenerated
		, @PackageSourceConnectionTypeID
		, @PackageDestinationConnectionTypeID
		, @PackageSignature
		, @CreateDate
		, @UpdateDate
END 
CLOSE c;
DEALLOCATE c;
'
-- PRINT @stmt
EXEC sp_executesql @stmt=@stmt

SET @stmt = '
SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] OFF
-- SELECT * FROM [' + @schema + '].[' + @tbl + '] 
'
PRINT @stmt

