﻿
DECLARE @stmt AS NVARCHAR(MAX)
DECLARE @mds AS NVARCHAR(256)
DECLARE @schema AS NVARCHAR(256)
DECLARE @tbl AS NVARCHAR(256)

--
--
--
SET @mds = 'MDS'
SET @schema = 'RTLS_NDRDW'
SET @tbl='TableType'


-- insert tables
SET @stmt='
-- DELETE FROM [' + @schema + '].[' + @tbl + '] 
SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] ON
INSERT INTO [' + @schema + '].[' + @tbl + ']
	( [TableTypeID]
	, [TableTypeCode]
	, [TableTypeName]
	, [TableTypeDescription]
	, [CreateDate]
	, [UpdateDate]
	)
VALUES'
PRINT @stmt

SET @stmt='
DECLARE @TableTypeID NVARCHAR(10)
DECLARE @TableTypeCode NVARCHAR(1)
DECLARE @TableTypeName NVARCHAR(128)
DECLARE @TableTypeDescription NVARCHAR(MAX)
DECLARE @CreateDate NVARCHAR(25)
DECLARE @UpdateDate NVARCHAR(25)

DECLARE @comma NVARCHAR(5)
SET @comma = ''''

DECLARE c CURSOR FOR
SELECT
		[ID] AS [TableTypeID]
		, [Code] AS [TableTypeCode]
		, [Name] AS [TableTypeName]
		, [Description] AS [TableTypeDescription]
		, CONVERT( NVARCHAR(25), [EnterDateTime], 126 ) AS [CreateDate]
		, CONVERT( NVARCHAR(25), [LastChgDateTime], 126 ) AS [UpdateDate]
	FROM [' + @mds + '].[mdm].[TableType]
	ORDER BY [ID]

OPEN c
FETCH NEXT FROM c INTO 
	@TableTypeID
	, @TableTypeCode
	, @TableTypeName
	, @TableTypeDescription
	, @CreateDate
	, @UpdateDate

WHILE @@FETCH_STATUS = 0
BEGIN
	PRINT @comma + ''( '' + @TableTypeID + '', '''''' 
		+ @TableTypeCode + '''''', '''''' 
		+ @TableTypeName + '''''', '''''' 
		+ @TableTypeDescription + '''''', '''''' 
		+ @CreateDate + '''''', '''''' 
		+ @UpdateDate + '''''' )''

	SET @comma = '', ''
    FETCH NEXT FROM c INTO 
		@TableTypeID
		, @TableTypeCode
		, @TableTypeName
		, @TableTypeDescription
		, @CreateDate
		, @UpdateDate
END 
CLOSE c;
DEALLOCATE c;
'
-- PRINT @stmt
EXEC sp_executesql @stmt=@stmt

SET @stmt = '
SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] OFF
-- SELECT * FROM [' + @schema + '].[' + @tbl + '] 
'
PRINT @stmt

