﻿
DECLARE @stmt AS NVARCHAR(MAX)
DECLARE @mds AS NVARCHAR(256)
DECLARE @schema AS NVARCHAR(256)
DECLARE @tbl AS NVARCHAR(256)

--
--
--
SET @mds = 'MDS'
SET @schema = 'RTLS_NDRDW'
SET @tbl='FacilityMaster'


-- insert tables
SET @stmt='
-- DELETE FROM [' + @schema + '].[' + @tbl + '] 
SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] ON
INSERT INTO [' + @schema + '].[' + @tbl + ']
	( [FacilityMasterID]
	, [VISNMasterID]
	, [FacilityName]
	-- ,[Description]
	, [IsEnabled]
	, [CreateDate]
	, [UpdateDate]
	)
VALUES'
PRINT @stmt

SET @stmt='
DECLARE @FacilityMasterID NVARCHAR(10)
DECLARE @VISNMasterID NVARCHAR(10)
DECLARE @FacilityName NVARCHAR(2048)
DECLARE @IsEnabled NVARCHAR(10)
DECLARE @CreateDate NVARCHAR(25)
DECLARE @UpdateDate NVARCHAR(25)

DECLARE @comma NVARCHAR(5)
SET @comma = ''''

DECLARE c CURSOR FOR
	SELECT [ID] AS [FacilityMasterID]
		, [VISNMaster_Code] AS [VISNMasterID]
		, [Name] [FacilityName]
		, [IsEnabled_Code] AS [IsEnabled]
		, CONVERT( NVARCHAR(25), [EnterDateTime], 126 ) AS [CreateDate]
		, CONVERT( NVARCHAR(25), [LastChgDateTime], 126 ) AS [UpdateDate]
	FROM [' + @mds + '].[mdm].[FacilityMaster]
	ORDER BY [ID]

OPEN c
FETCH NEXT FROM c INTO 
	@FacilityMasterID
	, @VISNMasterID
	, @FacilityName
	, @IsEnabled
	, @CreateDate
	, @UpdateDate

WHILE @@FETCH_STATUS = 0
BEGIN
	PRINT @comma + ''( '' + @FacilityMasterID + '', '''''' 
		+ @VISNMasterID + '''''', '''''' 
		+ @FacilityName + '''''', '''''' 
		+ @IsEnabled + '''''', '''''' 
		+ @CreateDate + '''''', '''''' 
		+ @UpdateDate + '''''' )''

	SET @comma = '', ''
    FETCH NEXT FROM c INTO 
		@FacilityMasterID
		, @VISNMasterID
		, @FacilityName
		, @IsEnabled
		, @CreateDate
		, @UpdateDate
END 
CLOSE c;
DEALLOCATE c;
'
-- PRINT @stmt
EXEC sp_executesql @stmt=@stmt

SET @stmt = '
SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] OFF
-- SELECT * FROM [' + @schema + '].[' + @tbl + '] 
'
PRINT @stmt

