﻿
DECLARE @stmt AS NVARCHAR(MAX)
DECLARE @mds AS NVARCHAR(256)
DECLARE @schema AS NVARCHAR(256)
DECLARE @tbl AS NVARCHAR(256)

--
--
--
SET @mds = 'MDS'
SET @schema = 'RTLS_NDRDW'
SET @tbl='FlightPackageMaster'


-- insert tables
SET @stmt='
-- DELETE FROM [' + @schema + '].[' + @tbl + '] 
-- SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] ON
INSERT INTO [' + @schema + '].[' + @tbl + ']
	( [FlightMasterID]
	, [PackageMasterID]
	, [FlightExecutionOrder]
	, [SourceConnectionMasterID]
	, [DestinationConnectionMasterID]
	, [IsEnabled]
	, [CreateDate]
	, [UpdateDate]
	)
VALUES'
PRINT @stmt

SET @stmt='
DECLARE @FlightMasterID NVARCHAR(10)
DECLARE @PackageMasterID NVARCHAR(10)
DECLARE @FlightExecutionOrder NVARCHAR(10)
DECLARE @SourceConnectionMasterID NVARCHAR(10)
DECLARE @DestinationConnectionMasterID NVARCHAR(10)
DECLARE @ConnectionStatusID NVARCHAR(10)
DECLARE @IsEnabled NVARCHAR(10)
DECLARE @CreateDate NVARCHAR(25)
DECLARE @UpdateDate NVARCHAR(25)

DECLARE @comma NVARCHAR(5)
SET @comma = ''''

DECLARE c CURSOR FOR
	SELECT [FlightMaster_Code] AS [FlightMasterID]
		, [PackageMaster_Code] AS [PackageMasterID]
		, [FlightExecutionOrder]
		, 1 AS [SourceConnectionMasterID]
		, 1 AS [DestinationConnectionMasterID]
		, [IsEnabled_Code] AS [IsEnabled]
		, CONVERT( NVARCHAR(25), [EnterDateTime], 126 ) AS [CreateDate]
		, CONVERT( NVARCHAR(25), [LastChgDateTime], 126 ) AS [UpdateDate]
	FROM [' + @mds + '].[mdm].[FlightPackageMaster]
	ORDER BY CAST( [FlightMaster_Code] AS INT )
OPEN c
FETCH NEXT FROM c INTO 
	@FlightMasterID
	, @PackageMasterID
	, @FlightExecutionOrder
	, @SourceConnectionMasterID
	, @DestinationConnectionMasterID
	, @IsEnabled
	, @CreateDate
	, @UpdateDate

WHILE @@FETCH_STATUS = 0
BEGIN
	PRINT @comma + ''( '' + @FlightMasterID + '', '''''' 
		+ @PackageMasterID + '''''', '''''' 
		+ @FlightExecutionOrder + '''''', '''''' 
		+ @SourceConnectionMasterID + '''''', '''''' 
		+ @DestinationConnectionMasterID + '''''', '''''' 
		+ @IsEnabled + '''''', '''''' 
		+ @CreateDate + '''''', '''''' 
		+ @UpdateDate + '''''' )''

	SET @comma = '', ''
    FETCH NEXT FROM c INTO 
		@FlightMasterID
		, @PackageMasterID
		, @FlightExecutionOrder
		, @SourceConnectionMasterID
		, @DestinationConnectionMasterID
		, @IsEnabled
		, @CreateDate
		, @UpdateDate
END 
CLOSE c;
DEALLOCATE c;
'
-- PRINT @stmt
EXEC sp_executesql @stmt=@stmt

SET @stmt = '
-- SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] OFF
-- SELECT * FROM [' + @schema + '].[' + @tbl + '] 
'
PRINT @stmt

