﻿
DECLARE @stmt AS NVARCHAR(MAX)
DECLARE @mds AS NVARCHAR(256)
DECLARE @schema AS NVARCHAR(256)
DECLARE @tbl AS NVARCHAR(256)

--
--
--
SET @mds = 'MDS'
SET @schema = 'RTLS_NDRDW'
SET @tbl='TableMaster'


-- insert tables
SET @stmt='
-- DELETE FROM [' + @schema + '].[' + @tbl + '] 
-- SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] ON
INSERT INTO [' + @schema + '].[' + @tbl + ']
	( [ConnectionMasterID]
	, [SystemMasterID]
	, [FlightMasterID]
	, [TableTypeID]
	, [TableName]
	, [TableOrderSeq]
	, [IsEnabled]
	, [CreateDate]
	, [UpdateDate]
	)
VALUES'
PRINT @stmt

SET @stmt='
DECLARE @ConnectionMasterID NVARCHAR(10)
DECLARE @SystemMasterID NVARCHAR(10)
DECLARE @FlightMasterID NVARCHAR(10)
DECLARE @TableTypeID NVARCHAR(10)
DECLARE @TableName NVARCHAR(256)
DECLARE @TableOrderSeq NVARCHAR(10)
DECLARE @IsEnabled NVARCHAR(10)
DECLARE @CreateDate NVARCHAR(25)
DECLARE @UpdateDate NVARCHAR(25)

DECLARE @comma NVARCHAR(5)
SET @comma = ''''

DECLARE c CURSOR FOR

SELECT
	1 AS [ConnectionMasterID]
	, [a].[SystemMaster_ID] AS [SystemMasterID]
	, [a].[FlightMaster_ID] AS [FlightMasterID]
	, [a].[TableType_ID] AS [TableTypeID]
	, [a].[Name] AS [TableName]
	, ROW_NUMBER() OVER ( PARTITION BY [SystemMaster_ID] ORDER BY [SystemMaster_ID] ) AS [TableOrderSeq]
	, [a].[IsEnabled_Code] AS [IsEnabled]
	, CONVERT( NVARCHAR(25), [a].[EnterDateTime], 126 ) AS [CreateDate]
	, CONVERT( NVARCHAR(25), [a].[LastChgDateTime], 126 ) AS [UpdateDate]
FROM
	(
	SELECT 1 AS [xid]
		, [SystemMaster_ID]
		, [FlightMaster_ID]
		, [TableType_ID]
		, [Name]
		, [IsEnabled_Code]
		, [EnterDateTime]
		, [LastChgDateTime]
	FROM [' + @mds + '].[mdm].[TableMasterCensitrac]
	UNION
	SELECT 2 AS [xid]
		, [SystemMaster_ID]
		, [FlightMaster_ID]
		, [TableType_ID]
		, [Name]
		, [IsEnabled_Code]
		, [EnterDateTime]
		, [LastChgDateTime]
	FROM [' + @mds + '].[mdm].[TableMasterCenTrak2]
	UNION
	SELECT 3 AS [xid]
		, [SystemMaster_ID]
		, [FlightMaster_ID]
		, [TableType_ID]
		, [Name]
		, [IsEnabled_Code]
		, [EnterDateTime]
		, [LastChgDateTime]
	FROM [' + @mds + '].[mdm].[TableMasterInSites]
	UNION
	SELECT 4 AS [xid]
		, [SystemMaster_ID]
		, [FlightMaster_ID]
		, [TableType_ID]
		, [Name]
		, [IsEnabled_Code]
		, [EnterDateTime]
		, [LastChgDateTime]
	FROM [' + @mds + '].[mdm].[TableMasterOATSystems]
	UNION
	SELECT 5 AS [xid]
		, [SystemMaster_ID]
		, [FlightMaster_ID]
		, [TableType_ID]
		, [Name]
		, [IsEnabled_Code]
		, [EnterDateTime]
		, [LastChgDateTime]
	FROM [' + @mds + '].[mdm].[TableMasterWaveMark2]
	) a
ORDER BY [a].[SystemMaster_ID]
	, [a].[Name]


OPEN c
FETCH NEXT FROM c INTO 
	@ConnectionMasterID
	, @SystemMasterID
	, @FlightMasterID
	, @TableTypeID
	, @TableName
	, @TableOrderSeq
	, @IsEnabled
	, @CreateDate
	, @UpdateDate

WHILE @@FETCH_STATUS = 0
BEGIN
	PRINT @comma + ''( '' + @ConnectionMasterID + '', '''''' 
		+ @SystemMasterID + '''''', '''''' 
		+ @FlightMasterID + '''''', '''''' 
		+ @TableTypeID + '''''', '''''' 
		+ @TableName + '''''', '''''' 
		+ @TableOrderSeq + '''''', '''''' 
		+ @IsEnabled + '''''', '''''' 
		+ @CreateDate + '''''', '''''' 
		+ @UpdateDate + '''''' )''

	SET @comma = '', ''
    FETCH NEXT FROM c INTO 
		@ConnectionMasterID
		, @SystemMasterID
		, @FlightMasterID
		, @TableTypeID
		, @TableName
		, @TableOrderSeq
		, @IsEnabled
		, @CreateDate
		, @UpdateDate
END 
CLOSE c;
DEALLOCATE c;
'
-- PRINT @stmt
EXEC sp_executesql @stmt=@stmt

SET @stmt = '
-- SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] OFF
-- SELECT * FROM [' + @schema + '].[' + @tbl + '] 
'
PRINT @stmt

