﻿


--
--
--
IF EXISTS (SELECT * FROM sys.objects [a] WHERE type = 'P' AND name = 'ExecutionLogError' AND [a].[schema_id] = SCHEMA_ID('RTLS_NDRDW'))
BEGIN
	DROP PROCEDURE [RTLS_NDRDW].[ExecutionLogError]
	PRINT 'DROP PROCEDURE [RTLS_NDRDW].[ExecutionLogError]'
END
GO

--
-- 
--
CREATE PROCEDURE [RTLS_NDRDW].[ExecutionLogError] 
	@ExecutionLogID INT
AS
BEGIN
	SET NOCOUNT ON
	UPDATE [RTLS_NDRDW].[ExecutionLog]
	SET [ExecutionLogStop] = GetDate()
	, [ExecutionLogStatusID] = 3 -- error
	WHERE [ExecutionLogID] = @ExecutionLogID 
	PRINT 'Error ' + CAST( @ExecutionLogID AS NVARCHAR(10))
END
GO
PRINT 'Create Procedure [RTLS_NDRDW].[ExecutionLogError]'
