﻿
--
--
--
IF EXISTS (SELECT * FROM sys.objects [a] WHERE type = 'P' AND name = 'SchemaCreateIndex' AND [a].[schema_id] = SCHEMA_ID('RTLS_NDRDW'))
BEGIN
	DROP PROCEDURE [RTLS_NDRDW].[SchemaCreateIndex]
	PRINT 'DROP PROCEDURE [RTLS_NDRDW].[SchemaCreateIndex]'
END
GO

--
--
--
CREATE PROCEDURE [RTLS_NDRDW].[SchemaCreateIndex] 
AS
BEGIN
DECLARE @stmt AS NVARCHAR(MAX)
DECLARE @schema AS NVARCHAR(256)
DECLARE @DefFG AS NVARCHAR(256)
--
--
--
SET @schema = 'RTLS_NDRDW'
SET @DefFG = 'DefFG'

SET @stmt='
IF EXISTS (SELECT * FROM sys.objects [a] WHERE type = ''U'' AND name = ''tmpIndex'' AND [a].[schema_id] = SCHEMA_ID(''' + @schema + '''))
BEGIN
	DROP TABLE [' + @schema + '].[tmpIndex]
	PRINT ''DROP TABLE [' + @schema + '].[tmpIndex]''
END


CREATE TABLE [' + @schema + '].[tmpIndex](
	[SchemaName] [nvarchar](256) NOT NULL,
	[TableName] [nvarchar](256) NOT NULL,
	[IndexName] [nvarchar](256) NULL,
	[ColumnName] [nvarchar](256) NULL
) ON [' + @DefFG + ']'


	PRINT @stmt
	EXEC sp_executesql @stmt=@stmt

END
GO

PRINT 'CREATE PROCEDURE [RTLS_NDRDW].[SchemaCreateIndex]'
-- execute it
EXEC [RTLS_NDRDW].[SchemaCreateIndex]
