﻿


IF OBJECT_ID ('[RTLS_NDRDW].[MetaWrapperVW]', 'V') IS NOT NULL
BEGIN
    PRINT 'DROP VIEW [RTLS_NDRDW].[MetaWrapperVW]'
    DROP VIEW [RTLS_NDRDW].MetaWrapperVW ;
END
GO

CREATE VIEW [RTLS_NDRDW].[MetaWrapperVW]
AS
SELECT 
	[MetaWrapperID]
	, [MetaWrapperSchemaID]
	, [MetaWrapperName]
	, [MetaWrapperType]
	, [MetaWrapperDefault]
	, '[' + [MetaWrapperName] + '] [' + [MetaWrapperType] + '] NOT NULL DEFAULT (' + [MetaWrapperDefault] + ')'
	AS MetaWrapperColDef
	, [CreateDate]
	, [UpdateDate]
  FROM [RTLS_NDRDW].[MetaWrapper]
GO 
 PRINT 'CERATE VIEW [RTLS_NDRDW].[MetaWrapperVW]'

