﻿DECLARE @stmt AS NVARCHAR(MAX)
DECLARE @schema AS NVARCHAR(256)
DECLARE @tbl AS NVARCHAR(256)
--
--
--

SET @schema = 'ETLFramework'
SET @tbl='MetaWrapper'


-- insert tables
SET @stmt='
SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] ON
INSERT INTO [' + @schema + '].[' + @tbl + ']
( [MetaWrapperID]
, [MetaWrapperSchemaID]
, [MetaWrapperName]
, [MetaWrapperType]
, [MetaWrapperDefault]
)
VALUES
-- [MetaWrapperSchemaID] = 1 is VISN level and 2 is Facility level
  ( 1, 1, ''CreateDateDW'', ''datetime'', ''GetDate()'' )
, ( 2, 1, ''IsObsoleteDW'', ''Integer'', ''0'' )
, ( 3, 1, ''UpdateDateDW'', ''datetime'', ''GetDate()'' )
, ( 4, 1, ''VISNIDDW'', ''Integer'', ''0'' )
, ( 5, 2, ''CreateDateDW'', ''datetime'', ''GetDate()'' )
, ( 6, 2, ''FacilityIDDW'', ''Integer'', ''0'' )
, ( 7, 2, ''IsObsoleteDW'', ''Integer'', ''0'' )
, ( 8, 2, ''UpdateDateDW'', ''datetime'', ''GetDate()'' )
, ( 9, 2, ''VISNIDDW'', ''Integer'', ''0'' )
SET IDENTITY_INSERT [' + @schema + '].[' + @tbl + '] OFF
'

-- PRINT @stmt
EXEC sp_executesql @stmt=@stmt

