/*
 * ER/Studio Data Architect 10.0 SQL Code Generation
 * Project :      EFW.DM1
 *
 * Date Created : Monday, March 30, 2015 19:51:18
 * Target DBMS : Microsoft SQL Server 2012
 */

IF OBJECT_ID('[ETLFramework].[FK_ColumnMaster_TableMaster]') IS NOT NULL
ALTER TABLE [ETLFramework].[ColumnMaster]
DROP CONSTRAINT [FK_ColumnMaster_TableMaster]
go

IF OBJECT_ID('[ETLFramework].RefConnectionStatus33') IS NOT NULL
ALTER TABLE [ETLFramework].[ConnectionMaster]
DROP CONSTRAINT RefConnectionStatus33
go

IF OBJECT_ID('[ETLFramework].[FK_ConnectionMaster_ConnectionType]') IS NOT NULL
ALTER TABLE [ETLFramework].[ConnectionMaster]
DROP CONSTRAINT [FK_ConnectionMaster_ConnectionType]
go

IF OBJECT_ID('[ETLFramework].[FK_ConnectionMaster_FacilityMaster]') IS NOT NULL
ALTER TABLE [ETLFramework].[ConnectionMaster]
DROP CONSTRAINT [FK_ConnectionMaster_FacilityMaster]
go

IF OBJECT_ID('[ETLFramework].[FK_ConnectionMaster_SystemMaster]') IS NOT NULL
ALTER TABLE [ETLFramework].[ConnectionMaster]
DROP CONSTRAINT [FK_ConnectionMaster_SystemMaster]
go

IF OBJECT_ID('[ETLFramework].[FK_ConnectionMaster_VISNMaster]') IS NOT NULL
ALTER TABLE [ETLFramework].[ConnectionMaster]
DROP CONSTRAINT [FK_ConnectionMaster_VISNMaster]
go

IF OBJECT_ID('[ETLFramework].[FK_CurrentMetadataExtract_SystemMaster]') IS NOT NULL
ALTER TABLE [ETLFramework].[CurrentMetadataExtract]
DROP CONSTRAINT [FK_CurrentMetadataExtract_SystemMaster]
go

IF OBJECT_ID('[ETLFramework].[FK_DataFileConfiguration_SystemMaster]') IS NOT NULL
ALTER TABLE [ETLFramework].[DataFileConfiguration]
DROP CONSTRAINT [FK_DataFileConfiguration_SystemMaster]
go

IF OBJECT_ID('[ETLFramework].RefConnectionMaster36') IS NOT NULL
ALTER TABLE [ETLFramework].[ETLMetadataIncrementalChanges]
DROP CONSTRAINT RefConnectionMaster36
go

IF OBJECT_ID('[ETLFramework].[FK_ETLMetadataIncrementalChanges_CurrentMetadataExtract]') IS NOT NULL
ALTER TABLE [ETLFramework].[ETLMetadataIncrementalChanges]
DROP CONSTRAINT [FK_ETLMetadataIncrementalChanges_CurrentMetadataExtract]
go

IF OBJECT_ID('[ETLFramework].[FK_ETLMetadataIncrementalChanges_DMLOperation]') IS NOT NULL
ALTER TABLE [ETLFramework].[ETLMetadataIncrementalChanges]
DROP CONSTRAINT [FK_ETLMetadataIncrementalChanges_DMLOperation]
go

IF OBJECT_ID('[ETLFramework].[FK_ETLMetadataIncrementalChanges_SystemMaster]') IS NOT NULL
ALTER TABLE [ETLFramework].[ETLMetadataIncrementalChanges]
DROP CONSTRAINT [FK_ETLMetadataIncrementalChanges_SystemMaster]
go

IF OBJECT_ID('[ETLFramework].[FK_FacilityMasterToVISNMasterID]') IS NOT NULL
ALTER TABLE [ETLFramework].[FacilityMaster]
DROP CONSTRAINT [FK_FacilityMasterToVISNMasterID]
go

IF OBJECT_ID('[ETLFramework].[FK_DestinationConnection]') IS NOT NULL
ALTER TABLE [ETLFramework].[FlightPackageMaster]
DROP CONSTRAINT [FK_DestinationConnection]
go

IF OBJECT_ID('[ETLFramework].[FK_FlightMaster]') IS NOT NULL
ALTER TABLE [ETLFramework].[FlightPackageMaster]
DROP CONSTRAINT [FK_FlightMaster]
go

IF OBJECT_ID('[ETLFramework].[FK_PackagetMaster]') IS NOT NULL
ALTER TABLE [ETLFramework].[FlightPackageMaster]
DROP CONSTRAINT [FK_PackagetMaster]
go

IF OBJECT_ID('[ETLFramework].[FK_SourceConnection]') IS NOT NULL
ALTER TABLE [ETLFramework].[FlightPackageMaster]
DROP CONSTRAINT [FK_SourceConnection]
go

IF OBJECT_ID('[ETLFramework].[FK_JobMaster_ConnectionMaster]') IS NOT NULL
ALTER TABLE [ETLFramework].[JobMaster]
DROP CONSTRAINT [FK_JobMaster_ConnectionMaster]
go

IF OBJECT_ID('[ETLFramework].[FK_JobMaster_ScheduleMaster]') IS NOT NULL
ALTER TABLE [ETLFramework].[JobMaster]
DROP CONSTRAINT [FK_JobMaster_ScheduleMaster]
go

IF OBJECT_ID('[ETLFramework].[FK_KeyColumnUsage_SystemMaster]') IS NOT NULL
ALTER TABLE [ETLFramework].[KeyColumnUsage]
DROP CONSTRAINT [FK_KeyColumnUsage_SystemMaster]
go

IF OBJECT_ID('[ETLFramework].[FK_PackageMaster_PackageDestinationConnectionType]') IS NOT NULL
ALTER TABLE [ETLFramework].[PackageMaster]
DROP CONSTRAINT [FK_PackageMaster_PackageDestinationConnectionType]
go

IF OBJECT_ID('[ETLFramework].[FK_PackageMaster_PackageSourceConnectionType]') IS NOT NULL
ALTER TABLE [ETLFramework].[PackageMaster]
DROP CONSTRAINT [FK_PackageMaster_PackageSourceConnectionType]
go

IF OBJECT_ID('[ETLFramework].[FK_PartitionDetail_SystemMaster]') IS NOT NULL
ALTER TABLE [ETLFramework].[PartitionDetail]
DROP CONSTRAINT [FK_PartitionDetail_SystemMaster]
go

IF OBJECT_ID('[ETLFramework].[FK_RunMaster_FlightMaster]') IS NOT NULL
ALTER TABLE [ETLFramework].[RunMaster]
DROP CONSTRAINT [FK_RunMaster_FlightMaster]
go

IF OBJECT_ID('[ETLFramework].[FK_RunMaster_JobMaster]') IS NOT NULL
ALTER TABLE [ETLFramework].[RunMaster]
DROP CONSTRAINT [FK_RunMaster_JobMaster]
go

IF OBJECT_ID('[ETLFramework].[FK_RunMaster_TableMaster]') IS NOT NULL
ALTER TABLE [ETLFramework].[RunMaster]
DROP CONSTRAINT [FK_RunMaster_TableMaster]
go

IF OBJECT_ID('[ETLFramework].[FK_SystemMaster_VendorMaster]') IS NOT NULL
ALTER TABLE [ETLFramework].[SystemMaster]
DROP CONSTRAINT [FK_SystemMaster_VendorMaster]
go

IF OBJECT_ID('[ETLFramework].[FK_TableMaster_SystemMaster]') IS NOT NULL
ALTER TABLE [ETLFramework].[TableMaster]
DROP CONSTRAINT [FK_TableMaster_SystemMaster]
go

IF OBJECT_ID('[ETLFramework].[FK_TableMaster_TableType]') IS NOT NULL
ALTER TABLE [ETLFramework].[TableMaster]
DROP CONSTRAINT [FK_TableMaster_TableType]
go

IF OBJECT_ID('[ETLFramework].[FK_TaskMaster_RunMaster]') IS NOT NULL
ALTER TABLE [ETLFramework].[TaskMaster]
DROP CONSTRAINT [FK_TaskMaster_RunMaster]
go

IF OBJECT_ID('[ETLFramework].[FK_TemporaryDataDictionary_MasterSystem]') IS NOT NULL
ALTER TABLE [ETLFramework].[TemporaryDataDictionary]
DROP CONSTRAINT [FK_TemporaryDataDictionary_MasterSystem]
go

IF OBJECT_ID('[ETLFramework].RefDataDictionary34') IS NOT NULL
ALTER TABLE [ETLFramework].[VendorDictionary]
DROP CONSTRAINT RefDataDictionary34
go

IF OBJECT_ID('[ETLFramework].RefSystemMaster35') IS NOT NULL
ALTER TABLE [ETLFramework].[VendorDictionary]
DROP CONSTRAINT RefSystemMaster35
go

IF OBJECT_ID('[ETLFramework].[ColumnMaster]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[ColumnMaster]
    PRINT '<<< DROPPED TABLE [ETLFramework].[ColumnMaster] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[ConnectionMaster]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[ConnectionMaster]
    PRINT '<<< DROPPED TABLE [ETLFramework].[ConnectionMaster] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[ConnectionStatus]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[ConnectionStatus]
    PRINT '<<< DROPPED TABLE [ETLFramework].[ConnectionStatus] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[ConnectionType]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[ConnectionType]
    PRINT '<<< DROPPED TABLE [ETLFramework].[ConnectionType] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[CurrentMetadataExtract]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[CurrentMetadataExtract]
    PRINT '<<< DROPPED TABLE [ETLFramework].[CurrentMetadataExtract] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[DataDictionary]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[DataDictionary]
    PRINT '<<< DROPPED TABLE [ETLFramework].[DataDictionary] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[DataFileConfiguration]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[DataFileConfiguration]
    PRINT '<<< DROPPED TABLE [ETLFramework].[DataFileConfiguration] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[DMLOperation]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[DMLOperation]
    PRINT '<<< DROPPED TABLE [ETLFramework].[DMLOperation] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[ETLMetadataIncrementalChanges]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[ETLMetadataIncrementalChanges]
    PRINT '<<< DROPPED TABLE [ETLFramework].[ETLMetadataIncrementalChanges] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[ExecutionCode]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[ExecutionCode]
    PRINT '<<< DROPPED TABLE [ETLFramework].[ExecutionCode] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[ExecutionJobLog]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[ExecutionJobLog]
    PRINT '<<< DROPPED TABLE [ETLFramework].[ExecutionJobLog] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[ExecutionLog]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[ExecutionLog]
    PRINT '<<< DROPPED TABLE [ETLFramework].[ExecutionLog] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[ExecutionLogHistory]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[ExecutionLogHistory]
    PRINT '<<< DROPPED TABLE [ETLFramework].[ExecutionLogHistory] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[FacilityMaster]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[FacilityMaster]
    PRINT '<<< DROPPED TABLE [ETLFramework].[FacilityMaster] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[FlightMaster]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[FlightMaster]
    PRINT '<<< DROPPED TABLE [ETLFramework].[FlightMaster] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[FlightPackageMaster]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[FlightPackageMaster]
    PRINT '<<< DROPPED TABLE [ETLFramework].[FlightPackageMaster] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[JobMaster]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[JobMaster]
    PRINT '<<< DROPPED TABLE [ETLFramework].[JobMaster] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[KeyColumnUsage]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[KeyColumnUsage]
    PRINT '<<< DROPPED TABLE [ETLFramework].[KeyColumnUsage] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[MetaWrapper]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[MetaWrapper]
    PRINT '<<< DROPPED TABLE [ETLFramework].[MetaWrapper] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[PackageMaster]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[PackageMaster]
    PRINT '<<< DROPPED TABLE [ETLFramework].[PackageMaster] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[PartitionDetail]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[PartitionDetail]
    PRINT '<<< DROPPED TABLE [ETLFramework].[PartitionDetail] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[RunMaster]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[RunMaster]
    PRINT '<<< DROPPED TABLE [ETLFramework].[RunMaster] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[ScheduleMaster]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[ScheduleMaster]
    PRINT '<<< DROPPED TABLE [ETLFramework].[ScheduleMaster] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[SystemMaster]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[SystemMaster]
    PRINT '<<< DROPPED TABLE [ETLFramework].[SystemMaster] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[TableMaster]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[TableMaster]
    PRINT '<<< DROPPED TABLE [ETLFramework].[TableMaster] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[TableType]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[TableType]
    PRINT '<<< DROPPED TABLE [ETLFramework].[TableType] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[TaskMaster]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[TaskMaster]
    PRINT '<<< DROPPED TABLE [ETLFramework].[TaskMaster] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[TemporaryDataDictionary]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[TemporaryDataDictionary]
    PRINT '<<< DROPPED TABLE [ETLFramework].[TemporaryDataDictionary] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[TemporaryKeyConstraints]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[TemporaryKeyConstraints]
    PRINT '<<< DROPPED TABLE [ETLFramework].[TemporaryKeyConstraints] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[TemporaryMetadata]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[TemporaryMetadata]
    PRINT '<<< DROPPED TABLE [ETLFramework].[TemporaryMetadata] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[TemporaryNewMetadataExtract]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[TemporaryNewMetadataExtract]
    PRINT '<<< DROPPED TABLE [ETLFramework].[TemporaryNewMetadataExtract] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[TemporaryTableColumns]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[TemporaryTableColumns]
    PRINT '<<< DROPPED TABLE [ETLFramework].[TemporaryTableColumns] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[TemporaryTableObjects]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[TemporaryTableObjects]
    PRINT '<<< DROPPED TABLE [ETLFramework].[TemporaryTableObjects] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[VendorDictionary]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[VendorDictionary]
    PRINT '<<< DROPPED TABLE [ETLFramework].[VendorDictionary] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[VendorMaster]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[VendorMaster]
    PRINT '<<< DROPPED TABLE [ETLFramework].[VendorMaster] >>>'
END
go
IF OBJECT_ID('[ETLFramework].[VISNMaster]') IS NOT NULL
BEGIN
    DROP TABLE [ETLFramework].[VISNMaster]
    PRINT '<<< DROPPED TABLE [ETLFramework].[VISNMaster] >>>'
END
go
