﻿


--
--
--
IF EXISTS (SELECT * FROM sys.objects [a] WHERE type = 'P' AND name = 'ExecutionLogSetID' AND [a].[schema_id] = SCHEMA_ID('ETLFramework'))
BEGIN
	DROP PROCEDURE [ETLFramework].[ExecutionLogSetID]
	PRINT 'DROP PROCEDURE [ETLFramework].[ExecutionLogSetID]'
END
GO

--
-- hardcoded for [NDRDW].[Framework]
--
CREATE PROCEDURE [ETLFramework].[ExecutionLogSetID] 
	@ExecutionLogID INT
	, @execution_id BIGINT
AS
BEGIN
	SET NOCOUNT ON
	UPDATE [ETLFramework].[ExecutionLog]
	SET [execution_id] = @execution_id
	WHERE [ExecutionLogID] = @ExecutionLogID 
END
GO
PRINT 'Create Procedure [ETLFramework].[ExecutionLogSetID]'
