﻿


--
--
--
IF EXISTS (SELECT * FROM sys.objects [a] WHERE type = 'P' AND name = 'ExecutionLogStart' AND [a].[schema_id] = SCHEMA_ID('ETLFramework'))
BEGIN
	DROP PROCEDURE [ETLFramework].[ExecutionLogStart]
	PRINT 'DROP PROCEDURE [ETLFramework].[ExecutionLogStart]'
END
GO

--
-- hardcoded for [NDRDW].[Framework]
--
CREATE PROCEDURE [ETLFramework].[ExecutionLogStart] 
	@ExecutionLogID INT
AS
BEGIN
	SET NOCOUNT ON
	UPDATE [ETLFramework].[ExecutionLog]
	SET [ExecutionLogStart] = GetDate()
	, [ExecutionLogStatusID] = 1 -- running
	WHERE [ExecutionLogID] = @ExecutionLogID 
END
GO
PRINT 'Create Procedure [ETLFramework].[ExecutionLogStart]'
