﻿


--
--
--
IF EXISTS (SELECT * FROM sys.objects [a] WHERE type = 'P' AND name = 'ExecutionLogSuccess' AND [a].[schema_id] = SCHEMA_ID('ETLFramework'))
BEGIN
	DROP PROCEDURE [ETLFramework].[ExecutionLogSuccess]
	PRINT 'DROP PROCEDURE [ETLFramework].[ExecutionLogSuccess]'
END
GO

--
-- 
--
CREATE PROCEDURE [ETLFramework].[ExecutionLogSuccess] 
	@ExecutionLogID INT
AS
BEGIN
	SET NOCOUNT ON
	UPDATE [ETLFramework].[ExecutionLog]
	SET [ExecutionLogStop] = GetDate()
	, [ExecutionLogStatusID] = 2 -- success
	WHERE [ExecutionLogID] = @ExecutionLogID 
	PRINT 'Success ' + CAST( @ExecutionLogID AS NVARCHAR(10))
END
GO
PRINT 'Create Procedure [ETLFramework].[ExecutionLogSuccess]'
