USE [master]
GO

/****** Object:  Database [ETL]    Script Date: 4/14/2015 2:47:23 PM ******/
CREATE DATABASE [ETL]
CONTAINMENT = NONE
ON  PRIMARY 
( NAME = N'ETL',      FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL11.MSSQLSERVER\MSSQL\DATA\ETL.mdf',       SIZE = 4096KB , FILEGROWTH = 1024KB ),
( NAME = N'fETLdef1', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL11.MSSQLSERVER\MSSQL\DATA\fETLdef1.ndf' , SIZE = 4096KB , FILEGROWTH = 1024KB )
LOG ON 
( NAME = N'ETL_log',  FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL11.MSSQLSERVER\MSSQL\DATA\ETL_log.ldf' , SIZE = 1024KB , FILEGROWTH = 10%)
GO

USE [master]
GO
ALTER DATABASE [ETL] ADD FILEGROUP [DefFG]
GO


ALTER DATABASE [ETL] SET COMPATIBILITY_LEVEL = 110
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [ETL].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [ETL] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [ETL] SET ANSI_NULLS ON 
GO

ALTER DATABASE [ETL] SET ANSI_PADDING ON 
GO

ALTER DATABASE [ETL] SET ANSI_WARNINGS ON 
GO

ALTER DATABASE [ETL] SET ARITHABORT ON 
GO

ALTER DATABASE [ETL] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [ETL] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [ETL] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [ETL] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [ETL] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [ETL] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [ETL] SET CONCAT_NULL_YIELDS_NULL ON 
GO

ALTER DATABASE [ETL] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [ETL] SET QUOTED_IDENTIFIER ON 
GO

ALTER DATABASE [ETL] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [ETL] SET  DISABLE_BROKER 
GO

ALTER DATABASE [ETL] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [ETL] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [ETL] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [ETL] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [ETL] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [ETL] SET READ_COMMITTED_SNAPSHOT ON 
GO

ALTER DATABASE [ETL] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [ETL] SET RECOVERY SIMPLE 
GO

ALTER DATABASE [ETL] SET  MULTI_USER 
GO

ALTER DATABASE [ETL] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [ETL] SET DB_CHAINING OFF 
GO

ALTER DATABASE [ETL] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO

ALTER DATABASE [ETL] SET TARGET_RECOVERY_TIME = 0 SECONDS 
GO

ALTER DATABASE [ETL] SET  READ_WRITE 
GO


USE [ETL]
GO

/****** Object:  Schema [RTLS_NDRDW]    Script Date: 4/14/2015 2:48:34 PM ******/
CREATE SCHEMA [RTLS_NDRDW]
GO

