﻿
--
--
--
IF EXISTS (SELECT * FROM sys.objects [a] WHERE type = 'P' AND name = 'MDDTruncate' AND [a].[schema_id] = SCHEMA_ID('RTLS_NDRDW'))
BEGIN
	DROP PROCEDURE [RTLS_NDRDW].[MDDTruncate]
	PRINT 'DROP PROCEDURE [RTLS_NDRDW].[MDDTruncate]'
END
GO

--
--
--
CREATE PROCEDURE [RTLS_NDRDW].[MDDTruncate] 
AS
BEGIN

	TRUNCATE TABLE [RTLS_NDRDW].[TemporaryNewMetadataExtract]
	DBCC CHECKIDENT ('RTLS_NDRDW.TemporaryNewMetadataExtract', RESEED, 0)

	TRUNCATE TABLE [RTLS_NDRDW].[TemporaryMetadata]

	TRUNCATE TABLE [RTLS_NDRDW].[TemporaryDataDictionary]
	DBCC CHECKIDENT ('RTLS_NDRDW.TemporaryDataDictionary', RESEED, 0)

END
GO
PRINT 'CREATE PROCEDURE [RTLS_NDRDW].[MDDTruncate]'


